classification
Title: Python 3.9.0b3 crash on compile() in PyAST_Check() when the _ast module is loaded more than once
Type: crash Stage: resolved
Components: Interpreter Core Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, arcivanov, dino.viehland, pablogsal, vstinner
Priority: normal Keywords: patch

Created on 2020-07-02 09:28 by arcivanov, last changed 2020-08-10 13:56 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21284 merged vstinner, 2020-07-02 17:08
PR 21290 merged vstinner, 2020-07-03 11:16
PR 21292 merged vstinner, 2020-07-03 12:17
PR 21293 merged vstinner, 2020-07-03 12:19
PR 21807 merged vstinner, 2020-08-10 13:08
Messages (37)
msg372833 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 09:28
Built with pyenv on Fedora 32. Discovered while testing PyBuilder for 3.9 compatibility.

$ abrt gdb e6ad9db
GNU gdb (GDB) Fedora 9.1-5.fc32
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word".
No symbol table is loaded.  Use the "file" command.
No symbol table is loaded.  Use the "file" command.
Reading symbols from /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/bin/python...
warning: exec file is newer than core file.
[New LWP 450349]
warning: Unexpected size of section `.reg-xstate/450349' in core file.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.'.
Program terminated with signal SIGSEGV, Segmentation fault.
warning: Unexpected size of section `.reg-xstate/450349' in core file.
#0  0x00000000005d73d3 in init_types () at Python/Python-ast.c:1412
1412    Python/Python-ast.c: No such file or directory.
From                To                  Syms Read   Shared Object Library
0x00007ff01d934050  0x00007ff01d948d69  Yes (*)     /lib64/libcrypt.so.2
0x00007ff01d917af0  0x00007ff01d926b95  Yes (*)     /lib64/libpthread.so.0
0x00007ff01d90b270  0x00007ff01d90c1c9  Yes (*)     /lib64/libdl.so.2
0x00007ff01d9053f0  0x00007ff01d905db0  Yes (*)     /lib64/libutil.so.1
0x00007ff01d7cd3d0  0x00007ff01d868078  Yes (*)     /lib64/libm.so.6
0x00007ff01d619670  0x00007ff01d76780f  Yes (*)     /lib64/libc.so.6
0x00007ff01d9a8110  0x00007ff01d9c8574  Yes (*)     /lib64/ld-linux-x86-64.so.2
0x00007ff01d9740e0  0x00007ff01d974fcc  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_heapq.cpython-39-x86_64-linux-gnu.so
0x00007ff01d9963b0  0x00007ff01d999b2a  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/zlib.cpython-39-x86_64-linux-gnu.so
0x00007ff01d97d5f0  0x00007ff01d98abd8  Yes (*)     /lib64/libz.so.1
0x00007ff0101ed2d0  0x00007ff0101ee31c  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_bz2.cpython-39-x86_64-linux-gnu.so
0x00007ff0101a3570  0x00007ff0101af996  Yes (*)     /lib64/libbz2.so.1
0x00007ff0101e3480  0x00007ff0101e5dd6  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_lzma.cpython-39-x86_64-linux-gnu.so
0x00007ff0101b99f0  0x00007ff0101d1076  Yes (*)     /lib64/liblzma.so.5
0x00007ff01019d270  0x00007ff01019dc02  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/grp.cpython-39-x86_64-linux-gnu.so
0x00007ff01018c5e0  0x00007ff0101947f5  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/math.cpython-39-x86_64-linux-gnu.so
0x00007ff010185130  0x00007ff010185e31  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_bisect.cpython-39-x86_64-linux-gnu.so
0x00007ff01017d170  0x00007ff010180ae1  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_sha512.cpython-39-x86_64-linux-gnu.so
0x00007ff0101772c0  0x00007ff0101781dd  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_random.cpython-39-x86_64-linux-gnu.so
0x00007ff01009c570  0x00007ff0100aa101  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_datetime.cpython-39-x86_64-linux-gnu.so
0x00007ff01004d3f0  0x00007ff0100528dc  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_json.cpython-39-x86_64-linux-gnu.so
0x00007ff0100463d0  0x00007ff010047953  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_posixsubprocess.cpython-39-x86_64-linux-gnu.so
0x00007ff01003d3f0  0x00007ff01003fa46  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/select.cpython-39-x86_64-linux-gnu.so
0x00007ff00fff0510  0x00007ff00fff4e4e  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_struct.cpython-39-x86_64-linux-gnu.so
0x00007ff00ffd48c0  0x00007ff00ffe336f  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_pickle.cpython-39-x86_64-linux-gnu.so
0x00007ff00ffb97a0  0x00007ff00ffc36be  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_socket.cpython-39-x86_64-linux-gnu.so
0x00007ff00ff69540  0x00007ff00ff6ec2c  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/array.cpython-39-x86_64-linux-gnu.so
0x00007ff00ff220d0  0x00007ff00ff22431  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_opcode.cpython-39-x86_64-linux-gnu.so
0x00007ff00fdc8260  0x00007ff00fdcb03c  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/binascii.cpython-39-x86_64-linux-gnu.so
0x00007ff00fd8d4d0  0x00007ff00fdb3925  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/pyexpat.cpython-39-x86_64-linux-gnu.so
0x00007ff00fa3b680  0x00007ff00fa401f1  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_hashlib.cpython-39-x86_64-linux-gnu.so
0x00007ff00f9898d0  0x00007ff00f9d616a  Yes (*)     /lib64/libssl.so.1.1
0x00007ff00f6f8000  0x00007ff00f8a26c0  Yes (*)     /lib64/libcrypto.so.1.1
0x00007ff00fa2d260  0x00007ff00fa32cdf  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_blake2.cpython-39-x86_64-linux-gnu.so
0x00007ff00f61d260  0x00007ff00f6272da  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_ssl.cpython-39-x86_64-linux-gnu.so
0x00007ff00fa10a70  0x00007ff00fa1f92d  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_ctypes.cpython-39-x86_64-linux-gnu.so
0x00007ff00f4cd2c0  0x00007ff00f4d1d4c  Yes (*)     /lib64/libffi.so.6
0x00007ff0102b8290  0x00007ff0102b8dce  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_multiprocessing.cpython-39-x86_64-linux-gnu.so
(*): Shared library is missing debugging information.
#0  0x00000000005d73d3 in init_types () at Python/Python-ast.c:1412
#1  0x00000000005eb519 in PyAST_Check (obj=0x1e6eea0) at Python/Python-ast.c:10460
#2  0x00000000005fd618 in builtin_compile_impl (module=<optimized out>, feature_version=<optimized out>, optimize=-1, dont_inherit=0, flags=0, mode=<optimized out>, filename=0x7ff00f2a0c30, source=0x1e6eea0) at Python/bltinmodule.c:784
#3  builtin_compile (module=<optimized out>, args=<optimized out>, nargs=<optimized out>, kwnames=<optimized out>) at Python/clinic/bltinmodule.c.h:274
#4  0x00000000005c9eaa in cfunction_vectorcall_FASTCALL_KEYWORDS (func=0x7ff01058cc20, args=0x19e47e0, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/methodobject.c:440
#5  0x00000000004240f0 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775811, args=0x19e47e0, callable=0x7ff01058cc20, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#6  PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775811, args=0x19e47e0, callable=0x7ff01058cc20) at ./Include/cpython/abstract.h:127
#7  call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#8  _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3490
#9  0x000000000041d86b in _PyEval_EvalFrame (throwflag=0, f=0x19e4640, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#10 function_code_fastcall (tstate=0x18b85a0, co=<optimized out>, args=<optimized out>, nargs=2, globals=<optimized out>) at Objects/call.c:329
#11 0x00000000004240f0 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775810, args=0x19f60c0, callable=0x7ff01023c940, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#12 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775810, args=0x19f60c0, callable=0x7ff01023c940) at ./Include/cpython/abstract.h:127
#13 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#14 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3490
#15 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x19f5ef0, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#16 _PyEval_EvalCode (tstate=tstate@entry=0x18b85a0, _co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=1, kwnames=0x7ff0104cb3b8, kwargs=0x19e57f0, kwcount=1, kwstep=1, defs=0x7ff010306298, defcount=2, kwdefs=0x0, 
    closure=0x0, name=0x7ff0103407f0, qualname=0x7ff0103407f0) at Python/ceval.c:4299
#17 0x0000000000434fd6 in _PyFunction_Vectorcall (func=<optimized out>, stack=<optimized out>, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/call.c:395
#18 0x0000000000424185 in _PyObject_VectorcallTstate (kwnames=0x7ff0104cb3a0, nargsf=9223372036854775809, args=0x19e57e8, callable=0x7ff01023c9d0, tstate=<optimized out>) at ./Include/cpython/abstract.h:118
#19 PyObject_Vectorcall (kwnames=0x7ff0104cb3a0, nargsf=9223372036854775809, args=0x19e57e8, callable=0x7ff01023c9d0) at ./Include/cpython/abstract.h:127
#20 call_function (kwnames=0x7ff0104cb3a0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#21 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3507
#22 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x19e5640, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#23 _PyEval_EvalCode (tstate=tstate@entry=0x18b85a0, _co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=4, kwnames=0x0, kwargs=0x19f4748, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7ff0104be170, qualname=0x7ff0102fc750) at Python/ceval.c:4299
#24 0x0000000000434fd6 in _PyFunction_Vectorcall (func=<optimized out>, stack=<optimized out>, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/call.c:395
#25 0x00000000004243fe in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775812, args=0x19f4728, callable=0x7ff0102290d0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#26 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775812, args=0x19f4728, callable=0x7ff0102290d0) at ./Include/cpython/abstract.h:127
#27 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#28 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3476
#29 0x000000000041d86b in _PyEval_EvalFrame (throwflag=0, f=0x19f45b0, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#30 function_code_fastcall (tstate=0x18b85a0, co=<optimized out>, args=<optimized out>, nargs=1, globals=<optimized out>) at Objects/call.c:329
#31 0x00000000005b630c in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=1, args=0x19f4508, callable=0x7ff0103239d0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#32 method_vectorcall (method=<optimized out>, args=0x19f4510, nargsf=<optimized out>, kwnames=0x0) at Objects/classobject.c:53
#33 0x00000000004240f0 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775808, args=0x19f4510, callable=0x7ff00f414c40, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#34 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775808, args=0x19f4510, callable=0x7ff00f414c40) at ./Include/cpython/abstract.h:127
#35 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#36 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3490
#37 0x000000000041d86b in _PyEval_EvalFrame (throwflag=0, f=0x19f4390, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#38 function_code_fastcall (tstate=0x18b85a0, co=<optimized out>, args=<optimized out>, nargs=2, globals=<optimized out>) at Objects/call.c:329
#39 0x00000000004243fe in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775810, args=0x1f86ff0, callable=0x7ff0103a81f0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#40 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775810, args=0x1f86ff0, callable=0x7ff0103a81f0) at ./Include/cpython/abstract.h:127
#41 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#42 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3476
#43 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x1f86e10, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#44 _PyEval_EvalCode (tstate=tstate@entry=0x18b85a0, _co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=2, kwnames=0x0, kwargs=0x7fff023b8630, kwcount=0, kwstep=1, defs=0x7ff0103e5148, defcount=1, kwdefs=0x0, 
    closure=0x0, name=0x7ff010580ab0, qualname=0x7ff0103db870) at Python/ceval.c:4299
#45 0x0000000000434fd6 in _PyFunction_Vectorcall (func=<optimized out>, stack=<optimized out>, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/call.c:395
#46 0x00000000005b6274 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=2, args=0x7fff023b8620, callable=0x7ff0103a83a0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#47 method_vectorcall (method=<optimized out>, args=<optimized out>, nargsf=<optimized out>, kwnames=0x0) at Objects/classobject.c:83
#48 0x0000000000422a8e in do_call_core (kwdict=0x7ff00f2d5e00, callargs=0x7ff00ece3b20, func=0x7ff00f33dd40, tstate=<optimized out>) at Python/ceval.c:5092
#49 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3552
#50 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x1cb1040, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#51 _PyEval_EvalCode (tstate=tstate@entry=0x18b85a0, _co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=2, kwnames=0x0, kwargs=0x7fff023b8970, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7ff0105bc1f0, qualname=0x7ff0103daa80) at Python/ceval.c:4299
#52 0x0000000000434fd6 in _PyFunction_Vectorcall (func=<optimized out>, stack=<optimized out>, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/call.c:395
#53 0x0000000000434233 in _PyObject_FastCallDictTstate (tstate=0x18b85a0, callable=0x7ff0103a8550, args=0x7fff023b8960, nargsf=2, kwargs=0x0) at Objects/call.c:118
#54 0x00000000004353ed in _PyObject_Call_Prepend (tstate=tstate@entry=0x18b85a0, callable=callable@entry=0x7ff0103a8550, obj=obj@entry=0x7ff01014bc10, args=args@entry=0x7ff010202b50, kwargs=kwargs@entry=0x0) at Objects/call.c:488
#55 0x00000000004887e1 in slot_tp_call (self=self@entry=0x7ff01014bc10, args=args@entry=0x7ff010202b50, kwds=kwds@entry=0x0) at Objects/typeobject.c:6663
#56 0x0000000000434065 in _PyObject_MakeTpCall (tstate=0x18b85a0, callable=0x7ff01014bc10, args=<optimized out>, nargs=<optimized out>, keywords=0x0) at Objects/call.c:191
#57 0x0000000000424ef1 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775809, args=0x7ff0101531e8, callable=0x7ff01014bc10, tstate=0x18b85a0) at ./Include/cpython/abstract.h:116
#58 _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775809, args=0x7ff0101531e8, callable=0x7ff01014bc10, tstate=0x18b85a0) at ./Include/cpython/abstract.h:103
#59 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775809, args=0x7ff0101531e8, callable=0x7ff01014bc10) at ./Include/cpython/abstract.h:127
#60 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#61 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3490
#62 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x7ff010153040, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#63 _PyEval_EvalCode (tstate=tstate@entry=0x18b85a0, _co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=2, kwnames=0x0, kwargs=0x7fff023b8cf0, kwcount=0, kwstep=1, defs=0x7ff0103a59b8, defcount=1, kwdefs=0x0, 
    closure=0x0, name=0x7ff010580ab0, qualname=0x7ff0103a7670) at Python/ceval.c:4299
#64 0x0000000000434fd6 in _PyFunction_Vectorcall (func=<optimized out>, stack=<optimized out>, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/call.c:395
#65 0x00000000005b6274 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=2, args=0x7fff023b8ce0, callable=0x7ff0103ad430, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#66 method_vectorcall (method=<optimized out>, args=<optimized out>, nargsf=<optimized out>, kwnames=0x0) at Objects/classobject.c:83
#67 0x0000000000422a8e in do_call_core (kwdict=0x7ff01014e1c0, callargs=0x7ff010202250, func=0x7ff01014e680, tstate=<optimized out>) at Python/ceval.c:5092
#68 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3552
#69 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x7ff01021d200, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#70 _PyEval_EvalCode (tstate=tstate@entry=0x18b85a0, _co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=2, kwnames=0x0, kwargs=0x7fff023b9030, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7ff0105bc1f0, qualname=0x7ff0103ab080) at Python/ceval.c:4299
#71 0x0000000000434fd6 in _PyFunction_Vectorcall (func=<optimized out>, stack=<optimized out>, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/call.c:395
#72 0x0000000000434233 in _PyObject_FastCallDictTstate (tstate=0x18b85a0, callable=0x7ff0103ad310, args=0x7fff023b9020, nargsf=2, kwargs=0x0) at Objects/call.c:118
#73 0x00000000004353ed in _PyObject_Call_Prepend (tstate=tstate@entry=0x18b85a0, callable=callable@entry=0x7ff0103ad310, obj=obj@entry=0x7ff01014bb50, args=args@entry=0x7ff0102191c0, kwargs=kwargs@entry=0x0) at Objects/call.c:488
#74 0x00000000004887e1 in slot_tp_call (self=self@entry=0x7ff01014bb50, args=args@entry=0x7ff0102191c0, kwds=kwds@entry=0x0) at Objects/typeobject.c:6663
#75 0x0000000000434065 in _PyObject_MakeTpCall (tstate=0x18b85a0, callable=0x7ff01014bb50, args=<optimized out>, nargs=<optimized out>, keywords=0x0) at Objects/call.c:191
#76 0x0000000000424ef1 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775809, args=0x7ff01014ff08, callable=0x7ff01014bb50, tstate=0x18b85a0) at ./Include/cpython/abstract.h:116
#77 _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775809, args=0x7ff01014ff08, callable=0x7ff01014bb50, tstate=0x18b85a0) at ./Include/cpython/abstract.h:103
#78 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775809, args=0x7ff01014ff08, callable=0x7ff01014bb50) at ./Include/cpython/abstract.h:127
#79 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#80 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3490
#81 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x7ff01014fd60, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#82 _PyEval_EvalCode (tstate=tstate@entry=0x18b85a0, _co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=2, kwnames=0x0, kwargs=0x7fff023b93b0, kwcount=0, kwstep=1, defs=0x7ff0103a59b8, defcount=1, kwdefs=0x0, 
    closure=0x0, name=0x7ff010580ab0, qualname=0x7ff0103a7670) at Python/ceval.c:4299
#83 0x0000000000434fd6 in _PyFunction_Vectorcall (func=<optimized out>, stack=<optimized out>, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/call.c:395
#84 0x00000000005b6274 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=2, args=0x7fff023b93a0, callable=0x7ff0103ad430, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#85 method_vectorcall (method=<optimized out>, args=<optimized out>, nargsf=<optimized out>, kwnames=0x0) at Objects/classobject.c:83
#86 0x0000000000422a8e in do_call_core (kwdict=0x7ff01014e3c0, callargs=0x7ff010219460, func=0x7ff01014e5c0, tstate=<optimized out>) at Python/ceval.c:5092
#87 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3552
#88 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x7ff01021d040, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#89 _PyEval_EvalCode (tstate=tstate@entry=0x18b85a0, _co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=2, kwnames=0x0, kwargs=0x7fff023b96f0, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7ff0105bc1f0, qualname=0x7ff0103ab080) at Python/ceval.c:4299
#90 0x0000000000434fd6 in _PyFunction_Vectorcall (func=<optimized out>, stack=<optimized out>, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/call.c:395
#91 0x0000000000434233 in _PyObject_FastCallDictTstate (tstate=0x18b85a0, callable=0x7ff0103ad310, args=0x7fff023b96e0, nargsf=2, kwargs=0x0) at Objects/call.c:118
#92 0x00000000004353ed in _PyObject_Call_Prepend (tstate=tstate@entry=0x18b85a0, callable=callable@entry=0x7ff0103ad310, obj=obj@entry=0x7ff01048edf0, args=args@entry=0x7ff010202b80, kwargs=kwargs@entry=0x0) at Objects/call.c:488
#93 0x00000000004887e1 in slot_tp_call (self=self@entry=0x7ff01048edf0, args=args@entry=0x7ff010202b80, kwds=kwds@entry=0x0) at Objects/typeobject.c:6663
#94 0x0000000000434065 in _PyObject_MakeTpCall (tstate=0x18b85a0, callable=0x7ff01048edf0, args=<optimized out>, nargs=<optimized out>, keywords=0x0) at Objects/call.c:191
#95 0x0000000000424ef1 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775809, args=0x19f07e8, callable=0x7ff01048edf0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:116
#96 _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775809, args=0x19f07e8, callable=0x7ff01048edf0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:103
#97 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775809, args=0x19f07e8, callable=0x7ff01048edf0) at ./Include/cpython/abstract.h:127
#98 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#99 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3490
#100 0x000000000041d86b in _PyEval_EvalFrame (throwflag=0, f=0x19f05f0, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#101 function_code_fastcall (tstate=0x18b85a0, co=<optimized out>, args=<optimized out>, nargs=2, globals=<optimized out>) at Objects/call.c:329
#102 0x00000000004243fe in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775810, args=0x7ff01014f940, callable=0x7ff0103231f0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#103 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775810, args=0x7ff01014f940, callable=0x7ff0103231f0) at ./Include/cpython/abstract.h:127
#104 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#105 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3476
#106 0x000000000041d86b in _PyEval_EvalFrame (throwflag=0, f=0x7ff01014f7c0, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#107 function_code_fastcall (tstate=0x18b85a0, co=<optimized out>, args=<optimized out>, nargs=1, globals=<optimized out>) at Objects/call.c:329
#108 0x00000000004243fe in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775809, args=0x19e32f0, callable=0x7ff0103238b0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:118
#109 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775809, args=0x19e32f0, callable=0x7ff0103238b0) at ./Include/cpython/abstract.h:127
#110 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#111 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3476
#112 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x19e3110, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#113 _PyEval_EvalCode (tstate=tstate@entry=0x18b85a0, _co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=1, kwnames=0x0, kwargs=0x7fff023b9d78, kwcount=0, kwstep=1, defs=0x7ff010324058, defcount=11, 
    kwdefs=0x7ff0103bbb80, closure=0x0, name=0x7ff0105bc530, qualname=0x7ff0103b5440) at Python/ceval.c:4299
#114 0x0000000000434fd6 in _PyFunction_Vectorcall (func=<optimized out>, stack=<optimized out>, nargsf=<optimized out>, kwnames=<optimized out>) at Objects/call.c:395
#115 0x0000000000434233 in _PyObject_FastCallDictTstate (tstate=0x18b85a0, callable=0x7ff010323310, args=0x7fff023b9d70, nargsf=1, kwargs=0x0) at Objects/call.c:118
#116 0x00000000004353ed in _PyObject_Call_Prepend (tstate=tstate@entry=0x18b85a0, callable=callable@entry=0x7ff010323310, obj=obj@entry=0x7ff01048ee20, args=args@entry=0x7ff0105c0040, kwargs=kwargs@entry=0x0) at Objects/call.c:488
#117 0x000000000048d86d in slot_tp_init (self=0x7ff01048ee20, args=0x7ff0105c0040, kwds=0x0) at Objects/typeobject.c:6903
#118 0x0000000000482907 in type_call (type=<optimized out>, type@entry=0x19a2dd0, args=args@entry=0x7ff0105c0040, kwds=kwds@entry=0x0) at Objects/typeobject.c:1023
#119 0x0000000000434065 in _PyObject_MakeTpCall (tstate=0x18b85a0, callable=0x19a2dd0, args=<optimized out>, nargs=<optimized out>, keywords=0x0) at Objects/call.c:191
#120 0x0000000000426ad0 in _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775808, args=0x1914d68, callable=0x19a2dd0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:116
#121 _PyObject_VectorcallTstate (kwnames=0x0, nargsf=9223372036854775808, args=0x1914d68, callable=0x19a2dd0, tstate=0x18b85a0) at ./Include/cpython/abstract.h:103
#122 PyObject_Vectorcall (kwnames=0x0, nargsf=9223372036854775808, args=0x1914d68, callable=0x19a2dd0) at ./Include/cpython/abstract.h:127
#123 call_function (kwnames=0x0, oparg=<optimized out>, pp_stack=<synthetic pointer>, tstate=<optimized out>) at Python/ceval.c:5044
#124 _PyEval_EvalFrameDefault (tstate=<optimized out>, f=<optimized out>, throwflag=<optimized out>) at Python/ceval.c:3459
#125 0x00000000004dda68 in _PyEval_EvalFrame (throwflag=0, f=0x1914bf0, tstate=0x18b85a0) at ./Include/internal/pycore_ceval.h:40
#126 _PyEval_EvalCode (tstate=0x18b85a0, _co=_co@entry=0x7ff010495240, globals=globals@entry=0x7ff01052d8c0, locals=locals@entry=0x7ff01052d8c0, args=args@entry=0x0, argcount=argcount@entry=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, 
    kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4299
#127 0x00000000004ddd76 in _PyEval_EvalCodeWithName (qualname=0x0, name=0x0, closure=0x0, kwdefs=0x0, defcount=0, defs=0x0, kwstep=2, kwcount=0, kwargs=0x0, kwnames=0x0, argcount=0, args=0x0, locals=0x7ff01052d8c0, globals=0x7ff01052d8c0, _co=0x7ff010495240)
    at Python/ceval.c:4331
#128 PyEval_EvalCodeEx (closure=0x0, kwdefs=0x0, defcount=0, defs=0x0, kwcount=0, kws=0x0, argcount=0, args=0x0, locals=0x7ff01052d8c0, globals=0x7ff01052d8c0, _co=0x7ff010495240) at Python/ceval.c:4347
#129 PyEval_EvalCode (co=co@entry=0x7ff010495240, globals=globals@entry=0x7ff01052d8c0, locals=locals@entry=0x7ff01052d8c0) at Python/ceval.c:809
#130 0x000000000051ad31 in run_eval_code_obj (locals=0x7ff01052d8c0, globals=0x7ff01052d8c0, co=0x7ff010495240, tstate=0x18b85a0) at Python/pythonrun.c:1178
#131 run_mod (mod=mod@entry=0x192ecf8, filename=filename@entry=0x7ff0104d8cb0, globals=globals@entry=0x7ff01052d8c0, locals=locals@entry=0x7ff01052d8c0, flags=flags@entry=0x7fff023ba1d8, arena=arena@entry=0x7ff01055ef70) at Python/pythonrun.c:1199
#132 0x000000000051cb1f in PyRun_FileExFlags (fp=0x18b54f0, filename_str=<optimized out>, start=<optimized out>, globals=0x7ff01052d8c0, locals=0x7ff01052d8c0, closeit=1, flags=0x7fff023ba1d8) at Python/pythonrun.c:1116
#133 0x000000000051cc91 in PyRun_SimpleFileExFlags (fp=fp@entry=0x18b54f0, filename=<optimized out>, closeit=closeit@entry=1, flags=flags@entry=0x7fff023ba1d8) at Python/pythonrun.c:438
#134 0x000000000051d1e4 in PyRun_AnyFileExFlags (fp=fp@entry=0x18b54f0, filename=<optimized out>, closeit=closeit@entry=1, flags=flags@entry=0x7fff023ba1d8) at Python/pythonrun.c:87
#135 0x0000000000427d01 in pymain_run_file (cf=0x7fff023ba1d8, config=0x18b6590) at Modules/main.c:369
#136 pymain_run_python (exitcode=exitcode@entry=0x7fff023ba300) at Modules/main.c:553
#137 0x0000000000428288 in Py_RunMain () at Modules/main.c:632
#138 pymain_main (args=0x7fff023ba2c0) at Modules/main.c:662
#139 Py_BytesMain (argc=<optimized out>, argv=<optimized out>) at Modules/main.c:686
#140 0x00007ff01d61b042 in __libc_start_main () from /lib64/libc.so.6
#141 0x000000000042705e in _start () at ./Include/object.h:430
Missing separate debuginfos, use: dnf debuginfo-install bzip2-libs-1.0.8-2.fc32.x86_64 glibc-2.31-2.fc32.x86_64 libffi-3.1-24.fc32.x86_64 libxcrypt-4.4.16-3.fc32.x86_64 openssl-libs-1.1.1g-1.fc32.x86_64 xz-libs-5.2.5-1.fc32.x86_64 zlib-1.2.11-21.fc32.x86_64
msg372834 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 09:32
I can't seem to be able to attach a gziped coredump (7MB)
msg372835 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python triager) Date: 2020-07-02 09:42
@arcivanov what kind of input do you pass to the compile function which leads this crash?
msg372836 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-02 09:46
Can you provide a script to reproduce the issue?
msg372837 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 09:48
I'm right now rerunning the script with debug-level build of CPython and will report as soon as I have more data.
Any word on limits for attaching core dump?
msg372838 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 09:50
I can say that it is always reproduced, both in Travis environment (Ubuntu) and in Fedora.
msg372842 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python triager) Date: 2020-07-02 10:46
If you aren't able to share some reproducer snippets, would you try a bisect? An interesting commit would be this ac46eb4ad66 to try and check if this crash happens before and after it?
msg372851 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 13:14
So as soon as I started using CPython 3.9.0b3 with debug, the stack trace changed and the corruption apparently occurs in the GC, probably because the assertion is triggered vs release-style build:

    Modules/gcmodule.c:114: gc_decref: Assertion "gc_get_refs(g) > 0" failed: refcount is too small
    Enable tracemalloc to get the memory block allocation traceback
    
    object address  : 0x7f8566e1b110
    object refcount : 1
    object type     : 0x85e160
    object type name: module
    object repr     : <module '_ast' (built-in)>
    
    Fatal Python error: _PyObject_AssertFailed: _PyObject_AssertFailed
    Python runtime state: initialized
    
    Current thread 0x00007f85743c5740 (most recent call first):
      File "<frozen importlib._bootstrap_external>", line 587 in _compile_bytecode
      File "<frozen importlib._bootstrap_external>", line 918 in get_code
      File "<frozen importlib._bootstrap_external>", line 786 in exec_module
      File "<frozen importlib._bootstrap>", line 680 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/_vendor/pkg_resources/extern/__init__.py", line 43 in load_module
      File "<frozen importlib._bootstrap>", line 627 in _load_backward_compatible
      File "<frozen importlib._bootstrap>", line 664 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/_vendor/pkg_resources/_vendor/packaging/requirements.py", line 9 in <module>
      File "<frozen importlib._bootstrap>", line 228 in _call_with_frames_removed
      File "<frozen importlib._bootstrap_external>", line 790 in exec_module
      File "<frozen importlib._bootstrap>", line 680 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/extern/__init__.py", line 69 in load_module
      File "<frozen importlib._bootstrap>", line 627 in _load_backward_compatible
      File "<frozen importlib._bootstrap>", line 664 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/_vendor/pkg_resources/__init__.py", line 84 in <module>
      File "<frozen importlib._bootstrap>", line 228 in _call_with_frames_removed
      File "<frozen importlib._bootstrap_external>", line 790 in exec_module
      File "<frozen importlib._bootstrap>", line 680 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/extern/__init__.py", line 69 in load_module
      File "<frozen importlib._bootstrap>", line 627 in _load_backward_compatible
      File "<frozen importlib._bootstrap>", line 664 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/pip_common.py", line 19 in <module>
      File "<frozen importlib._bootstrap>", line 228 in _call_with_frames_removed
      File "<frozen importlib._bootstrap_external>", line 790 in exec_module
      File "<frozen importlib._bootstrap>", line 680 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/pluginloader.py", line 33 in <module>
      File "<frozen importlib._bootstrap>", line 228 in _call_with_frames_removed
      File "<frozen importlib._bootstrap_external>", line 790 in exec_module
      File "<frozen importlib._bootstrap>", line 680 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/reactor.py", line 38 in <module>
      File "<frozen importlib._bootstrap>", line 228 in _call_with_frames_removed
      File "<frozen importlib._bootstrap_external>", line 790 in exec_module
      File "<frozen importlib._bootstrap>", line 680 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/cli.py", line 37 in <module>
      File "<frozen importlib._bootstrap>", line 228 in _call_with_frames_removed
      File "<frozen importlib._bootstrap_external>", line 790 in exec_module
      File "<frozen importlib._bootstrap>", line 680 in _load_unlocked
      File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
      File "./src/main/python/pybuilder/__init__.py", line 32 in bootstrap
      File "/tmp/IntegrationTestSupportte4n5vz_/build.py", line 31 in <module>
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/runpy.py", line 87 in _run_code
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/runpy.py", line 97 in _run_module_code
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/runpy.py", line 268 in run_path
      File "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_itest_support.py", line 72 in smoke_test
      File "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", line 30 in test_build_then_clean
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/case.py", line 550 in _callTestMethod
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/case.py", line 593 in run
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/case.py", line 653 in __call__
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/suite.py", line 122 in run
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/suite.py", line 84 in __call__
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/suite.py", line 122 in run
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/suite.py", line 84 in __call__
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/runner.py", line 176 in run
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/main.py", line 271 in runTests
      File "/home/arcivanov/.pyenv/versions/3.9.0b3-debug/lib/python3.9/unittest/main.py", line 101 in __init__
      File "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", line 34 in <module>

$ abrt gdb 78446a5
GNU gdb (GDB) Fedora 9.1-5.fc32
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word".
No symbol table is loaded.  Use the "file" command.
No symbol table is loaded.  Use the "file" command.
Reading symbols from /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/bin/python...
warning: exec file is newer than core file.
[New LWP 494085]
warning: Unexpected size of section `.reg-xstate/494085' in core file.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.'.
Program terminated with signal SIGSEGV, Segmentation fault.
warning: Unexpected size of section `.reg-xstate/494085' in core file.
#0  0x00000000005961e9 in _PyObject_GC_UNTRACK_impl (filename=0x784cdc "Modules/gcmodule.c", lineno=2200, op=0x7f7505d6ffa0) at ./Include/internal/pycore_object.h:73
73          _PyGCHead_SET_NEXT(prev, next);
From                To                  Syms Read   Shared Object Library
0x00007f75144f9050  0x00007f751450dd69  Yes (*)     /lib64/libcrypt.so.2
0x00007f75144dcaf0  0x00007f75144ebb95  Yes (*)     /lib64/libpthread.so.0
0x00007f75144d0270  0x00007f75144d11c9  Yes (*)     /lib64/libdl.so.2
0x00007f75144ca3f0  0x00007f75144cadb0  Yes (*)     /lib64/libutil.so.1
0x00007f75143923d0  0x00007f751442d078  Yes (*)     /lib64/libm.so.6
0x00007f75141de670  0x00007f751432c80f  Yes (*)     /lib64/libc.so.6
0x00007f751456d110  0x00007f751458d574  Yes (*)     /lib64/ld-linux-x86-64.so.2
0x00007f7514538100  0x00007f7514539c25  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_heapq.cpython-39d-x86_64-linux-gnu.so
0x00007f751455a3e0  0x00007f751455ed09  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/zlib.cpython-39d-x86_64-linux-gnu.so
0x00007f7506cea5f0  0x00007f7506cf7bd8  Yes (*)     /lib64/libz.so.1
0x00007f7514552300  0x00007f7514553f8f  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_bz2.cpython-39d-x86_64-linux-gnu.so
0x00007f7506c96570  0x00007f7506ca2996  Yes (*)     /lib64/libbz2.so.1
0x00007f75145474b0  0x00007f751454abb3  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_lzma.cpython-39d-x86_64-linux-gnu.so
0x00007f7506c6d9f0  0x00007f7506c85076  Yes (*)     /lib64/liblzma.so.5
0x00007f7506d33290  0x00007f7506d340c0  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/grp.cpython-39d-x86_64-linux-gnu.so
0x00007f7506d225a0  0x00007f7506d29c84  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/math.cpython-39d-x86_64-linux-gnu.so
0x00007f7506d19160  0x00007f7506d1a20d  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_bisect.cpython-39d-x86_64-linux-gnu.so
0x00007f7506d0f1a0  0x00007f7506d14add  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_sha512.cpython-39d-x86_64-linux-gnu.so
0x00007f7506d092f0  0x00007f7506d0a9c0  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_random.cpython-39d-x86_64-linux-gnu.so
0x00007f7506b0e5a0  0x00007f7506b1f2c6  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_datetime.cpython-39d-x86_64-linux-gnu.so
0x00007f7506afb430  0x00007f7506b0408b  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_json.cpython-39d-x86_64-linux-gnu.so
0x00007f7506af3400  0x00007f7506af5350  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_posixsubprocess.cpython-39d-x86_64-linux-gnu.so
0x00007f7506ae8410  0x00007f7506aeb9bf  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/select.cpython-39d-x86_64-linux-gnu.so
0x00007f7506a5a540  0x00007f7506a5fede  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_struct.cpython-39d-x86_64-linux-gnu.so
0x00007f7506a378f0  0x00007f7506a4b945  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_pickle.cpython-39d-x86_64-linux-gnu.so
0x00007f75069da830  0x00007f75069e659b  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_socket.cpython-39d-x86_64-linux-gnu.so
0x00007f75069c7570  0x00007f75069cec85  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/array.cpython-39d-x86_64-linux-gnu.so
0x00007f75145400f0  0x00007f7514540554  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_opcode.cpython-39d-x86_64-linux-gnu.so
0x00007f75067e8280  0x00007f75067ecbcc  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/binascii.cpython-39d-x86_64-linux-gnu.so
0x00007f75067a8500  0x00007f75067d62be  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/pyexpat.cpython-39d-x86_64-linux-gnu.so
0x00007f75063956b0  0x00007f750639b885  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_hashlib.cpython-39d-x86_64-linux-gnu.so
0x00007f75062e38d0  0x00007f750633016a  Yes (*)     /lib64/libssl.so.1.1
0x00007f7506052000  0x00007f75061fc6c0  Yes (*)     /lib64/libcrypto.so.1.1
0x00007f750637d280  0x00007f750638ced0  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_blake2.cpython-39d-x86_64-linux-gnu.so
0x00007f7505f73290  0x00007f7505f807c3  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_ssl.cpython-39d-x86_64-linux-gnu.so
0x00007f7505dffa90  0x00007f7505e156d2  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_ctypes.cpython-39d-x86_64-linux-gnu.so
0x00007f75063722c0  0x00007f7506376d4c  Yes (*)     /lib64/libffi.so.6
0x00007f7506dfc2b0  0x00007f7506dfd189  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.3/lib/python3.9/lib-dynload/_multiprocessing.cpython-39d-x86_64-linux-gnu.so
(*): Shared library is missing debugging information.
#0  0x00000000005961e9 in _PyObject_GC_UNTRACK_impl (filename=0x784cdc "Modules/gcmodule.c", lineno=2200, op=0x7f7505d6ffa0) at ./Include/internal/pycore_object.h:73
#1  0x000000000059a0d0 in PyObject_GC_UnTrack (op_raw=0x7f7505d6ffa0) at Modules/gcmodule.c:2200
#2  0x000000000044a86f in list_dealloc (op=0x7f7505d6ffa0) at Objects/listobject.c:327
#3  0x000000000047c8e5 in _Py_Dealloc (op=0x7f7505d6ffa0) at Objects/object.c:2209
#4  0x0000000000608999 in _Py_DECREF (filename=0x7b1c34 "./Modules/_io/textio.c", lineno=1598, op=0x7f7505d6ffa0) at ./Include/object.h:430
#5  0x000000000060d0cc in _textiowrapper_writeflush (self=0x7f75070b39b0) at ./Modules/_io/textio.c:1598
#6  0x0000000000611a0d in _io_TextIOWrapper_flush_impl (self=0x7f75070b39b0) at ./Modules/_io/textio.c:3022
#7  0x00000000006132bc in _io_TextIOWrapper_flush (self=0x7f75070b39b0, _unused_ignored=0x0) at ./Modules/_io/clinic/textio.c.h:685
#8  0x0000000000644d88 in method_vectorcall_NOARGS (func=0x7f75070dcf50, args=0x7ffd8345a868, nargsf=1, kwnames=0x0) at Objects/descrobject.c:434
#9  0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75070dcf50, args=0x7ffd8345a868, nargsf=1, kwnames=0x0) at ./Include/cpython/abstract.h:118
#10 0x00000000004329b6 in PyObject_VectorcallMethod (name=0x7f75071a7a90, args=0x7ffd8345a868, nargsf=1, kwnames=0x0) at Objects/call.c:827
#11 0x000000000056334d in _PyObject_VectorcallMethodId (name=0x867420 <PyId_flush>, args=0x7ffd8345a868, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:237
#12 0x000000000056337e in _PyObject_CallMethodIdNoArgs (self=0x7f75070b39b0, name=0x867420 <PyId_flush>) at ./Include/cpython/abstract.h:243
#13 0x0000000000566268 in flush_std_files () at Python/pylifecycle.c:1216
#14 0x0000000000567e86 in fatal_error (stream=0x7f751437d420 <_IO_2_1_stderr_>, header=1, prefix=0x7291e0 <__func__.0> "_PyObject_AssertFailed", msg=0x728e03 "_PyObject_AssertFailed", status=-1) at Python/pylifecycle.c:2278
#15 0x0000000000567ef4 in _Py_FatalErrorFunc (func=0x7291e0 <__func__.0> "_PyObject_AssertFailed", msg=0x728e03 "_PyObject_AssertFailed") at Python/pylifecycle.c:2301
#16 0x000000000047c8bc in _PyObject_AssertFailed (obj=0x7f7506bfd890, expr=0x784d05 "gc_get_refs(g) > 0", msg=0x784cef "refcount is too small", file=0x784cdc "Modules/gcmodule.c", line=114, function=0x786830 <__func__.41> "gc_decref") at Objects/object.c:2198
#17 0x0000000000596443 in gc_decref (g=0x7f7506bfd880) at Modules/gcmodule.c:114
#18 0x0000000000596dcc in visit_decref (op=0x7f7506bfd890, parent=0x7f7507181910) at Modules/gcmodule.c:450
#19 0x0000000000450051 in list_traverse (o=0x7f7507181910, visit=0x596d4d <visit_decref>, arg=0x7f7507181910) at Objects/listobject.c:2612
#20 0x0000000000596e25 in subtract_refs (containers=0x13aa080) at Modules/gcmodule.c:469
#21 0x0000000000597e33 in deduce_unreachable (base=0x13aa080, unreachable=0x7ffd8345aab0) at Modules/gcmodule.c:1092
#22 0x0000000000598108 in collect (tstate=0x13abcc0, generation=2, n_collected=0x7ffd8345ab40, n_uncollectable=0x7ffd8345ab38, nofail=0) at Modules/gcmodule.c:1212
#23 0x00000000005987da in collect_with_callback (tstate=0x13abcc0, generation=2) at Modules/gcmodule.c:1387
#24 0x00000000005988e4 in collect_generations (tstate=0x13abcc0) at Modules/gcmodule.c:1442
#25 0x000000000059a237 in _PyObject_GC_Alloc (use_calloc=0, basicsize=64) at Modules/gcmodule.c:2242
#26 0x000000000059a274 in _PyObject_GC_Malloc (basicsize=64) at Modules/gcmodule.c:2252
#27 0x000000000059a336 in _PyObject_GC_NewVar (tp=0x860ee0 <PyTuple_Type>, nitems=5) at Modules/gcmodule.c:2281
#28 0x000000000048d643 in tuple_alloc (size=5) at Objects/tupleobject.c:92
#29 0x000000000048d6a6 in PyTuple_New (size=5) at Objects/tupleobject.c:110
#30 0x0000000000559830 in r_object (p=0x7ffd8345b460) at Python/marshal.c:1164
#31 0x000000000055a0b8 in r_object (p=0x7ffd8345b460) at Python/marshal.c:1349
#32 0x0000000000559891 in r_object (p=0x7ffd8345b460) at Python/marshal.c:1170
#33 0x000000000055a09a in r_object (p=0x7ffd8345b460) at Python/marshal.c:1346
#34 0x0000000000559891 in r_object (p=0x7ffd8345b460) at Python/marshal.c:1170
#35 0x000000000055a09a in r_object (p=0x7ffd8345b460) at Python/marshal.c:1346
#36 0x000000000055a4f3 in read_object (p=0x7ffd8345b460) at Python/marshal.c:1432
#37 0x000000000055ac60 in marshal_loads_impl (module=0x7f75070ddd70, bytes=0x7ffd8345b4e0) at Python/marshal.c:1738
#38 0x0000000000555c29 in marshal_loads (module=0x7f75070ddd70, arg=0x7f75059db940) at Python/clinic/marshal.c.h:158
#39 0x0000000000655173 in cfunction_vectorcall_O (func=0x7f75070ddf50, args=0x7f75070fa3e0, nargsf=9223372036854775809, kwnames=0x0) at Objects/methodobject.c:510
#40 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75070ddf50, args=0x7f75070fa3e0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#41 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75070ddf50, args=0x7f75070fa3e0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#42 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8345b768, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#43 0x0000000000519210 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f75070fa240, throwflag=0) at Python/ceval.c:3459
#44 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f75070fa240, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#45 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f750711c040, globals=0x7f7507161bf0, locals=0x0, args=0x13f2d78, argcount=1, kwnames=0x7f7507121668, kwargs=0x13f2d80, kwcount=3, kwstep=1, defs=0x7f7507131788, defcount=3, kwdefs=0x0, 
    closure=0x0, name=0x7f750711ae80, qualname=0x7f750711ae80) at Python/ceval.c:4299
#46 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7507135690, stack=0x13f2d78, nargsf=9223372036854775809, kwnames=0x7f7507121650) at Objects/call.c:395
#47 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507135690, args=0x13f2d78, nargsf=9223372036854775809, kwnames=0x7f7507121650) at ./Include/cpython/abstract.h:118
#48 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507135690, args=0x13f2d78, nargsf=9223372036854775809, kwnames=0x7f7507121650) at ./Include/cpython/abstract.h:127
#49 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8345cf68, oparg=4, kwnames=0x7f7507121650) at Python/ceval.c:5044
#50 0x000000000051966e in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x13f2b90, throwflag=0) at Python/ceval.c:3507
#51 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x13f2b90, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#52 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507122380, args=0x7f7505b2f968, nargs=2, globals=0x7f7507161bf0) at Objects/call.c:329
#53 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507137370, stack=0x7f7505b2f958, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#54 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507137370, args=0x7f7505b2f958, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#55 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507137370, args=0x7f7505b2f958, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#56 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8345e638, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#57 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7505b2f7d0, throwflag=0) at Python/ceval.c:3476
#58 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7505b2f7d0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#59 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750711cad0, args=0x7f7505aa77e0, nargs=2, globals=0x7f7507161bf0) at Objects/call.c:329
#60 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507135e10, stack=0x7f7505aa77d0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#61 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507135e10, args=0x7f7505aa77d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#62 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507135e10, args=0x7f7505aa77d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#63 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8345fce8, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#64 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7505aa7650, throwflag=0) at Python/ceval.c:3476
#65 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7505aa7650, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#66 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x186e630, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#67 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x186e628, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#68 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x186e628, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#69 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x186e628, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#70 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83461388, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#71 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x186e470, throwflag=0) at Python/ceval.c:3490
#72 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x186e470, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#73 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x7f75063b5df8, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#74 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x7f75063b5de8, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#75 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x7f75063b5de8, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#76 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x7f75063b5de8, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#77 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83462a38, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#78 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f75063b5c50, throwflag=0) at Python/ceval.c:3490
#79 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f75063b5c50, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#80 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd83463ff0, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#81 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd83463fe0, nargsf=2, kwnames=0x0) at Objects/call.c:366
#82 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd83463fe0, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#83 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd83464050) at Objects/call.c:791
#84 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#85 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f75059edbc0) at Python/import.c:1768
#86 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f75059edbc0, globals=0x0, locals=0x0, fromlist=0x0, level=0) at Python/import.c:1869
#87 0x000000000069fa60 in builtin___import__ (self=0x7f7507164950, args=0x7f750597a460, kwds=0x0) at Python/bltinmodule.c:280
#88 0x0000000000655295 in cfunction_call (func=0x7f7507164ad0, args=0x7f750597a460, kwargs=0x0) at Objects/methodobject.c:537
#89 0x0000000000430d6d in _PyObject_MakeTpCall (tstate=0x13abcc0, callable=0x7f7507164ad0, args=0x17e9538, nargs=1, keywords=0x0) at Objects/call.c:191
#90 0x0000000000509884 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507164ad0, args=0x17e9538, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#91 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507164ad0, args=0x17e9538, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#92 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83464558, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#93 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17e9380, throwflag=0) at Python/ceval.c:3490
#94 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17e9380, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#95 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7505a00c70, args=0x7f75059d37b0, nargs=2, globals=0x7f7505a10770) at Objects/call.c:329
#96 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7505a14c30, stack=0x7f75059d37a0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#97 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7505a14c30, args=0x7f75059d37a0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#98 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7505a14c30, args=0x7f75059d37a0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#99 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83465c18, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#100 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f75059d3620, throwflag=0) at Python/ceval.c:3476
#101 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f75059d3620, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#102 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ad0, args=0x153ec48, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#103 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108190, stack=0x153ec40, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#104 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108190, args=0x153ec40, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#105 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108190, args=0x153ec40, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#106 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834672b8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#107 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x153eac0, throwflag=0) at Python/ceval.c:3490
#108 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x153eac0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#109 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x16ee3f0, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#110 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x16ee3e8, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#111 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x16ee3e8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#112 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x16ee3e8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#113 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83468968, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#114 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x16ee230, throwflag=0) at Python/ceval.c:3490
#115 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x16ee230, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#116 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x1934048, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#117 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x1934038, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#118 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x1934038, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#119 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x1934038, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#120 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8346a018, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#121 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1933ea0, throwflag=0) at Python/ceval.c:3490
#122 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1933ea0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#123 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd8346b5d0, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#124 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd8346b5c0, nargsf=2, kwnames=0x0) at Objects/call.c:366
#125 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd8346b5c0, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#126 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd8346b630) at Objects/call.c:791
#127 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#128 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f75059edac0) at Python/import.c:1768
#129 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f75059f8d00, globals=0x7f75059e27d0, locals=0x7f75059e27d0, fromlist=0x7f7505a38b30, level=3) at Python/import.c:1869
#130 0x000000000051f01c in import_name (tstate=0x13abcc0, f=0x7f7505f12c50, name=0x7f75059f8d00, fromlist=0x7f7505a38b30, level=0x7f75071bb340) at Python/ceval.c:5165
#131 0x0000000000516c6b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7505f12c50, throwflag=0) at Python/ceval.c:3069
#132 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7505f12c50, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#133 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f75059f25f0, globals=0x7f75059e27d0, locals=0x7f75059e27d0, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, 
    qualname=0x0) at Python/ceval.c:4299
#134 0x000000000051cec0 in _PyEval_EvalCodeWithName (_co=0x7f75059f25f0, globals=0x7f75059e27d0, locals=0x7f75059e27d0, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#135 0x000000000051cf48 in PyEval_EvalCodeEx (_co=0x7f75059f25f0, globals=0x7f75059e27d0, locals=0x7f75059e27d0, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#136 0x000000000050ba2f in PyEval_EvalCode (co=0x7f75059f25f0, globals=0x7f75059e27d0, locals=0x7f75059e27d0) at Python/ceval.c:809
#137 0x00000000006a0a29 in builtin_exec_impl (module=0x7f7507164950, source=0x7f75059f25f0, globals=0x7f75059e27d0, locals=0x7f75059e27d0) at Python/bltinmodule.c:1035
#138 0x000000000069e868 in builtin_exec (module=0x7f7507164950, args=0x7f75059f36a8, nargs=2) at Python/clinic/bltinmodule.c.h:396
#139 0x0000000000654dae in cfunction_vectorcall_FASTCALL (func=0x7f7507166170, args=0x7f75059f36a8, nargsf=2, kwnames=0x0) at Objects/methodobject.c:424
#140 0x0000000000430f60 in PyVectorcall_Call (callable=0x7f7507166170, tuple=0x7f75059f3690, kwargs=0x7f75059f4cb0) at Objects/call.c:230
#141 0x000000000043110b in _PyObject_Call (tstate=0x13abcc0, callable=0x7f7507166170, args=0x7f75059f3690, kwargs=0x7f75059f4cb0) at Objects/call.c:265
#142 0x00000000004311f2 in PyObject_Call (callable=0x7f7507166170, args=0x7f75059f3690, kwargs=0x7f75059f4cb0) at Objects/call.c:292
#143 0x000000000051eaf5 in do_call_core (tstate=0x13abcc0, func=0x7f7507166170, callargs=0x7f75059f3690, kwdict=0x7f75059f4cb0) at Python/ceval.c:5064
#144 0x0000000000519a9b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f75059dd220, throwflag=0) at Python/ceval.c:3552
#145 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f75059dd220, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#146 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f750716d5f0, globals=0x7f7507101a10, locals=0x0, args=0x1808100, argcount=3, kwnames=0x0, kwargs=0x1808118, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f7507155d60, qualname=0x7f7507155d60) at Python/ceval.c:4299
#147 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f75071074b0, stack=0x1808100, nargsf=9223372036854775811, kwnames=0x0) at Objects/call.c:395
#148 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071074b0, args=0x1808100, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:118
#149 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071074b0, args=0x1808100, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:127
#150 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8346eb98, oparg=3, kwnames=0x0) at Python/ceval.c:5044
#151 0x0000000000519210 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1807f70, throwflag=0) at Python/ceval.c:3459
#152 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1807f70, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#153 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750711cad0, args=0x7f7505b3fbe0, nargs=2, globals=0x7f7507161bf0) at Objects/call.c:329
#154 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507135e10, stack=0x7f7505b3fbd0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#155 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507135e10, args=0x7f7505b3fbd0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#156 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507135e10, args=0x7f7505b3fbd0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#157 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83470248, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#158 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7505b3fa50, throwflag=0) at Python/ceval.c:3476
#159 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7505b3fa50, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#160 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x17d2f30, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#161 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x17d2f28, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#162 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x17d2f28, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#163 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x17d2f28, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#164 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834718e8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#165 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17d2d70, throwflag=0) at Python/ceval.c:3490
#166 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17d2d70, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#167 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x1876b38, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#168 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x1876b28, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#169 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x1876b28, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#170 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x1876b28, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#171 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83472f98, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#172 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1876990, throwflag=0) at Python/ceval.c:3490
#173 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1876990, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#174 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd83474550, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#175 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd83474540, nargsf=2, kwnames=0x0) at Objects/call.c:366
#176 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd83474540, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#177 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd834745b0) at Objects/call.c:791
#178 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#179 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f75059e7550) at Python/import.c:1768
#180 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f75059e7550, globals=0x0, locals=0x0, fromlist=0x0, level=0) at Python/import.c:1869
#181 0x000000000069fa60 in builtin___import__ (self=0x7f7507164950, args=0x7f7505a133c0, kwds=0x0) at Python/bltinmodule.c:280
#182 0x0000000000655295 in cfunction_call (func=0x7f7507164ad0, args=0x7f7505a133c0, kwargs=0x0) at Objects/methodobject.c:537
#183 0x0000000000430d6d in _PyObject_MakeTpCall (tstate=0x13abcc0, callable=0x7f7507164ad0, args=0x187b8d8, nargs=1, keywords=0x0) at Objects/call.c:191
#184 0x0000000000509884 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507164ad0, args=0x187b8d8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#185 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507164ad0, args=0x187b8d8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#186 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83474ab8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#187 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x187b720, throwflag=0) at Python/ceval.c:3490
#188 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x187b720, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#189 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7505ba5ad0, args=0x7f7505ca2f70, nargs=2, globals=0x7f7505b44cb0) at Objects/call.c:329
#190 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7505b4c9b0, stack=0x7f7505ca2f60, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#191 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7505b4c9b0, args=0x7f7505ca2f60, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#192 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7505b4c9b0, args=0x7f7505ca2f60, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#193 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83476178, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#194 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7505ca2de0, throwflag=0) at Python/ceval.c:3476
#195 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7505ca2de0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#196 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ad0, args=0x7f7505aa75d8, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#197 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108190, stack=0x7f7505aa75d0, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#198 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108190, args=0x7f7505aa75d0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#199 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108190, args=0x7f7505aa75d0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#200 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83477818, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#201 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7505aa7450, throwflag=0) at Python/ceval.c:3490
#202 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7505aa7450, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#203 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x1880bb0, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#204 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x1880ba8, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#205 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x1880ba8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#206 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x1880ba8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#207 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83478ec8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#208 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x18809f0, throwflag=0) at Python/ceval.c:3490
#209 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x18809f0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#210 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x17ffd08, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#211 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x17ffcf8, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#212 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x17ffcf8, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#213 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x17ffcf8, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#214 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8347a578, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#215 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17ffb60, throwflag=0) at Python/ceval.c:3490
#216 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17ffb60, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#217 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd8347bb30, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#218 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd8347bb20, nargsf=2, kwnames=0x0) at Objects/call.c:366
#219 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd8347bb20, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#220 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd8347bb90) at Objects/call.c:791
#221 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#222 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f7505afd240) at Python/import.c:1768
#223 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f7505afd240, globals=0x0, locals=0x0, fromlist=0x0, level=0) at Python/import.c:1869
#224 0x000000000069fa60 in builtin___import__ (self=0x7f7507164950, args=0x7f7505abd690, kwds=0x0) at Python/bltinmodule.c:280
#225 0x0000000000655295 in cfunction_call (func=0x7f7507164ad0, args=0x7f7505abd690, kwargs=0x0) at Objects/methodobject.c:537
#226 0x0000000000430d6d in _PyObject_MakeTpCall (tstate=0x13abcc0, callable=0x7f7507164ad0, args=0x17f61a0, nargs=1, keywords=0x0) at Objects/call.c:191
#227 0x0000000000509884 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507164ad0, args=0x17f61a0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#228 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507164ad0, args=0x17f61a0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#229 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8347c098, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#230 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17f6030, throwflag=0) at Python/ceval.c:3490
#231 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17f6030, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#232 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7505abe380, globals=0x7f7505afea70, locals=0x7f7505afea70, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, 
    qualname=0x0) at Python/ceval.c:4299
#233 0x000000000051cec0 in _PyEval_EvalCodeWithName (_co=0x7f7505abe380, globals=0x7f7505afea70, locals=0x7f7505afea70, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#234 0x000000000051cf48 in PyEval_EvalCodeEx (_co=0x7f7505abe380, globals=0x7f7505afea70, locals=0x7f7505afea70, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#235 0x000000000050ba2f in PyEval_EvalCode (co=0x7f7505abe380, globals=0x7f7505afea70, locals=0x7f7505afea70) at Python/ceval.c:809
#236 0x00000000006a0a29 in builtin_exec_impl (module=0x7f7507164950, source=0x7f7505abe380, globals=0x7f7505afea70, locals=0x7f7505afea70) at Python/bltinmodule.c:1035
#237 0x000000000069e868 in builtin_exec (module=0x7f7507164950, args=0x7f7505abd6f8, nargs=2) at Python/clinic/bltinmodule.c.h:396
#238 0x0000000000654dae in cfunction_vectorcall_FASTCALL (func=0x7f7507166170, args=0x7f7505abd6f8, nargsf=2, kwnames=0x0) at Objects/methodobject.c:424
#239 0x0000000000430f60 in PyVectorcall_Call (callable=0x7f7507166170, tuple=0x7f7505abd6e0, kwargs=0x7f7505afe6b0) at Objects/call.c:230
#240 0x000000000043110b in _PyObject_Call (tstate=0x13abcc0, callable=0x7f7507166170, args=0x7f7505abd6e0, kwargs=0x7f7505afe6b0) at Objects/call.c:265
#241 0x00000000004311f2 in PyObject_Call (callable=0x7f7507166170, args=0x7f7505abd6e0, kwargs=0x7f7505afe6b0) at Objects/call.c:292
#242 0x000000000051eaf5 in do_call_core (tstate=0x13abcc0, func=0x7f7507166170, callargs=0x7f7505abd6e0, kwdict=0x7f7505afe6b0) at Python/ceval.c:5064
#243 0x0000000000519a9b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x182b590, throwflag=0) at Python/ceval.c:3552
#244 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x182b590, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#245 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f750716d5f0, globals=0x7f7507101a10, locals=0x0, args=0x1842810, argcount=3, kwnames=0x0, kwargs=0x1842828, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f7507155d60, qualname=0x7f7507155d60) at Python/ceval.c:4299
#246 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f75071074b0, stack=0x1842810, nargsf=9223372036854775811, kwnames=0x0) at Objects/call.c:395
#247 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071074b0, args=0x1842810, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:118
#248 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071074b0, args=0x1842810, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:127
#249 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8347f2b8, oparg=3, kwnames=0x0) at Python/ceval.c:5044
#250 0x0000000000519210 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1842680, throwflag=0) at Python/ceval.c:3459
#251 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1842680, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#252 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750711cad0, args=0x18368a0, nargs=2, globals=0x7f7507161bf0) at Objects/call.c:329
#253 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507135e10, stack=0x1836890, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#254 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507135e10, args=0x1836890, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#255 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507135e10, args=0x1836890, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#256 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83480968, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#257 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1836710, throwflag=0) at Python/ceval.c:3476
#258 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1836710, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#259 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x17bb8b0, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#260 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x17bb8a8, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#261 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x17bb8a8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#262 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x17bb8a8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#263 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83482008, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#264 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17bb6f0, throwflag=0) at Python/ceval.c:3490
#265 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17bb6f0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#266 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x1879718, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#267 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x1879708, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#268 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x1879708, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#269 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x1879708, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#270 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834836b8, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#271 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1879570, throwflag=0) at Python/ceval.c:3490
#272 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1879570, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#273 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd83484c70, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#274 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd83484c60, nargsf=2, kwnames=0x0) at Objects/call.c:366
#275 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd83484c60, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#276 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd83484cd0) at Objects/call.c:791
#277 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#278 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f7505afb3c0) at Python/import.c:1768
#279 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f7505afb3c0, globals=0x0, locals=0x0, fromlist=0x0, level=0) at Python/import.c:1869
#280 0x000000000069fa60 in builtin___import__ (self=0x7f7507164950, args=0x7f7505b75f50, kwds=0x0) at Python/bltinmodule.c:280
#281 0x0000000000655295 in cfunction_call (func=0x7f7507164ad0, args=0x7f7505b75f50, kwargs=0x0) at Objects/methodobject.c:537
#282 0x0000000000430d6d in _PyObject_MakeTpCall (tstate=0x13abcc0, callable=0x7f7507164ad0, args=0x1849c98, nargs=1, keywords=0x0) at Objects/call.c:191
#283 0x0000000000509884 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507164ad0, args=0x1849c98, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#284 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507164ad0, args=0x1849c98, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#285 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834851d8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#286 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1849ae0, throwflag=0) at Python/ceval.c:3490
#287 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1849ae0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#288 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7505ba5ad0, args=0x7f75066741e0, nargs=2, globals=0x7f7505b44cb0) at Objects/call.c:329
#289 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7505b4c9b0, stack=0x7f75066741d0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#290 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7505b4c9b0, args=0x7f75066741d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#291 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7505b4c9b0, args=0x7f75066741d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#292 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83486898, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#293 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7506674050, throwflag=0) at Python/ceval.c:3476
#294 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7506674050, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#295 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ad0, args=0x1829a48, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#296 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108190, stack=0x1829a40, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#297 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108190, args=0x1829a40, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#298 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108190, args=0x1829a40, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#299 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83487f38, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#300 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x18298c0, throwflag=0) at Python/ceval.c:3490
#301 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x18298c0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#302 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x1837e90, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#303 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x1837e88, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#304 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x1837e88, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#305 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x1837e88, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#306 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834895e8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#307 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1837cd0, throwflag=0) at Python/ceval.c:3490
#308 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1837cd0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#309 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x1854a28, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#310 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x1854a18, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#311 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x1854a18, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#312 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x1854a18, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#313 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8348ac98, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#314 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1854880, throwflag=0) at Python/ceval.c:3490
#315 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1854880, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#316 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd8348c250, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#317 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd8348c240, nargsf=2, kwnames=0x0) at Objects/call.c:366
#318 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd8348c240, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#319 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd8348c2b0) at Objects/call.c:791
#320 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#321 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f75069169a0) at Python/import.c:1768
#322 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f75069169a0, globals=0x7f7505b77ef0, locals=0x7f7505b77ef0, fromlist=0x7f7505b75e60, level=0) at Python/import.c:1869
#323 0x000000000051f01c in import_name (tstate=0x13abcc0, f=0x18567f0, name=0x7f75069169a0, fromlist=0x7f7505b75e60, level=0x7f75071bb280) at Python/ceval.c:5165
#324 0x0000000000516c6b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x18567f0, throwflag=0) at Python/ceval.c:3069
#325 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x18567f0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#326 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7505afaa00, globals=0x7f7505b77ef0, locals=0x7f7505b77ef0, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, 
    qualname=0x0) at Python/ceval.c:4299
#327 0x000000000051cec0 in _PyEval_EvalCodeWithName (_co=0x7f7505afaa00, globals=0x7f7505b77ef0, locals=0x7f7505b77ef0, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#328 0x000000000051cf48 in PyEval_EvalCodeEx (_co=0x7f7505afaa00, globals=0x7f7505b77ef0, locals=0x7f7505b77ef0, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#329 0x000000000050ba2f in PyEval_EvalCode (co=0x7f7505afaa00, globals=0x7f7505b77ef0, locals=0x7f7505b77ef0) at Python/ceval.c:809
#330 0x00000000006a0a29 in builtin_exec_impl (module=0x7f7507164950, source=0x7f7505afaa00, globals=0x7f7505b77ef0, locals=0x7f7505b77ef0) at Python/bltinmodule.c:1035
#331 0x000000000069e868 in builtin_exec (module=0x7f7507164950, args=0x7f7505b75d38, nargs=2) at Python/clinic/bltinmodule.c.h:396
#332 0x0000000000654dae in cfunction_vectorcall_FASTCALL (func=0x7f7507166170, args=0x7f7505b75d38, nargsf=2, kwnames=0x0) at Objects/methodobject.c:424
#333 0x0000000000430f60 in PyVectorcall_Call (callable=0x7f7507166170, tuple=0x7f7505b75d20, kwargs=0x7f7505b77fb0) at Objects/call.c:230
#334 0x000000000043110b in _PyObject_Call (tstate=0x13abcc0, callable=0x7f7507166170, args=0x7f7505b75d20, kwargs=0x7f7505b77fb0) at Objects/call.c:265
#335 0x00000000004311f2 in PyObject_Call (callable=0x7f7507166170, args=0x7f7505b75d20, kwargs=0x7f7505b77fb0) at Objects/call.c:292
#336 0x000000000051eaf5 in do_call_core (tstate=0x13abcc0, func=0x7f7507166170, callargs=0x7f7505b75d20, kwdict=0x7f7505b77fb0) at Python/ceval.c:5064
#337 0x0000000000519a9b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1844150, throwflag=0) at Python/ceval.c:3552
#338 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1844150, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#339 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f750716d5f0, globals=0x7f7507101a10, locals=0x0, args=0x185fc90, argcount=3, kwnames=0x0, kwargs=0x185fca8, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f7507155d60, qualname=0x7f7507155d60) at Python/ceval.c:4299
#340 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f75071074b0, stack=0x185fc90, nargsf=9223372036854775811, kwnames=0x0) at Objects/call.c:395
#341 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071074b0, args=0x185fc90, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:118
#342 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071074b0, args=0x185fc90, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:127
#343 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8348f818, oparg=3, kwnames=0x0) at Python/ceval.c:5044
#344 0x0000000000519210 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x185fb00, throwflag=0) at Python/ceval.c:3459
#345 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x185fb00, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#346 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750711cad0, args=0x18519b0, nargs=2, globals=0x7f7507161bf0) at Objects/call.c:329
#347 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507135e10, stack=0x18519a0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#348 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507135e10, args=0x18519a0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#349 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507135e10, args=0x18519a0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#350 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83490ec8, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#351 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1851820, throwflag=0) at Python/ceval.c:3476
#352 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1851820, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#353 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x18799a0, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#354 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x1879998, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#355 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x1879998, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#356 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x1879998, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#357 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83492568, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#358 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x18797e0, throwflag=0) at Python/ceval.c:3490
#359 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x18797e0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#360 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x1879bf8, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#361 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x1879be8, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#362 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x1879be8, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#363 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x1879be8, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#364 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83493c18, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#365 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1879a50, throwflag=0) at Python/ceval.c:3490
#366 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1879a50, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#367 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd834951d0, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#368 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd834951c0, nargsf=2, kwnames=0x0) at Objects/call.c:366
#369 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd834951c0, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#370 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd83495230) at Objects/call.c:791
#371 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#372 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f75068cfd60) at Python/import.c:1768
#373 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f75068cfd60, globals=0x7f7505b6ad70, locals=0x7f7505b6ad70, fromlist=0x7f7505b69d20, level=0) at Python/import.c:1869
#374 0x000000000051f01c in import_name (tstate=0x13abcc0, f=0x1879cb0, name=0x7f75068cfd60, fromlist=0x7f7505b69d20, level=0x7f75071bb280) at Python/ceval.c:5165
#375 0x0000000000516c6b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1879cb0, throwflag=0) at Python/ceval.c:3069
#376 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1879cb0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#377 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7505afa860, globals=0x7f7505b6ad70, locals=0x7f7505b6ad70, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, 
    qualname=0x0) at Python/ceval.c:4299
#378 0x000000000051cec0 in _PyEval_EvalCodeWithName (_co=0x7f7505afa860, globals=0x7f7505b6ad70, locals=0x7f7505b6ad70, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#379 0x000000000051cf48 in PyEval_EvalCodeEx (_co=0x7f7505afa860, globals=0x7f7505b6ad70, locals=0x7f7505b6ad70, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#380 0x000000000050ba2f in PyEval_EvalCode (co=0x7f7505afa860, globals=0x7f7505b6ad70, locals=0x7f7505b6ad70) at Python/ceval.c:809
#381 0x00000000006a0a29 in builtin_exec_impl (module=0x7f7507164950, source=0x7f7505afa860, globals=0x7f7505b6ad70, locals=0x7f7505b6ad70) at Python/bltinmodule.c:1035
#382 0x000000000069e868 in builtin_exec (module=0x7f7507164950, args=0x7f7505b75c48, nargs=2) at Python/clinic/bltinmodule.c.h:396
#383 0x0000000000654dae in cfunction_vectorcall_FASTCALL (func=0x7f7507166170, args=0x7f7505b75c48, nargsf=2, kwnames=0x0) at Objects/methodobject.c:424
#384 0x0000000000430f60 in PyVectorcall_Call (callable=0x7f7507166170, tuple=0x7f7505b75c30, kwargs=0x7f7505b771d0) at Objects/call.c:230
#385 0x000000000043110b in _PyObject_Call (tstate=0x13abcc0, callable=0x7f7507166170, args=0x7f7505b75c30, kwargs=0x7f7505b771d0) at Objects/call.c:265
#386 0x00000000004311f2 in PyObject_Call (callable=0x7f7507166170, args=0x7f7505b75c30, kwargs=0x7f7505b771d0) at Objects/call.c:292
#387 0x000000000051eaf5 in do_call_core (tstate=0x13abcc0, func=0x7f7507166170, callargs=0x7f7505b75c30, kwdict=0x7f7505b771d0) at Python/ceval.c:5064
#388 0x0000000000519a9b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1795410, throwflag=0) at Python/ceval.c:3552
#389 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1795410, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#390 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f750716d5f0, globals=0x7f7507101a10, locals=0x0, args=0x16791a0, argcount=3, kwnames=0x0, kwargs=0x16791b8, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f7507155d60, qualname=0x7f7507155d60) at Python/ceval.c:4299
#391 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f75071074b0, stack=0x16791a0, nargsf=9223372036854775811, kwnames=0x0) at Objects/call.c:395
#392 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071074b0, args=0x16791a0, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:118
#393 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071074b0, args=0x16791a0, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:127
#394 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83498798, oparg=3, kwnames=0x0) at Python/ceval.c:5044
#395 0x0000000000519210 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1679010, throwflag=0) at Python/ceval.c:3459
#396 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1679010, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#397 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750711cad0, args=0x17df8f0, nargs=2, globals=0x7f7507161bf0) at Objects/call.c:329
#398 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507135e10, stack=0x17df8e0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#399 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507135e10, args=0x17df8e0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#400 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507135e10, args=0x17df8e0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#401 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd83499e48, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#402 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17df760, throwflag=0) at Python/ceval.c:3476
#403 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17df760, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#404 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x1779f00, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#405 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x1779ef8, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#406 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x1779ef8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#407 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x1779ef8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#408 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8349b4e8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#409 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1779d40, throwflag=0) at Python/ceval.c:3490
#410 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1779d40, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#411 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x187f2c8, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#412 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x187f2b8, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#413 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x187f2b8, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#414 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x187f2b8, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#415 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd8349cb98, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#416 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x187f120, throwflag=0) at Python/ceval.c:3490
#417 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x187f120, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#418 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd8349e150, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#419 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd8349e140, nargsf=2, kwnames=0x0) at Objects/call.c:366
#420 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd8349e140, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#421 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd8349e1b0) at Objects/call.c:791
#422 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#423 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f7506942fa0) at Python/import.c:1768
#424 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f7506942fa0, globals=0x7f7505ba3f50, locals=0x7f7505ba3f50, fromlist=0x7f7505b505f0, level=0) at Python/import.c:1869
#425 0x000000000051f01c in import_name (tstate=0x13abcc0, f=0x7f7505d28650, name=0x7f7506942fa0, fromlist=0x7f7505b505f0, level=0x7f75071bb280) at Python/ceval.c:5165
#426 0x0000000000516c6b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7505d28650, throwflag=0) at Python/ceval.c:3069
#427 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7505d28650, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#428 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7505b6f110, globals=0x7f7505ba3f50, locals=0x7f7505ba3f50, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, 
    qualname=0x0) at Python/ceval.c:4299
#429 0x000000000051cec0 in _PyEval_EvalCodeWithName (_co=0x7f7505b6f110, globals=0x7f7505ba3f50, locals=0x7f7505ba3f50, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#430 0x000000000051cf48 in PyEval_EvalCodeEx (_co=0x7f7505b6f110, globals=0x7f7505ba3f50, locals=0x7f7505ba3f50, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#431 0x000000000050ba2f in PyEval_EvalCode (co=0x7f7505b6f110, globals=0x7f7505ba3f50, locals=0x7f7505ba3f50) at Python/ceval.c:809
#432 0x00000000006a0a29 in builtin_exec_impl (module=0x7f7507164950, source=0x7f7505b6f110, globals=0x7f7505ba3f50, locals=0x7f7505ba3f50) at Python/bltinmodule.c:1035
#433 0x000000000069e868 in builtin_exec (module=0x7f7507164950, args=0x7f7505b69bf8, nargs=2) at Python/clinic/bltinmodule.c.h:396
#434 0x0000000000654dae in cfunction_vectorcall_FASTCALL (func=0x7f7507166170, args=0x7f7505b69bf8, nargsf=2, kwnames=0x0) at Objects/methodobject.c:424
#435 0x0000000000430f60 in PyVectorcall_Call (callable=0x7f7507166170, tuple=0x7f7505b69be0, kwargs=0x7f7505b65050) at Objects/call.c:230
#436 0x000000000043110b in _PyObject_Call (tstate=0x13abcc0, callable=0x7f7507166170, args=0x7f7505b69be0, kwargs=0x7f7505b65050) at Objects/call.c:265
#437 0x00000000004311f2 in PyObject_Call (callable=0x7f7507166170, args=0x7f7505b69be0, kwargs=0x7f7505b65050) at Objects/call.c:292
#438 0x000000000051eaf5 in do_call_core (tstate=0x13abcc0, func=0x7f7507166170, callargs=0x7f7505b69be0, kwdict=0x7f7505b65050) at Python/ceval.c:5064
#439 0x0000000000519a9b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17ef760, throwflag=0) at Python/ceval.c:3552
#440 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17ef760, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#441 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f750716d5f0, globals=0x7f7507101a10, locals=0x0, args=0x7f7505d289e0, argcount=3, kwnames=0x0, kwargs=0x7f7505d289f8, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f7507155d60, qualname=0x7f7507155d60) at Python/ceval.c:4299
#442 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f75071074b0, stack=0x7f7505d289e0, nargsf=9223372036854775811, kwnames=0x0) at Objects/call.c:395
#443 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071074b0, args=0x7f7505d289e0, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:118
#444 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071074b0, args=0x7f7505d289e0, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:127
#445 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834a1718, oparg=3, kwnames=0x0) at Python/ceval.c:5044
#446 0x0000000000519210 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7505d28850, throwflag=0) at Python/ceval.c:3459
#447 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7505d28850, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#448 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750711cad0, args=0x17ea880, nargs=2, globals=0x7f7507161bf0) at Objects/call.c:329
#449 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507135e10, stack=0x17ea870, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#450 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507135e10, args=0x17ea870, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#451 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507135e10, args=0x17ea870, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#452 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834a2dc8, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#453 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17ea6f0, throwflag=0) at Python/ceval.c:3476
#454 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17ea6f0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#455 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x186a700, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#456 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x186a6f8, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#457 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x186a6f8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#458 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x186a6f8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#459 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834a4468, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#460 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x186a540, throwflag=0) at Python/ceval.c:3490
#461 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x186a540, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#462 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x185df68, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#463 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x185df58, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#464 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x185df58, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#465 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x185df58, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#466 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834a5b18, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#467 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x185ddc0, throwflag=0) at Python/ceval.c:3490
#468 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x185ddc0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#469 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd834a70d0, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#470 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd834a70c0, nargsf=2, kwnames=0x0) at Objects/call.c:366
#471 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd834a70c0, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#472 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd834a7130) at Objects/call.c:791
#473 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#474 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f7506bb2940) at Python/import.c:1768
#475 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f7506bb2940, globals=0x7f7505d33ad0, locals=0x7f7505d33ad0, fromlist=0x7f7505b88eb0, level=0) at Python/import.c:1869
#476 0x000000000051f01c in import_name (tstate=0x13abcc0, f=0x1829190, name=0x7f7506bb2940, fromlist=0x7f7505b88eb0, level=0x7f75071bb280) at Python/ceval.c:5165
#477 0x0000000000516c6b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1829190, throwflag=0) at Python/ceval.c:3069
#478 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1829190, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#479 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7505b9fa00, globals=0x7f7505d33ad0, locals=0x7f7505d33ad0, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, 
    qualname=0x0) at Python/ceval.c:4299
#480 0x000000000051cec0 in _PyEval_EvalCodeWithName (_co=0x7f7505b9fa00, globals=0x7f7505d33ad0, locals=0x7f7505d33ad0, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#481 0x000000000051cf48 in PyEval_EvalCodeEx (_co=0x7f7505b9fa00, globals=0x7f7505d33ad0, locals=0x7f7505d33ad0, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#482 0x000000000050ba2f in PyEval_EvalCode (co=0x7f7505b9fa00, globals=0x7f7505d33ad0, locals=0x7f7505d33ad0) at Python/ceval.c:809
#483 0x00000000006a0a29 in builtin_exec_impl (module=0x7f7507164950, source=0x7f7505b9fa00, globals=0x7f7505d33ad0, locals=0x7f7505d33ad0) at Python/bltinmodule.c:1035
#484 0x000000000069e868 in builtin_exec (module=0x7f7507164950, args=0x7f7505bbf3d8, nargs=2) at Python/clinic/bltinmodule.c.h:396
#485 0x0000000000654dae in cfunction_vectorcall_FASTCALL (func=0x7f7507166170, args=0x7f7505bbf3d8, nargsf=2, kwnames=0x0) at Objects/methodobject.c:424
#486 0x0000000000430f60 in PyVectorcall_Call (callable=0x7f7507166170, tuple=0x7f7505bbf3c0, kwargs=0x7f7505b98dd0) at Objects/call.c:230
#487 0x000000000043110b in _PyObject_Call (tstate=0x13abcc0, callable=0x7f7507166170, args=0x7f7505bbf3c0, kwargs=0x7f7505b98dd0) at Objects/call.c:265
#488 0x00000000004311f2 in PyObject_Call (callable=0x7f7507166170, args=0x7f7505bbf3c0, kwargs=0x7f7505b98dd0) at Objects/call.c:292
#489 0x000000000051eaf5 in do_call_core (tstate=0x13abcc0, func=0x7f7507166170, callargs=0x7f7505bbf3c0, kwdict=0x7f7505b98dd0) at Python/ceval.c:5064
#490 0x0000000000519a9b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17f0d50, throwflag=0) at Python/ceval.c:3552
#491 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17f0d50, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#492 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f750716d5f0, globals=0x7f7507101a10, locals=0x0, args=0x185c260, argcount=3, kwnames=0x0, kwargs=0x185c278, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f7507155d60, qualname=0x7f7507155d60) at Python/ceval.c:4299
#493 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f75071074b0, stack=0x185c260, nargsf=9223372036854775811, kwnames=0x0) at Objects/call.c:395
#494 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071074b0, args=0x185c260, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:118
#495 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071074b0, args=0x185c260, nargsf=9223372036854775811, kwnames=0x0) at ./Include/cpython/abstract.h:127
#496 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834aa698, oparg=3, kwnames=0x0) at Python/ceval.c:5044
#497 0x0000000000519210 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x185c0d0, throwflag=0) at Python/ceval.c:3459
#498 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x185c0d0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#499 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750711cad0, args=0x18477e0, nargs=2, globals=0x7f7507161bf0) at Objects/call.c:329
#500 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507135e10, stack=0x18477d0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#501 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507135e10, args=0x18477d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#502 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507135e10, args=0x18477d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#503 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834abd48, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#504 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1847650, throwflag=0) at Python/ceval.c:3476
#505 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1847650, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#506 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507173ba0, args=0x17ed970, nargs=1, globals=0x7f7507101a10) at Objects/call.c:329
#507 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507108230, stack=0x17ed968, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#508 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507108230, args=0x17ed968, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#509 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507108230, args=0x17ed968, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#510 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834ad3e8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#511 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x17ed7b0, throwflag=0) at Python/ceval.c:3490
#512 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x17ed7b0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#513 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d6c0, args=0x1864a98, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#514 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f75071095f0, stack=0x1864a88, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#515 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f75071095f0, args=0x1864a88, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#516 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f75071095f0, args=0x1864a88, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#517 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834aea98, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#518 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x18648f0, throwflag=0) at Python/ceval.c:3490
#519 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x18648f0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#520 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f750717d790, args=0x7ffd834b0050, nargs=2, globals=0x7f7507101a10) at Objects/call.c:329
#521 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7507109690, stack=0x7ffd834b0040, nargsf=2, kwnames=0x0) at Objects/call.c:366
#522 0x00000000004303ef in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507109690, args=0x7ffd834b0040, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#523 0x0000000000432897 in object_vacall (tstate=0x13abcc0, base=0x0, callable=0x7f7507109690, vargs=0x7ffd834b00b0) at Objects/call.c:791
#524 0x0000000000432caf in _PyObject_CallMethodIdObjArgs (obj=0x0, name=0x8671e0 <PyId__find_and_load.7>) at Objects/call.c:882
#525 0x0000000000549fbb in import_find_and_load (tstate=0x13abcc0, abs_name=0x7f7506c21820) at Python/import.c:1768
#526 0x000000000054a3c0 in PyImport_ImportModuleLevelObject (name=0x7f7506c21820, globals=0x7f7505cc4ef0, locals=0x85e780 <_Py_NoneStruct>, fromlist=0x85e780 <_Py_NoneStruct>, level=0) at Python/import.c:1869
#527 0x000000000051f01c in import_name (tstate=0x13abcc0, f=0x176cdc0, name=0x7f7506c21820, fromlist=0x85e780 <_Py_NoneStruct>, level=0x7f75071bb280) at Python/ceval.c:5165
#528 0x0000000000516c6b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x176cdc0, throwflag=0) at Python/ceval.c:3069
#529 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x176cdc0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#530 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7505cd81e0, args=0x1858da0, nargs=0, globals=0x7f7505cc4ef0) at Objects/call.c:329
#531 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7506ab5870, stack=0x1858da0, nargsf=9223372036854775808, kwnames=0x0) at Objects/call.c:366
#532 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506ab5870, args=0x1858da0, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:118
#533 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506ab5870, args=0x1858da0, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:127
#534 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834b1aa8, oparg=0, kwnames=0x0) at Python/ceval.c:5044
#535 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1858c30, throwflag=0) at Python/ceval.c:3490
#536 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1858c30, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#537 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7505cd8110, globals=0x7f7506ab0710, locals=0x7f7506ab0710, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, 
    qualname=0x0) at Python/ceval.c:4299
#538 0x000000000051cec0 in _PyEval_EvalCodeWithName (_co=0x7f7505cd8110, globals=0x7f7506ab0710, locals=0x7f7506ab0710, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#539 0x000000000051cf48 in PyEval_EvalCodeEx (_co=0x7f7505cd8110, globals=0x7f7506ab0710, locals=0x7f7506ab0710, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#540 0x000000000050ba2f in PyEval_EvalCode (co=0x7f7505cd8110, globals=0x7f7506ab0710, locals=0x7f7506ab0710) at Python/ceval.c:809
#541 0x00000000006a0a29 in builtin_exec_impl (module=0x7f7507164950, source=0x7f7505cd8110, globals=0x7f7506ab0710, locals=0x7f7506ab0710) at Python/bltinmodule.c:1035
#542 0x000000000069e868 in builtin_exec (module=0x7f7507164950, args=0x1843200, nargs=2) at Python/clinic/bltinmodule.c.h:396
#543 0x0000000000654dae in cfunction_vectorcall_FASTCALL (func=0x7f7507166170, args=0x1843200, nargsf=9223372036854775810, kwnames=0x0) at Objects/methodobject.c:424
#544 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7507166170, args=0x1843200, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#545 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7507166170, args=0x1843200, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#546 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834b3458, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#547 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1843040, throwflag=0) at Python/ceval.c:3490
#548 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1843040, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#549 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506dc9110, globals=0x7f7506eb8c50, locals=0x0, args=0x184bc78, argcount=7, kwnames=0x0, kwargs=0x184bcb0, kwcount=0, kwstep=1, defs=0x7f7506ddc7d8, defcount=5, kwdefs=0x0, closure=0x0, 
    name=0x7f7506dda8e0, qualname=0x7f7506dda8e0) at Python/ceval.c:4299
#550 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506dd8910, stack=0x184bc78, nargsf=9223372036854775815, kwnames=0x0) at Objects/call.c:395
#551 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506dd8910, args=0x184bc78, nargsf=9223372036854775815, kwnames=0x0) at ./Include/cpython/abstract.h:118
#552 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506dd8910, args=0x184bc78, nargsf=9223372036854775815, kwnames=0x0) at ./Include/cpython/abstract.h:127
#553 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834b4c78, oparg=7, kwnames=0x0) at Python/ceval.c:5044
#554 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x184bab0, throwflag=0) at Python/ceval.c:3490
#555 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x184bab0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#556 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506dc9520, globals=0x7f7506eb8c50, locals=0x0, args=0x1888060, argcount=3, kwnames=0x7f7506e7dc48, kwargs=0x1888078, kwcount=2, kwstep=1, defs=0x7f7506ddc848, defcount=5, kwdefs=0x0, 
    closure=0x0, name=0x7f7506ddaa00, qualname=0x7f7506ddaa00) at Python/ceval.c:4299
#557 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506d53230, stack=0x1888060, nargsf=9223372036854775811, kwnames=0x7f7506e7dc30) at Objects/call.c:395
#558 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506d53230, args=0x1888060, nargsf=9223372036854775811, kwnames=0x7f7506e7dc30) at ./Include/cpython/abstract.h:118
#559 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506d53230, args=0x1888060, nargsf=9223372036854775811, kwnames=0x7f7506e7dc30) at ./Include/cpython/abstract.h:127
#560 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834b6488, oparg=5, kwnames=0x7f7506e7dc30) at Python/ceval.c:5044
#561 0x000000000051966e in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1887e90, throwflag=0) at Python/ceval.c:3507
#562 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1887e90, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#563 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506dcfba0, globals=0x7f7506eb8c50, locals=0x0, args=0x1869c98, argcount=1, kwnames=0x7f750705f2e8, kwargs=0x1869ca0, kwcount=1, kwstep=1, defs=0x7f7506e7dba8, defcount=2, kwdefs=0x0, 
    closure=0x0, name=0x7f7507036e80, qualname=0x7f7507036e80) at Python/ceval.c:4299
#564 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506d535f0, stack=0x1869c98, nargsf=9223372036854775809, kwnames=0x7f750705f2d0) at Objects/call.c:395
#565 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506d535f0, args=0x1869c98, nargsf=9223372036854775809, kwnames=0x7f750705f2d0) at ./Include/cpython/abstract.h:118
#566 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506d535f0, args=0x1869c98, nargsf=9223372036854775809, kwnames=0x7f750705f2d0) at ./Include/cpython/abstract.h:127
#567 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834b7ca8, oparg=2, kwnames=0x7f750705f2d0) at Python/ceval.c:5044
#568 0x000000000051966e in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x1869af0, throwflag=0) at Python/ceval.c:3507
#569 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x1869af0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#570 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506eb5110, globals=0x7f75070b87d0, locals=0x0, args=0x1500098, argcount=4, kwnames=0x0, kwargs=0x15000b8, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f7507051280, qualname=0x7f7506eb37b0) at Python/ceval.c:4299
#571 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506c4dd70, stack=0x1500098, nargsf=9223372036854775812, kwnames=0x0) at Objects/call.c:395
#572 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506c4dd70, args=0x1500098, nargsf=9223372036854775812, kwnames=0x0) at ./Include/cpython/abstract.h:118
#573 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506c4dd70, args=0x1500098, nargsf=9223372036854775812, kwnames=0x0) at ./Include/cpython/abstract.h:127
#574 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834b94e8, oparg=4, kwnames=0x0) at Python/ceval.c:5044
#575 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x14fff20, throwflag=0) at Python/ceval.c:3476
#576 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x14fff20, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#577 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7507045d40, args=0x14cfb70, nargs=1, globals=0x7f75070b5050) at Objects/call.c:329
#578 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7506c4df50, stack=0x14cfb68, nargsf=1, kwnames=0x0) at Objects/call.c:366
#579 0x000000000063b8f8 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506c4df50, args=0x14cfb68, nargsf=1, kwnames=0x0) at ./Include/cpython/abstract.h:118
#580 0x000000000063bcbe in method_vectorcall (method=0x7f7506bfd6b0, args=0x14cfb70, nargsf=9223372036854775808, kwnames=0x0) at Objects/classobject.c:53
#581 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506bfd6b0, args=0x14cfb70, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:118
#582 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506bfd6b0, args=0x14cfb70, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:127
#583 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834bac98, oparg=0, kwnames=0x0) at Python/ceval.c:5044
#584 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x14cf9f0, throwflag=0) at Python/ceval.c:3490
#585 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x14cf9f0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#586 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7506f31a00, args=0x14f71a0, nargs=2, globals=0x7f75070369b0) at Objects/call.c:329
#587 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7506e86cd0, stack=0x14f7190, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#588 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506e86cd0, args=0x14f7190, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#589 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506e86cd0, args=0x14f7190, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#590 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834bc358, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#591 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x14f6fb0, throwflag=0) at Python/ceval.c:3476
#592 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x14f6fb0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#593 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506f31d40, globals=0x7f75070369b0, locals=0x0, args=0x7ffd834bda40, argcount=2, kwnames=0x0, kwargs=0x7ffd834bda50, kwcount=0, kwstep=1, defs=0x7f7506f3ba18, defcount=1, kwdefs=0x0, 
    closure=0x0, name=0x7f7507158590, qualname=0x7f7506f32b20) at Python/ceval.c:4299
#594 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506e86eb0, stack=0x7ffd834bda40, nargsf=2, kwnames=0x0) at Objects/call.c:395
#595 0x000000000063b8f8 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506e86eb0, args=0x7ffd834bda40, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#596 0x000000000063be27 in method_vectorcall (method=0x7f7506bfd4d0, args=0x7f7506c54928, nargsf=1, kwnames=0x0) at Objects/classobject.c:83
#597 0x0000000000430f60 in PyVectorcall_Call (callable=0x7f7506bfd4d0, tuple=0x7f7506c54910, kwargs=0x7f7506bfd470) at Objects/call.c:230
#598 0x000000000043110b in _PyObject_Call (tstate=0x13abcc0, callable=0x7f7506bfd4d0, args=0x7f7506c54910, kwargs=0x7f7506bfd470) at Objects/call.c:265
#599 0x00000000004311f2 in PyObject_Call (callable=0x7f7506bfd4d0, args=0x7f7506c54910, kwargs=0x7f7506bfd470) at Objects/call.c:292
#600 0x000000000051edf6 in do_call_core (tstate=0x13abcc0, func=0x7f7506bfd4d0, callargs=0x7f7506c54910, kwdict=0x7f7506bfd470) at Python/ceval.c:5092
#601 0x0000000000519a9b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7506c00d00, throwflag=0) at Python/ceval.c:3552
#602 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7506c00d00, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#603 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506f36040, globals=0x7f75070369b0, locals=0x0, args=0x7ffd834bf3d0, argcount=2, kwnames=0x0, kwargs=0x7ffd834bf3e0, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f75071822e0, qualname=0x7f7506f32d00) at Python/ceval.c:4299
#604 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506e880f0, stack=0x7ffd834bf3d0, nargsf=2, kwnames=0x0) at Objects/call.c:395
#605 0x0000000000430a42 in _PyObject_FastCallDictTstate (tstate=0x13abcc0, callable=0x7f7506e880f0, args=0x7ffd834bf3d0, nargsf=2, kwargs=0x0) at Objects/call.c:118
#606 0x0000000000431b39 in _PyObject_Call_Prepend (tstate=0x13abcc0, callable=0x7f7506e880f0, obj=0x7f7506bfbaf0, args=0x7f7506c48780, kwargs=0x0) at Objects/call.c:488
#607 0x00000000004a22b5 in slot_tp_call (self=0x7f7506bfbaf0, args=0x7f7506c48780, kwds=0x0) at Objects/typeobject.c:6663
#608 0x0000000000430d6d in _PyObject_MakeTpCall (tstate=0x13abcc0, callable=0x7f7506bfbaf0, args=0x7f7506c019b8, nargs=1, keywords=0x0) at Objects/call.c:191
#609 0x0000000000509884 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506bfbaf0, args=0x7f7506c019b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#610 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506bfbaf0, args=0x7f7506c019b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#611 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834bf688, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#612 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7506c01810, throwflag=0) at Python/ceval.c:3490
#613 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7506c01810, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#614 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506ef21e0, globals=0x7f7506fc4230, locals=0x0, args=0x7ffd834c0d80, argcount=2, kwnames=0x0, kwargs=0x7ffd834c0d90, kwcount=0, kwstep=1, defs=0x7f7506e8c6a8, defcount=1, kwdefs=0x0, 
    closure=0x0, name=0x7f7507158590, qualname=0x7f7506e8bc40) at Python/ceval.c:4299
#615 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506e8e870, stack=0x7ffd834c0d80, nargsf=2, kwnames=0x0) at Objects/call.c:395
#616 0x000000000063b8f8 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506e8e870, args=0x7ffd834c0d80, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#617 0x000000000063be27 in method_vectorcall (method=0x7f7506bfd3b0, args=0x7f7506c48658, nargsf=1, kwnames=0x0) at Objects/classobject.c:83
#618 0x0000000000430f60 in PyVectorcall_Call (callable=0x7f7506bfd3b0, tuple=0x7f7506c48640, kwargs=0x7f7506bfd590) at Objects/call.c:230
#619 0x000000000043110b in _PyObject_Call (tstate=0x13abcc0, callable=0x7f7506bfd3b0, args=0x7f7506c48640, kwargs=0x7f7506bfd590) at Objects/call.c:265
#620 0x00000000004311f2 in PyObject_Call (callable=0x7f7506bfd3b0, args=0x7f7506c48640, kwargs=0x7f7506bfd590) at Objects/call.c:292
#621 0x000000000051edf6 in do_call_core (tstate=0x13abcc0, func=0x7f7506bfd3b0, callargs=0x7f7506c48640, kwdict=0x7f7506bfd590) at Python/ceval.c:5092
#622 0x0000000000519a9b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7506c00960, throwflag=0) at Python/ceval.c:3552
#623 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7506c00960, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#624 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506ee9930, globals=0x7f7506fc4230, locals=0x0, args=0x7ffd834c2710, argcount=2, kwnames=0x0, kwargs=0x7ffd834c2720, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f75071822e0, qualname=0x7f7506e8b8e0) at Python/ceval.c:4299
#625 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506e8e730, stack=0x7ffd834c2710, nargsf=2, kwnames=0x0) at Objects/call.c:395
#626 0x0000000000430a42 in _PyObject_FastCallDictTstate (tstate=0x13abcc0, callable=0x7f7506e8e730, args=0x7ffd834c2710, nargsf=2, kwargs=0x0) at Objects/call.c:118
#627 0x0000000000431b39 in _PyObject_Call_Prepend (tstate=0x13abcc0, callable=0x7f7506e8e730, obj=0x7f7506bfba00, args=0x7f7506c41500, kwargs=0x0) at Objects/call.c:488
#628 0x00000000004a22b5 in slot_tp_call (self=0x7f7506bfba00, args=0x7f7506c41500, kwds=0x0) at Objects/typeobject.c:6663
#629 0x0000000000430d6d in _PyObject_MakeTpCall (tstate=0x13abcc0, callable=0x7f7506bfba00, args=0x7f7506c017c8, nargs=1, keywords=0x0) at Objects/call.c:191
#630 0x0000000000509884 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506bfba00, args=0x7f7506c017c8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#631 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506bfba00, args=0x7f7506c017c8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#632 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834c29c8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#633 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7506c01620, throwflag=0) at Python/ceval.c:3490
#634 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7506c01620, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#635 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506ef21e0, globals=0x7f7506fc4230, locals=0x0, args=0x7ffd834c40c0, argcount=2, kwnames=0x0, kwargs=0x7ffd834c40d0, kwcount=0, kwstep=1, defs=0x7f7506e8c6a8, defcount=1, kwdefs=0x0, 
    closure=0x0, name=0x7f7507158590, qualname=0x7f7506e8bc40) at Python/ceval.c:4299
#636 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506e8e870, stack=0x7ffd834c40c0, nargsf=2, kwnames=0x0) at Objects/call.c:395
#637 0x000000000063b8f8 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506e8e870, args=0x7ffd834c40c0, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#638 0x000000000063be27 in method_vectorcall (method=0x7f7506bfd2f0, args=0x7f7506c480b8, nargsf=1, kwnames=0x0) at Objects/classobject.c:83
#639 0x0000000000430f60 in PyVectorcall_Call (callable=0x7f7506bfd2f0, tuple=0x7f7506c480a0, kwargs=0x7f7506bfd290) at Objects/call.c:230
#640 0x000000000043110b in _PyObject_Call (tstate=0x13abcc0, callable=0x7f7506bfd2f0, args=0x7f7506c480a0, kwargs=0x7f7506bfd290) at Objects/call.c:265
#641 0x00000000004311f2 in PyObject_Call (callable=0x7f7506bfd2f0, args=0x7f7506c480a0, kwargs=0x7f7506bfd290) at Objects/call.c:292
#642 0x000000000051edf6 in do_call_core (tstate=0x13abcc0, func=0x7f7506bfd2f0, callargs=0x7f7506c480a0, kwdict=0x7f7506bfd290) at Python/ceval.c:5092
#643 0x0000000000519a9b in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7506c00790, throwflag=0) at Python/ceval.c:3552
#644 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7506c00790, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#645 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506ee9930, globals=0x7f7506fc4230, locals=0x0, args=0x7ffd834c5a50, argcount=2, kwnames=0x0, kwargs=0x7ffd834c5a60, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7f75071822e0, qualname=0x7f7506e8b8e0) at Python/ceval.c:4299
#646 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506e8e730, stack=0x7ffd834c5a50, nargsf=2, kwnames=0x0) at Objects/call.c:395
#647 0x0000000000430a42 in _PyObject_FastCallDictTstate (tstate=0x13abcc0, callable=0x7f7506e8e730, args=0x7ffd834c5a50, nargsf=2, kwargs=0x0) at Objects/call.c:118
#648 0x0000000000431b39 in _PyObject_Call_Prepend (tstate=0x13abcc0, callable=0x7f7506e8e730, obj=0x7f7506bf1910, args=0x7f7506ce3be0, kwargs=0x0) at Objects/call.c:488
#649 0x00000000004a22b5 in slot_tp_call (self=0x7f7506bf1910, args=0x7f7506ce3be0, kwds=0x0) at Objects/typeobject.c:6663
#650 0x0000000000430d6d in _PyObject_MakeTpCall (tstate=0x13abcc0, callable=0x7f7506bf1910, args=0x14efba8, nargs=1, keywords=0x0) at Objects/call.c:191
#651 0x0000000000509884 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506bf1910, args=0x14efba8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#652 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506bf1910, args=0x14efba8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#653 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834c5d08, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#654 0x0000000000519407 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x14ef9b0, throwflag=0) at Python/ceval.c:3490
#655 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x14ef9b0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#656 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7506ebde10, args=0x7f7506c011e0, nargs=2, globals=0x7f7506e758f0) at Objects/call.c:329
#657 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7506dd6d70, stack=0x7f7506c011d0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#658 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506dd6d70, args=0x7f7506c011d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#659 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506dd6d70, args=0x7f7506c011d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#660 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834c73c8, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#661 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x7f7506c01050, throwflag=0) at Python/ceval.c:3476
#662 0x0000000000430476 in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x7f7506c01050, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#663 0x0000000000431328 in function_code_fastcall (tstate=0x13abcc0, co=0x7f7506ea41e0, args=0x14ed098, nargs=1, globals=0x7f7506e8df50) at Objects/call.c:329
#664 0x0000000000431576 in _PyFunction_Vectorcall (func=0x7f7506dd8690, stack=0x14ed090, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#665 0x00000000005098a0 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x7f7506dd8690, args=0x14ed090, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#666 0x00000000005098ff in PyObject_Vectorcall (callable=0x7f7506dd8690, args=0x14ed090, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#667 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834c8a78, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#668 0x000000000051927c in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x14eceb0, throwflag=0) at Python/ceval.c:3476
#669 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x14eceb0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#670 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f7506e9a930, globals=0x7f7506e8df50, locals=0x0, args=0x7ffd834ca180, argcount=1, kwnames=0x0, kwargs=0x7ffd834ca188, kwcount=0, kwstep=1, defs=0x7f7506dd6f68, defcount=11, kwdefs=0x7f7506ea2e90, 
    closure=0x0, name=0x7f7507182460, qualname=0x7f7506e9ea60) at Python/ceval.c:4299
#671 0x0000000000431809 in _PyFunction_Vectorcall (func=0x7f7506dd8050, stack=0x7ffd834ca180, nargsf=1, kwnames=0x0) at Objects/call.c:395
#672 0x0000000000430a42 in _PyObject_FastCallDictTstate (tstate=0x13abcc0, callable=0x7f7506dd8050, args=0x7ffd834ca180, nargsf=1, kwargs=0x0) at Objects/call.c:118
#673 0x0000000000431b39 in _PyObject_Call_Prepend (tstate=0x13abcc0, callable=0x7f7506dd8050, obj=0x7f750703a0a0, args=0x7f7507185050, kwargs=0x0) at Objects/call.c:488
#674 0x00000000004a2969 in slot_tp_init (self=0x7f750703a0a0, args=0x7f7507185050, kwds=0x0) at Objects/typeobject.c:6903
#675 0x00000000004923ea in type_call (type=0x14a7fb0, args=0x7f7507185050, kwds=0x0) at Objects/typeobject.c:1023
#676 0x0000000000430d6d in _PyObject_MakeTpCall (tstate=0x13abcc0, callable=0x14a7fb0, args=0x140b7d8, nargs=0, keywords=0x0) at Objects/call.c:191
#677 0x0000000000509884 in _PyObject_VectorcallTstate (tstate=0x13abcc0, callable=0x14a7fb0, args=0x140b7d8, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:116
#678 0x00000000005098ff in PyObject_Vectorcall (callable=0x14a7fb0, args=0x140b7d8, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:127
#679 0x000000000051e8c1 in call_function (tstate=0x13abcc0, pp_stack=0x7ffd834ca498, oparg=0, kwnames=0x0) at Python/ceval.c:5044
#680 0x0000000000519210 in _PyEval_EvalFrameDefault (tstate=0x13abcc0, f=0x140b660, throwflag=0) at Python/ceval.c:3459
#681 0x0000000000509b4d in _PyEval_EvalFrame (tstate=0x13abcc0, f=0x140b660, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#682 0x000000000051cdbd in _PyEval_EvalCode (tstate=0x13abcc0, _co=0x7f750704b860, globals=0x7f75070b5050, locals=0x7f75070b5050, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, 
    qualname=0x0) at Python/ceval.c:4299
#683 0x000000000051cec0 in _PyEval_EvalCodeWithName (_co=0x7f750704b860, globals=0x7f75070b5050, locals=0x7f75070b5050, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#684 0x000000000051cf48 in PyEval_EvalCodeEx (_co=0x7f750704b860, globals=0x7f75070b5050, locals=0x7f75070b5050, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#685 0x000000000050ba2f in PyEval_EvalCode (co=0x7f750704b860, globals=0x7f75070b5050, locals=0x7f75070b5050) at Python/ceval.c:809
#686 0x000000000056e8a7 in run_eval_code_obj (tstate=0x13abcc0, co=0x7f750704b860, globals=0x7f75070b5050, locals=0x7f75070b5050) at Python/pythonrun.c:1178
#687 0x000000000056e990 in run_mod (mod=0x142cb28, filename=0x7f750707f670, globals=0x7f75070b5050, locals=0x7f75070b5050, flags=0x7ffd834cbe98, arena=0x7f750704e820) at Python/pythonrun.c:1199
#688 0x000000000056e71f in PyRun_FileExFlags (fp=0x13a86a0, filename_str=0x7f7507046420 "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", start=257, globals=0x7f75070b5050, locals=0x7f75070b5050, closeit=1, 
    flags=0x7ffd834cbe98) at Python/pythonrun.c:1116
#689 0x000000000056d1f5 in PyRun_SimpleFileExFlags (fp=0x13a86a0, filename=0x7f7507046420 "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", closeit=1, flags=0x7ffd834cbe98) at Python/pythonrun.c:438
#690 0x000000000056c706 in PyRun_AnyFileExFlags (fp=0x13a86a0, filename=0x7f7507046420 "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", closeit=1, flags=0x7ffd834cbe98) at Python/pythonrun.c:87
#691 0x000000000041e6f5 in pymain_run_file (config=0x13aa1a0, cf=0x7ffd834cbe98) at Modules/main.c:369
#692 0x000000000041ec94 in pymain_run_python (exitcode=0x7ffd834cbedc) at Modules/main.c:553
#693 0x000000000041ed85 in Py_RunMain () at Modules/main.c:632
#694 0x000000000041edff in pymain_main (args=0x7ffd834cbf40) at Modules/main.c:662
#695 0x000000000041ee79 in Py_BytesMain (argc=2, argv=0x7ffd834cc078) at Modules/main.c:686
#696 0x000000000041d796 in main (argc=2, argv=0x7ffd834cc078) at ./Programs/python.c:15
Missing separate debuginfos, use: dnf debuginfo-install bzip2-libs-1.0.8-2.fc32.x86_64 glibc-2.31-2.fc32.x86_64 libffi-3.1-24.fc32.x86_64 libxcrypt-4.4.16-3.fc32.x86_64 openssl-libs-1.1.1g-1.fc32.x86_64 xz-libs-5.2.5-1.fc32.x86_64 zlib-1.2.11-21.fc32.x86_64
msg372852 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-02 13:19
Can you please provide a reproducer? Does PyBuilder use C extensions?
msg372853 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 13:20
No C extensions, working on giving you a reproducer.
msg372854 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 13:43
How to reproduce:

1. Clone github.com/pybuilder/pybuilder
2. Checkout https://github.com/pybuilder/pybuilder/pull/724
3. Run `PYTHONWARNINGS=ignore python ./build.py -v -X`

The failure occurs in the integration test smoke test in smoke_clean_tests.py
msg372855 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 13:45
Once any of the integration tests run, the integration test environment is created and the test can be run directly from the command line via:

'.../pybuilder/target/venv/test/cpython-3.9.0.beta.3/bin/python' '.../pybuilder/src/integrationtest/python/smoke_clean_tests.py'
msg372856 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 13:49
My guess is that the issue is related to the sys.modules manipulation, i.e. these parts of the integration test harness:

    def smoke_test(self, *args):
        old_argv = list(sys.argv)
        del sys.argv[:]
        sys.argv.append(self.build_py)
        sys.argv.extend(args)

        old_modules = dict(sys.modules)
        old_meta_path = list(sys.meta_path)
        old_cwd = getcwd()
        chdir(self.tmp_directory)
        try:
            return run_path(self.build_py, run_name="__main__")
        except SystemExit as e:
            self.assertEqual(e.code, 0, "Test did not exit successfully")
        finally:
            del sys.argv[:]
            sys.argv.extend(old_argv)

            sys.modules.clear()
            sys.modules.update(old_modules)

            del sys.meta_path[:]
            sys.meta_path.extend(old_meta_path)
            chdir(old_cwd)

    def smoke_test_module(self, module, *args):
        old_argv = list(sys.argv)
        del sys.argv[:]
        sys.argv.append("bogus")
        sys.argv.extend(args)

        old_modules = dict(sys.modules)
        old_meta_path = list(sys.meta_path)
        old_cwd = getcwd()
        chdir(self.tmp_directory)
        try:
            return run_module(module, run_name="__main__")
        except SystemExit as e:
            self.assertEqual(e.code, 0, "Test did not exit successfully")
        finally:
            del sys.argv[:]
            sys.argv.extend(old_argv)

            sys.modules.clear()
            sys.modules.update(old_modules)

            del sys.meta_path[:]
            sys.meta_path.extend(old_meta_path)
            chdir(old_cwd)
msg372857 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 13:52
To complete this report, this is a regression. This exact code runs perfectly in 2.7, 3.5 - 3.8.

This is the PR in Travis: https://travis-ci.org/github/pybuilder/pybuilder/builds/704312142
msg372859 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python triager) Date: 2020-07-02 14:19
A shorter reproducer;

>>> import sys
>>> sys.modules.clear()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
RuntimeError: lost builtins module
>>> import _ast
>>> import gc
>>> gc.collect()
Modules/gcmodule.c:114: gc_decref: Assertion "gc_get_refs(g) > 0" failed: refcount is too small
Enable tracemalloc to get the memory block allocation traceback

object address  : 0x7f4c22f843b0
object refcount : 2
object type     : 0x5605f3385660
object type name: module
object repr     : <module '_ast' (built-in)>

Fatal Python error: _PyObject_AssertFailed: _PyObject_AssertFailed
Python runtime state: initialized

Current thread 0x00007f4c23a5d280 (most recent call first):
  File "<stdin>", line 1 in <module>
[1]    21945 abort (core dumped)  ./python
msg372860 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 14:24
That's not an entirely accurate reproducer as the references to the modules are still held in the collection when the sys.modules.clear() is called.
msg372861 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-02 14:27
> old_modules = dict(sys.modules)
> sys.modules.clear()
> sys.modules.update(old_modules)
msg372862 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python triager) Date: 2020-07-02 15:29
If I'm not wrong, this is the commit that introduced the regression.

commit ac46eb4ad6662cf6d771b20d8963658b2186c48c (HEAD -> bpo-xxxxx)
Author: Dino Viehland <dinoviehland@fb.com>
Date:   Wed Sep 11 10:16:34 2019 -0700

    bpo-38113: Update the Python-ast.c generator to PEP384 (gh-15957)
    
    Summary: This mostly migrates Python-ast.c to PEP384 and removes all statics from the whole file. This modifies the generator itself that generates the Python-ast.c. It leaves in the usage of _PyObject_LookupAttr even though it's not fully PEP384 compatible (this could always be shimmed in by anyone who needs it).
msg372863 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-02 15:34
I can reproduce the crash using the following script.py:
---
import gc; gc.set_threshold(5)
import sys

old_modules = dict(sys.modules)
sys.modules.clear()
sys.modules.update(old_modules)

import _ast
import gc
gc.collect()
---

And the command:
---
./python -i < script.py
---

PyInit__ast() is called twice. That's surprising: builtin extension modules should only be initialized once.
msg372914 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-03 09:35
New changeset 74419f0c64959bb8392fcf3659058410423038e1 by Victor Stinner in branch 'master':
bpo-41194: Pass module state in Python-ast.c (GH-21284)
https://github.com/python/cpython/commit/74419f0c64959bb8392fcf3659058410423038e1
msg372923 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-03 12:16
New changeset 91e1bc18bd467a13bceb62e16fbc435b33381c82 by Victor Stinner in branch 'master':
bpo-41194: The _ast module cannot be loaded more than once (GH-21290)
https://github.com/python/cpython/commit/91e1bc18bd467a13bceb62e16fbc435b33381c82
msg372937 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-03 14:57
New changeset f8599279b6ac8c44538b608fd08c13ccf674f497 by Victor Stinner in branch '3.9':
[3.9] bpo-41194: The _ast module cannot be loaded more than once (GH-21290) (GH-21292)
https://github.com/python/cpython/commit/f8599279b6ac8c44538b608fd08c13ccf674f497
msg372949 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-03 18:01
New changeset b1cc6ba73a51d5cc3aeb113b5e7378fb50a0e20a by Victor Stinner in branch 'master':
bpo-41194: Convert _ast extension to PEP 489 (GH-21293)
https://github.com/python/cpython/commit/b1cc6ba73a51d5cc3aeb113b5e7378fb50a0e20a
msg372950 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-03 18:04
I cannot reproduce msg372859 crash anymore. I tested 3.9 and master branches. I close the issue.

Thanks Arcadiy Ivanov for testing beta releases ;-)
msg373318 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-08 16:57
I'm reopening this as the original SEGV didn't go away in 3.9 beta 4. It looks like debug build caught an assertion and prevented the SEGV from triggering.
msg373326 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-08 17:23
Confirmed not fixed.

Taken with 3.9 branch as of today.

(pyb-3.9-dev-d) [arcivanov@ai-karellen-lap pybuilder]$ abrt gdb 1f24453
GNU gdb (GDB) Fedora 9.1-5.fc32
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word".
No symbol table is loaded.  Use the "file" command.
No symbol table is loaded.  Use the "file" command.
Reading symbols from /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python...
[New LWP 144565]
warning: Unexpected size of section `.reg-xstate/144565' in core file.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.'.
Program terminated with signal SIGSEGV, Segmentation fault.
warning: Unexpected size of section `.reg-xstate/144565' in core file.
#0  0x0000000000623339 in _Py_IS_TYPE (ob=0x0, type=0x8609e0 <PyType_Type>) at ./Include/object.h:128
128         return ob->ob_type == type;
From                To                  Syms Read   Shared Object Library
0x00007fcbed8db050  0x00007fcbed8efd69  Yes (*)     /lib64/libcrypt.so.2
0x00007fcbed8beaf0  0x00007fcbed8cdb95  Yes (*)     /lib64/libpthread.so.0
0x00007fcbed8b2270  0x00007fcbed8b31c9  Yes (*)     /lib64/libdl.so.2
0x00007fcbed8ac3f0  0x00007fcbed8acdb0  Yes (*)     /lib64/libutil.so.1
0x00007fcbed7743d0  0x00007fcbed80f078  Yes (*)     /lib64/libm.so.6
0x00007fcbed5c0670  0x00007fcbed70e80f  Yes (*)     /lib64/libc.so.6
0x00007fcbed94f110  0x00007fcbed96f574  Yes (*)     /lib64/ld-linux-x86-64.so.2
0x00007fcbed91a0f0  0x00007fcbed91bc18  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_heapq.cpython-39d-x86_64-linux-gnu.so
0x00007fcbed93c3d0  0x00007fcbed940cfc  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/zlib.cpython-39d-x86_64-linux-gnu.so
0x00007fcbe00cc5f0  0x00007fcbe00d9bd8  Yes (*)     /lib64/libz.so.1
0x00007fcbed9342f0  0x00007fcbed935f82  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_bz2.cpython-39d-x86_64-linux-gnu.so
0x00007fcbe0078570  0x00007fcbe0084996  Yes (*)     /lib64/libbz2.so.1
0x00007fcbed9294a0  0x00007fcbed92cba6  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_lzma.cpython-39d-x86_64-linux-gnu.so
0x00007fcbe004f9f0  0x00007fcbe0067076  Yes (*)     /lib64/liblzma.so.5
0x00007fcbe0115280  0x00007fcbe01160b3  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/grp.cpython-39d-x86_64-linux-gnu.so
0x00007fcbe0104590  0x00007fcbe010bc77  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/math.cpython-39d-x86_64-linux-gnu.so
0x00007fcbe00fb150  0x00007fcbe00fc200  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_bisect.cpython-39d-x86_64-linux-gnu.so
0x00007fcbe00f52f0  0x00007fcbe00f6a1e  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_random.cpython-39d-x86_64-linux-gnu.so
0x00007fcbe00ea190  0x00007fcbe00efad0  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_sha512.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfef05a0  0x00007fcbdff012c9  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_datetime.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfedd420  0x00007fcbdfee607e  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_json.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfed53f0  0x00007fcbdfed734f  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_posixsubprocess.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfeca400  0x00007fcbdfecd9b2  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/select.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfe3c530  0x00007fcbdfe41ed1  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_struct.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfe198e0  0x00007fcbdfe2d938  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_pickle.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfdbc820  0x00007fcbdfdc858e  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_socket.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfda9560  0x00007fcbdfdb0c78  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/array.cpython-39d-x86_64-linux-gnu.so
0x00007fcbed9220e0  0x00007fcbed922547  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_opcode.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfbcb270  0x00007fcbdfbcfbbf  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/binascii.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdfb8b4f0  0x00007fcbdfbb92b1  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/pyexpat.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdf7786a0  0x00007fcbdf77e878  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_hashlib.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdf6c68d0  0x00007fcbdf71316a  Yes (*)     /lib64/libssl.so.1.1
0x00007fcbdf435000  0x00007fcbdf5df6c0  Yes (*)     /lib64/libcrypto.so.1.1
0x00007fcbdf760270  0x00007fcbdf76fec6  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_blake2.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdf356280  0x00007fcbdf3637c4  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_ssl.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdf1e2a80  0x00007fcbdf1f8636  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_ctypes.cpython-39d-x86_64-linux-gnu.so
0x00007fcbdf7552c0  0x00007fcbdf759d4c  Yes (*)     /lib64/libffi.so.6
0x00007fcbe01de2b0  0x00007fcbe01df189  Yes         /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/lib/python3.9/lib-dynload/_multiprocessing.cpython-39d-x86_64-linux-gnu.so
(*): Shared library is missing debugging information.
#0  0x0000000000623339 in _Py_IS_TYPE (ob=0x0, type=0x8609e0 <PyType_Type>) at ./Include/object.h:128
#1  0x0000000000623487 in _PyType_CheckExact (op=0x0) at ./Include/object.h:641
#2  0x0000000000628d85 in object_recursive_isinstance (tstate=0xeca210, inst=0x14c7f40, cls=0x0) at Objects/abstract.c:2495
#3  0x0000000000628fdc in PyObject_IsInstance (inst=0x14c7f40, cls=0x0) at Objects/abstract.c:2551
#4  0x0000000000682420 in PyAST_Check (obj=0x14c7f40) at Python/Python-ast.c:10356
#5  0x000000000069c754 in builtin_compile_impl (module=0x7fcbe0546a10, source=0x14c7f40, filename=0x7fcbdf183940, mode=0x7fcbe05472f0 "eval", flags=1024, dont_inherit=0, optimize=-1, feature_version=-1) at Python/bltinmodule.c:784
#6  0x000000000069aa72 in builtin_compile (module=0x7fcbe0546a10, args=0x7ffe56fe69f0, nargs=4, kwnames=0x7fcbdf0e55a0) at Python/clinic/bltinmodule.c.h:274
#7  0x0000000000655297 in cfunction_vectorcall_FASTCALL_KEYWORDS (func=0x7fcbe0548050, args=0x1351330, nargsf=9223372036854775812, kwnames=0x7fcbdf0e55a0) at Objects/methodobject.c:440
#8  0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe0548050, args=0x1351330, nargsf=9223372036854775812, kwnames=0x7fcbdf0e55a0) at ./Include/cpython/abstract.h:118
#9  0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbe0548050, args=0x1351330, nargsf=9223372036854775812, kwnames=0x7fcbdf0e55a0) at ./Include/cpython/abstract.h:127
#10 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56fe6c58, oparg=5, kwnames=0x7fcbdf0e55a0) at Python/ceval.c:5044
#11 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x1351180, throwflag=0) at Python/ceval.c:3507
#12 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x1351180, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#13 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbdf111c70, globals=0x7fcbdf1836b0, locals=0x0, args=0x7fcbdec303c8, argcount=1, kwnames=0x7fcbdf0e5b08, kwargs=0x7fcbdec303d0, kwcount=1, kwstep=1, defs=0x7fcbdf0e90b8, defcount=2, 
    kwdefs=0x7fcbdefcd470, closure=0x0, name=0x7fcbe032b450, qualname=0x7fcbe032b450) at Python/ceval.c:4299
#14 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbdefb1230, stack=0x7fcbdec303c8, nargsf=9223372036854775809, kwnames=0x7fcbdf0e5af0) at Objects/call.c:395
#15 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbdefb1230, args=0x7fcbdec303c8, nargsf=9223372036854775809, kwnames=0x7fcbdf0e5af0) at ./Include/cpython/abstract.h:118
#16 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbdefb1230, args=0x7fcbdec303c8, nargsf=9223372036854775809, kwnames=0x7fcbdf0e5af0) at ./Include/cpython/abstract.h:127
#17 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56fe8478, oparg=2, kwnames=0x7fcbdf0e5af0) at Python/ceval.c:5044
#18 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbdec30230, throwflag=0) at Python/ceval.c:3507
#19 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbdec30230, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#20 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbdefb5930, globals=0x7fcbdf1836b0, locals=0x0, args=0x7fcbdeca69b8, argcount=1, kwnames=0x0, kwargs=0x7fcbdeca69c0, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7fcbdfe0b400, qualname=0x7fcbdfe0b400) at Python/ceval.c:4299
#21 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbdefb1f50, stack=0x7fcbdeca69b8, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:395
#22 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbdefb1f50, args=0x7fcbdeca69b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#23 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbdefb1f50, args=0x7fcbdeca69b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#24 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56fe9cb8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#25 0x00000000005193a1 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbdeca6810, throwflag=0) at Python/ceval.c:3459
#26 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbdeca6810, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#27 0x0000000000431372 in function_code_fastcall (tstate=0xeca210, co=0x7fcbdef535f0, args=0x7fcbdf2579b8, nargs=1, globals=0x7fcbdef4f410) at Objects/call.c:329
#28 0x00000000004315c0 in _PyFunction_Vectorcall (func=0x7fcbdec9baf0, stack=0x7fcbdf2579b0, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#29 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbdec9baf0, args=0x7fcbdf2579b0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#30 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbdec9baf0, args=0x7fcbdf2579b0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#31 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56feb368, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#32 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbdf257810, throwflag=0) at Python/ceval.c:3476
#33 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbdf257810, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#34 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbdef37ee0, globals=0x7fcbdef841d0, locals=0x0, args=0x7ffe56feca70, argcount=3, kwnames=0x0, kwargs=0x7ffe56feca88, kwcount=0, kwstep=1, defs=0x7fcbdef48158, defcount=1, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe0564460, qualname=0x7fcbdef3d7c0) at Python/ceval.c:4299
#35 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbdec22870, stack=0x7ffe56feca70, nargsf=3, kwnames=0x0) at Objects/call.c:395
#36 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0xeca210, callable=0x7fcbdec22870, args=0x7ffe56feca70, nargsf=3, kwargs=0x0) at Objects/call.c:118
#37 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0xeca210, callable=0x7fcbdec22870, obj=0x7fcbdec94500, args=0x7fcbdf0a5c30, kwargs=0x0) at Objects/call.c:488
#38 0x00000000004a2aee in slot_tp_init (self=0x7fcbdec94500, args=0x7fcbdf0a5c30, kwds=0x0) at Objects/typeobject.c:6927
#39 0x0000000000492464 in type_call (type=0x14c09e0, args=0x7fcbdf0a5c30, kwds=0x0) at Objects/typeobject.c:1026
#40 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0xeca210, callable=0x14c09e0, args=0x7fcbdec2d748, nargs=2, keywords=0x0) at Objects/call.c:191
#41 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x14c09e0, args=0x7fcbdec2d748, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:116
#42 0x0000000000509a90 in PyObject_Vectorcall (callable=0x14c09e0, args=0x7fcbdec2d748, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#43 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56fecd78, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#44 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbdec2d5c0, throwflag=0) at Python/ceval.c:3490
#45 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbdec2d5c0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#46 0x0000000000431372 in function_code_fastcall (tstate=0xeca210, co=0x7fcbdefadd40, args=0x12cceb0, nargs=1, globals=0x7fcbdf2a6e90) at Objects/call.c:329
#47 0x00000000004315c0 in _PyFunction_Vectorcall (func=0x7fcbdec2b370, stack=0x12ccea8, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#48 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbdec2b370, args=0x12ccea8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#49 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbdec2b370, args=0x12ccea8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#50 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56fee428, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#51 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x12ccce0, throwflag=0) at Python/ceval.c:3490
#52 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x12ccce0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#53 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbdef7a930, globals=0x7fcbdf2a6e90, locals=0x0, args=0x7fcbdf153c68, argcount=3, kwnames=0x0, kwargs=0x7fcbdf153c80, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe042b630, qualname=0x7fcbe042b630) at Python/ceval.c:4299
#54 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbdec2bcd0, stack=0x7fcbdf153c68, nargsf=3, kwnames=0x0) at Objects/call.c:395
#55 0x0000000000430faa in PyVectorcall_Call (callable=0x7fcbdec2bcd0, tuple=0x7fcbdf153c50, kwargs=0x0) at Objects/call.c:230
#56 0x0000000000431155 in _PyObject_Call (tstate=0xeca210, callable=0x7fcbdec2bcd0, args=0x7fcbdf153c50, kwargs=0x0) at Objects/call.c:265
#57 0x000000000043123c in PyObject_Call (callable=0x7fcbdec2bcd0, args=0x7fcbdf153c50, kwargs=0x0) at Objects/call.c:292
#58 0x000000000051ef87 in do_call_core (tstate=0xeca210, func=0x7fcbdec2bcd0, callargs=0x7fcbdf153c50, kwdict=0x0) at Python/ceval.c:5092
#59 0x0000000000519c2c in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x12f3df0, throwflag=0) at Python/ceval.c:3552
#60 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0xeca210, f=0x12f3df0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#61 0x0000000000431372 in function_code_fastcall (tstate=0xeca210, co=0x7fcbdf1111e0, args=0x130c4a0, nargs=0, globals=0x7fcbdf0a1ad0) at Objects/call.c:329
#62 0x00000000004315c0 in _PyFunction_Vectorcall (func=0x7fcbdfe992d0, stack=0x130c4a0, nargsf=9223372036854775808, kwnames=0x0) at Objects/call.c:366
#63 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbdfe992d0, args=0x130c4a0, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:118
#64 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbdfe992d0, args=0x130c4a0, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:127
#65 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56ff1338, oparg=0, kwnames=0x0) at Python/ceval.c:5044
#66 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x130c330, throwflag=0) at Python/ceval.c:3490
#67 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x130c330, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#68 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbdf111110, globals=0x7fcbdfe92530, locals=0x7fcbdfe92530, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4299
#69 0x000000000051d051 in _PyEval_EvalCodeWithName (_co=0x7fcbdf111110, globals=0x7fcbdfe92530, locals=0x7fcbdfe92530, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#70 0x000000000051d0d9 in PyEval_EvalCodeEx (_co=0x7fcbdf111110, globals=0x7fcbdfe92530, locals=0x7fcbdfe92530, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#71 0x000000000050bbc0 in PyEval_EvalCode (co=0x7fcbdf111110, globals=0x7fcbdfe92530, locals=0x7fcbdfe92530) at Python/ceval.c:809
#72 0x000000000069ce37 in builtin_exec_impl (module=0x7fcbe0546a10, source=0x7fcbdf111110, globals=0x7fcbdfe92530, locals=0x7fcbdfe92530) at Python/bltinmodule.c:1035
#73 0x000000000069ac76 in builtin_exec (module=0x7fcbe0546a10, args=0x12b5070, nargs=2) at Python/clinic/bltinmodule.c.h:396
#74 0x00000000006551f4 in cfunction_vectorcall_FASTCALL (func=0x7fcbe0548230, args=0x12b5070, nargsf=9223372036854775810, kwnames=0x0) at Objects/methodobject.c:424
#75 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe0548230, args=0x12b5070, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#76 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbe0548230, args=0x12b5070, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#77 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56ff2ce8, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#78 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x12b4eb0, throwflag=0) at Python/ceval.c:3490
#79 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x12b4eb0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#80 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe01aa110, globals=0x7fcbe02977d0, locals=0x0, args=0x1368428, argcount=7, kwnames=0x0, kwargs=0x1368460, kwcount=0, kwstep=1, defs=0x7fcbe01be848, defcount=5, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe01bda60, qualname=0x7fcbe01bda60) at Python/ceval.c:4299
#81 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe01bc550, stack=0x1368428, nargsf=9223372036854775815, kwnames=0x0) at Objects/call.c:395
#82 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe01bc550, args=0x1368428, nargsf=9223372036854775815, kwnames=0x0) at ./Include/cpython/abstract.h:118
#83 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbe01bc550, args=0x1368428, nargsf=9223372036854775815, kwnames=0x0) at ./Include/cpython/abstract.h:127
#84 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56ff4508, oparg=7, kwnames=0x0) at Python/ceval.c:5044
#85 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x1368260, throwflag=0) at Python/ceval.c:3490
#86 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x1368260, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#87 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe01aa520, globals=0x7fcbe02977d0, locals=0x0, args=0x10ea740, argcount=3, kwnames=0x7fcbe0261658, kwargs=0x10ea758, kwcount=2, kwstep=1, defs=0x7fcbe01be8b8, defcount=5, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe01bdb80, qualname=0x7fcbe01bdb80) at Python/ceval.c:4299
#88 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe0130c30, stack=0x10ea740, nargsf=9223372036854775811, kwnames=0x7fcbe0261640) at Objects/call.c:395
#89 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe0130c30, args=0x10ea740, nargsf=9223372036854775811, kwnames=0x7fcbe0261640) at ./Include/cpython/abstract.h:118
#90 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbe0130c30, args=0x10ea740, nargsf=9223372036854775811, kwnames=0x7fcbe0261640) at ./Include/cpython/abstract.h:127
#91 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56ff5d18, oparg=5, kwnames=0x7fcbe0261640) at Python/ceval.c:5044
#92 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x10ea570, throwflag=0) at Python/ceval.c:3507
#93 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x10ea570, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#94 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe01b2ba0, globals=0x7fcbe02977d0, locals=0x0, args=0x135d578, argcount=1, kwnames=0x7fcbe043a9c8, kwargs=0x135d580, kwcount=1, kwstep=1, defs=0x7fcbe02615b8, defcount=2, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe04159a0, qualname=0x7fcbe04159a0) at Python/ceval.c:4299
#95 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe0137050, stack=0x135d578, nargsf=9223372036854775809, kwnames=0x7fcbe043a9b0) at Objects/call.c:395
#96 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe0137050, args=0x135d578, nargsf=9223372036854775809, kwnames=0x7fcbe043a9b0) at ./Include/cpython/abstract.h:118
#97 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbe0137050, args=0x135d578, nargsf=9223372036854775809, kwnames=0x7fcbe043a9b0) at ./Include/cpython/abstract.h:127
#98 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56ff7538, oparg=2, kwnames=0x7fcbe043a9b0) at Python/ceval.c:5044
#99 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x135d3d0, throwflag=0) at Python/ceval.c:3507
#100 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x135d3d0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#101 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe0296110, globals=0x7fcbe04152f0, locals=0x0, args=0x101c418, argcount=4, kwnames=0x0, kwargs=0x101c438, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x7fcbe0430040, 
    qualname=0x7fcbe0295820) at Python/ceval.c:4299
#102 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe00307d0, stack=0x101c418, nargsf=9223372036854775812, kwnames=0x0) at Objects/call.c:395
#103 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe00307d0, args=0x101c418, nargsf=9223372036854775812, kwnames=0x0) at ./Include/cpython/abstract.h:118
#104 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbe00307d0, args=0x101c418, nargsf=9223372036854775812, kwnames=0x0) at ./Include/cpython/abstract.h:127
#105 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56ff8d78, oparg=4, kwnames=0x0) at Python/ceval.c:5044
#106 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x101c2a0, throwflag=0) at Python/ceval.c:3476
#107 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0xeca210, f=0x101c2a0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#108 0x0000000000431372 in function_code_fastcall (tstate=0xeca210, co=0x7fcbe0425d40, args=0xfec1b0, nargs=1, globals=0x7fcbe0495a10) at Objects/call.c:329
#109 0x00000000004315c0 in _PyFunction_Vectorcall (func=0x7fcbe00309b0, stack=0xfec1a8, nargsf=1, kwnames=0x0) at Objects/call.c:366
#110 0x000000000063bd20 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe00309b0, args=0xfec1a8, nargsf=1, kwnames=0x0) at ./Include/cpython/abstract.h:118
#111 0x000000000063c0e6 in method_vectorcall (method=0x7fcbdffe1650, args=0xfec1b0, nargsf=9223372036854775808, kwnames=0x0) at Objects/classobject.c:53
#112 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbdffe1650, args=0xfec1b0, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:118
#113 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbdffe1650, args=0xfec1b0, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:127
#114 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56ffa528, oparg=0, kwnames=0x0) at Python/ceval.c:5044
#115 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0xfec030, throwflag=0) at Python/ceval.c:3490
#116 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0xeca210, f=0xfec030, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#117 0x0000000000431372 in function_code_fastcall (tstate=0xeca210, co=0x7fcbe0311a00, args=0x1013520, nargs=2, globals=0x7fcbe0415650) at Objects/call.c:329
#118 0x00000000004315c0 in _PyFunction_Vectorcall (func=0x7fcbe0269910, stack=0x1013510, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#119 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe0269910, args=0x1013510, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#120 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbe0269910, args=0x1013510, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#121 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56ffbbe8, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#122 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x1013330, throwflag=0) at Python/ceval.c:3476
#123 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x1013330, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#124 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe0311d40, globals=0x7fcbe0415650, locals=0x0, args=0x7ffe56ffd2d0, argcount=2, kwnames=0x0, kwargs=0x7ffe56ffd2e0, kwcount=0, kwstep=1, defs=0x7fcbe031f428, defcount=1, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe053a590, qualname=0x7fcbe0314ca0) at Python/ceval.c:4299
#125 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe0269af0, stack=0x7ffe56ffd2d0, nargsf=2, kwnames=0x0) at Objects/call.c:395
#126 0x000000000063bd20 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe0269af0, args=0x7ffe56ffd2d0, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#127 0x000000000063c24f in method_vectorcall (method=0x7fcbdffe1470, args=0x7fcbe0039568, nargsf=1, kwnames=0x0) at Objects/classobject.c:83
#128 0x0000000000430faa in PyVectorcall_Call (callable=0x7fcbdffe1470, tuple=0x7fcbe0039550, kwargs=0x7fcbdffe1410) at Objects/call.c:230
#129 0x0000000000431155 in _PyObject_Call (tstate=0xeca210, callable=0x7fcbdffe1470, args=0x7fcbe0039550, kwargs=0x7fcbdffe1410) at Objects/call.c:265
#130 0x000000000043123c in PyObject_Call (callable=0x7fcbdffe1470, args=0x7fcbe0039550, kwargs=0x7fcbdffe1410) at Objects/call.c:292
#131 0x000000000051ef87 in do_call_core (tstate=0xeca210, func=0x7fcbdffe1470, callargs=0x7fcbe0039550, kwdict=0x7fcbdffe1410) at Python/ceval.c:5092
#132 0x0000000000519c2c in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbdffe5050, throwflag=0) at Python/ceval.c:3552
#133 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbdffe5050, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#134 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe0316040, globals=0x7fcbe0415650, locals=0x0, args=0x7ffe56ffec60, argcount=2, kwnames=0x0, kwargs=0x7ffe56ffec70, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe05642e0, qualname=0x7fcbe0314e80) at Python/ceval.c:4299
#135 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe0269cd0, stack=0x7ffe56ffec60, nargsf=2, kwnames=0x0) at Objects/call.c:395
#136 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0xeca210, callable=0x7fcbe0269cd0, args=0x7ffe56ffec60, nargsf=2, kwargs=0x0) at Objects/call.c:118
#137 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0xeca210, callable=0x7fcbe0269cd0, obj=0x7fcbdffe0730, args=0x7fcbe00323c0, kwargs=0x0) at Objects/call.c:488
#138 0x00000000004a243a in slot_tp_call (self=0x7fcbdffe0730, args=0x7fcbe00323c0, kwds=0x0) at Objects/typeobject.c:6687
#139 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0xeca210, callable=0x7fcbdffe0730, args=0x7fcbdffe49b8, nargs=1, keywords=0x0) at Objects/call.c:191
#140 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbdffe0730, args=0x7fcbdffe49b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#141 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbdffe0730, args=0x7fcbdffe49b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#142 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe56ffef18, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#143 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbdffe4810, throwflag=0) at Python/ceval.c:3490
#144 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbdffe4810, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#145 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe02d21e0, globals=0x7fcbe03a70b0, locals=0x0, args=0x7ffe57000610, argcount=2, kwnames=0x0, kwargs=0x7ffe57000620, kwcount=0, kwstep=1, defs=0x7fcbe02700b8, defcount=1, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe053a590, qualname=0x7fcbe026ee20) at Python/ceval.c:4299
#146 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe02724b0, stack=0x7ffe57000610, nargsf=2, kwnames=0x0) at Objects/call.c:395
#147 0x000000000063bd20 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe02724b0, args=0x7ffe57000610, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#148 0x000000000063c24f in method_vectorcall (method=0x7fcbdffe13b0, args=0x7fcbe0032298, nargsf=1, kwnames=0x0) at Objects/classobject.c:83
#149 0x0000000000430faa in PyVectorcall_Call (callable=0x7fcbdffe13b0, tuple=0x7fcbe0032280, kwargs=0x7fcbdffe1350) at Objects/call.c:230
#150 0x0000000000431155 in _PyObject_Call (tstate=0xeca210, callable=0x7fcbdffe13b0, args=0x7fcbe0032280, kwargs=0x7fcbdffe1350) at Objects/call.c:265
#151 0x000000000043123c in PyObject_Call (callable=0x7fcbdffe13b0, args=0x7fcbe0032280, kwargs=0x7fcbdffe1350) at Objects/call.c:292
#152 0x000000000051ef87 in do_call_core (tstate=0xeca210, func=0x7fcbdffe13b0, callargs=0x7fcbe0032280, kwdict=0x7fcbdffe1350) at Python/ceval.c:5092
#153 0x0000000000519c2c in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbe002ab30, throwflag=0) at Python/ceval.c:3552
#154 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbe002ab30, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#155 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe02cc930, globals=0x7fcbe03a70b0, locals=0x0, args=0x7ffe57001fa0, argcount=2, kwnames=0x0, kwargs=0x7ffe57001fb0, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe05642e0, qualname=0x7fcbe026eac0) at Python/ceval.c:4299
#156 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe0272370, stack=0x7ffe57001fa0, nargsf=2, kwnames=0x0) at Objects/call.c:395
#157 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0xeca210, callable=0x7fcbe0272370, args=0x7ffe57001fa0, nargsf=2, kwargs=0x0) at Objects/call.c:118
#158 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0xeca210, callable=0x7fcbe0272370, obj=0x7fcbdffe0640, args=0x7fcbe0023230, kwargs=0x0) at Objects/call.c:488
#159 0x00000000004a243a in slot_tp_call (self=0x7fcbdffe0640, args=0x7fcbe0023230, kwds=0x0) at Objects/typeobject.c:6687
#160 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0xeca210, callable=0x7fcbdffe0640, args=0x7fcbdffe47c8, nargs=1, keywords=0x0) at Objects/call.c:191
#161 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbdffe0640, args=0x7fcbdffe47c8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#162 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbdffe0640, args=0x7fcbdffe47c8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#163 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe57002258, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#164 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbdffe4620, throwflag=0) at Python/ceval.c:3490
#165 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbdffe4620, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#166 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe02d21e0, globals=0x7fcbe03a70b0, locals=0x0, args=0x7ffe57003950, argcount=2, kwnames=0x0, kwargs=0x7ffe57003960, kwcount=0, kwstep=1, defs=0x7fcbe02700b8, defcount=1, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe053a590, qualname=0x7fcbe026ee20) at Python/ceval.c:4299
#167 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe02724b0, stack=0x7ffe57003950, nargsf=2, kwnames=0x0) at Objects/call.c:395
#168 0x000000000063bd20 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe02724b0, args=0x7ffe57003950, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#169 0x000000000063c24f in method_vectorcall (method=0x7fcbdffe12f0, args=0x7fcbe0025d38, nargsf=1, kwnames=0x0) at Objects/classobject.c:83
#170 0x0000000000430faa in PyVectorcall_Call (callable=0x7fcbdffe12f0, tuple=0x7fcbe0025d20, kwargs=0x7fcbdffe1290) at Objects/call.c:230
#171 0x0000000000431155 in _PyObject_Call (tstate=0xeca210, callable=0x7fcbdffe12f0, args=0x7fcbe0025d20, kwargs=0x7fcbdffe1290) at Objects/call.c:265
#172 0x000000000043123c in PyObject_Call (callable=0x7fcbdffe12f0, args=0x7fcbe0025d20, kwargs=0x7fcbdffe1290) at Objects/call.c:292
#173 0x000000000051ef87 in do_call_core (tstate=0xeca210, func=0x7fcbdffe12f0, callargs=0x7fcbe0025d20, kwdict=0x7fcbdffe1290) at Python/ceval.c:5092
#174 0x0000000000519c2c in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbe002a960, throwflag=0) at Python/ceval.c:3552
#175 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbe002a960, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#176 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe02cc930, globals=0x7fcbe03a70b0, locals=0x0, args=0x7ffe570052e0, argcount=2, kwnames=0x0, kwargs=0x7ffe570052f0, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, 
    name=0x7fcbe05642e0, qualname=0x7fcbe026eac0) at Python/ceval.c:4299
#177 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe0272370, stack=0x7ffe570052e0, nargsf=2, kwnames=0x0) at Objects/call.c:395
#178 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0xeca210, callable=0x7fcbe0272370, args=0x7ffe570052e0, nargsf=2, kwargs=0x0) at Objects/call.c:118
#179 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0xeca210, callable=0x7fcbe0272370, obj=0x7fcbdffd8550, args=0x7fcbe00c5640, kwargs=0x0) at Objects/call.c:488
#180 0x00000000004a243a in slot_tp_call (self=0x7fcbdffd8550, args=0x7fcbe00c5640, kwds=0x0) at Objects/typeobject.c:6687
#181 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0xeca210, callable=0x7fcbdffd8550, args=0x100bf28, nargs=1, keywords=0x0) at Objects/call.c:191
#182 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbdffd8550, args=0x100bf28, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#183 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbdffd8550, args=0x100bf28, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#184 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe57005598, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#185 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x100bd30, throwflag=0) at Python/ceval.c:3490
#186 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0xeca210, f=0x100bd30, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#187 0x0000000000431372 in function_code_fastcall (tstate=0xeca210, co=0x7fcbe029ee10, args=0x7fcbdffe41e0, nargs=2, globals=0x7fcbe0258ad0) at Objects/call.c:329
#188 0x00000000004315c0 in _PyFunction_Vectorcall (func=0x7fcbe01bb9b0, stack=0x7fcbdffe41d0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#189 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe01bb9b0, args=0x7fcbdffe41d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#190 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbe01bb9b0, args=0x7fcbdffe41d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#191 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe57006c58, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#192 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x7fcbdffe4050, throwflag=0) at Python/ceval.c:3476
#193 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0xeca210, f=0x7fcbdffe4050, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#194 0x0000000000431372 in function_code_fastcall (tstate=0xeca210, co=0x7fcbe02861e0, args=0x10091c8, nargs=1, globals=0x7fcbe0273170) at Objects/call.c:329
#195 0x00000000004315c0 in _PyFunction_Vectorcall (func=0x7fcbe01bc2d0, stack=0x10091c0, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#196 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0x7fcbe01bc2d0, args=0x10091c0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#197 0x0000000000509a90 in PyObject_Vectorcall (callable=0x7fcbe01bc2d0, args=0x10091c0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#198 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe57008308, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#199 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0x1008fe0, throwflag=0) at Python/ceval.c:3476
#200 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0x1008fe0, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#201 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe027c930, globals=0x7fcbe0273170, locals=0x0, args=0x7ffe57009a10, argcount=1, kwnames=0x0, kwargs=0x7ffe57009a18, kwcount=0, kwstep=1, defs=0x7fcbe01bbba8, defcount=11, kwdefs=0x7fcbe02870b0, 
    closure=0x0, name=0x7fcbe0564460, qualname=0x7fcbe0280c40) at Python/ceval.c:4299
#202 0x0000000000431853 in _PyFunction_Vectorcall (func=0x7fcbe01bbc30, stack=0x7ffe57009a10, nargsf=1, kwnames=0x0) at Objects/call.c:395
#203 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0xeca210, callable=0x7fcbe01bbc30, args=0x7ffe57009a10, nargsf=1, kwargs=0x0) at Objects/call.c:118
#204 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0xeca210, callable=0x7fcbe01bbc30, obj=0x7fcbe0416780, args=0x7fcbe0567050, kwargs=0x0) at Objects/call.c:488
#205 0x00000000004a2aee in slot_tp_init (self=0x7fcbe0416780, args=0x7fcbe0567050, kwds=0x0) at Objects/typeobject.c:6927
#206 0x0000000000492464 in type_call (type=0xfc3f80, args=0x7fcbe0567050, kwds=0x0) at Objects/typeobject.c:1026
#207 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0xeca210, callable=0xfc3f80, args=0xf298e8, nargs=0, keywords=0x0) at Objects/call.c:191
#208 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0xeca210, callable=0xfc3f80, args=0xf298e8, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:116
#209 0x0000000000509a90 in PyObject_Vectorcall (callable=0xfc3f80, args=0xf298e8, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:127
#210 0x000000000051ea52 in call_function (tstate=0xeca210, pp_stack=0x7ffe57009d28, oparg=0, kwnames=0x0) at Python/ceval.c:5044
#211 0x00000000005193a1 in _PyEval_EvalFrameDefault (tstate=0xeca210, f=0xf29770, throwflag=0) at Python/ceval.c:3459
#212 0x0000000000509cde in _PyEval_EvalFrame (tstate=0xeca210, f=0xf29770, throwflag=0) at ./Include/internal/pycore_ceval.h:40
#213 0x000000000051cf4e in _PyEval_EvalCode (tstate=0xeca210, _co=0x7fcbe0428860, globals=0x7fcbe0495a10, locals=0x7fcbe0495a10, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, 
    qualname=0x0) at Python/ceval.c:4299
#214 0x000000000051d051 in _PyEval_EvalCodeWithName (_co=0x7fcbe0428860, globals=0x7fcbe0495a10, locals=0x7fcbe0495a10, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0)
    at Python/ceval.c:4331
#215 0x000000000051d0d9 in PyEval_EvalCodeEx (_co=0x7fcbe0428860, globals=0x7fcbe0495a10, locals=0x7fcbe0495a10, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#216 0x000000000050bbc0 in PyEval_EvalCode (co=0x7fcbe0428860, globals=0x7fcbe0495a10, locals=0x7fcbe0495a10) at Python/ceval.c:809
#217 0x000000000056eaf9 in run_eval_code_obj (tstate=0xeca210, co=0x7fcbe0428860, globals=0x7fcbe0495a10, locals=0x7fcbe0495a10) at Python/pythonrun.c:1178
#218 0x000000000056ebe2 in run_mod (mod=0xf48f98, filename=0x7fcbe045b720, globals=0x7fcbe0495a10, locals=0x7fcbe0495a10, flags=0x7ffe5700b728, arena=0x7fcbe042aac0) at Python/pythonrun.c:1199
#219 0x000000000056e971 in PyRun_FileExFlags (fp=0xec7110, filename_str=0x7fcbe0429240 "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", start=257, globals=0x7fcbe0495a10, locals=0x7fcbe0495a10, closeit=1, 
    flags=0x7ffe5700b728) at Python/pythonrun.c:1116
#220 0x000000000056d447 in PyRun_SimpleFileExFlags (fp=0xec7110, filename=0x7fcbe0429240 "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", closeit=1, flags=0x7ffe5700b728) at Python/pythonrun.c:438
#221 0x000000000056c958 in PyRun_AnyFileExFlags (fp=0xec7110, filename=0x7fcbe0429240 "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", closeit=1, flags=0x7ffe5700b728) at Python/pythonrun.c:87
#222 0x000000000041e6e8 in pymain_run_file (config=0xec8990, cf=0x7ffe5700b728) at Modules/main.c:369
#223 0x000000000041ecd8 in pymain_run_python (exitcode=0x7ffe5700b76c) at Modules/main.c:594
#224 0x000000000041edc9 in Py_RunMain () at Modules/main.c:673
#225 0x000000000041ee43 in pymain_main (args=0x7ffe5700b7d0) at Modules/main.c:703
#226 0x000000000041eebd in Py_BytesMain (argc=2, argv=0x7ffe5700b908) at Modules/main.c:727
#227 0x000000000041d786 in main (argc=2, argv=0x7ffe5700b908) at ./Programs/python.c:15
Missing separate debuginfos, use: dnf debuginfo-install bzip2-libs-1.0.8-2.fc32.x86_64 glibc-2.31-2.fc32.x86_64 libffi-3.1-24.fc32.x86_64 libxcrypt-4.4.16-3.fc32.x86_64 openssl-libs-1.1.1g-1.fc32.x86_64 xz-libs-5.2.5-1.fc32.x86_64 zlib-1.2.11-21.fc32.x86_64
msg373342 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-08 20:04
> Program received signal SIGSEGV, Segmentation fault.
0x0000000000623339 in _Py_IS_TYPE (ob=0x0, type=0x8609e0 <PyType_Type>) at ./Include/object.h:128
128         return ob->ob_type == type;
(gdb) py-bt
Traceback (most recent call first):
  <built-in method compile of module object at remote 0x7fffeabc3a10>
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py", line 306, in parse
    lines.append(next_line)
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py", line 62, in literal_eval
    node_or_string = parse(node_or_string, mode='eval')
  File "./src/main/python/pybuilder/python_env.py", line 83, in populate
    python_info = ast.literal_eval(result)
  File "./src/main/python/pybuilder/reactor.py", line 409, in __init__
    self.propagate_property("explicit_namespaces")
  File "./src/main/python/pybuilder/cli.py", line 238, in init_reactor
    reactor = Reactor(logger, execution_manager)
  File "./src/main/python/pybuilder/cli.py", line 415, in main
    reactor = init_reactor(logger)
  File "./src/main/python/pybuilder/__init__.py", line 34, in bootstrap
    sys.exit(pybuilder.cli.main(*sys.argv[1:]))
  File "/tmp/IntegrationTestSupporthzc3tee0/build.py", line 31, in <module>
    bootstrap()
  <built-in method exec of module object at remote 0x7fffeabc3a10>
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py", line 343, in _run_code
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py", line 353, in _run_module_code
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py", line 524, in run_path
  File "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_itest_support.py", line 72, in smoke_test
    return run_path(self.build_py, run_name="__main__")
  File "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", line 30, in test_build_then_clean
    self.smoke_test("-v", "-X", "clean")
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py", line 550, in _callTestMethod
    method()
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py", line 1617, in run
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py", line 653, in __call__
    return self.run(*args, **kwds)
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py", line 378, in run
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py", line 84, in __call__
    return self.run(*args, **kwds)
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py", line 378, in run
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py", line 84, in __call__
    return self.run(*args, **kwds)
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/runner.py", line 432, in run
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py", line 783, in runTests
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py", line 101, in __init__
    self.runTests()
  File "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", line 34, in <module>
    unittest.main()
(gdb) py-bt-full
#7 <built-in method compile of module object at remote 0x7fffeabc3a10>
#11 Frame 0xb67600, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 306, in parse (source="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/j...(truncated)
    lines.append(next_line)
#18 Frame 0x7fffe92ad230, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 62, in literal_eval (node_or_string="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivan...(truncated)
    node_or_string = parse(node_or_string, mode='eval')
#25 Frame 0x7fffe9324810, for file ./src/main/python/pybuilder/python_env.py, line 83, in populate (self=<PythonEnv(_env_dir='/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4', _reactor=<Reactor(logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>, plugin_loader=<DispatchingPluginLoader(logger=<...>, _loaders=(<BuiltinPluginLoader(logger=<...>) at remote 0x7fffe9309af0>, <DownloadingPluginLoader(logger=<...>) at remote 0x7fffe9309b90>)) at remote 0x7fffe9309f5...(truncated)
    python_info = ast.literal_eval(result)
#32 Frame 0x7fffe98d4810, for file ./src/main/python/pybuilder/reactor.py, line 409, in __init__ (self=<Reactor(logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>, plugin_loader=<DispatchingPluginLoader(logger=<...>, _loaders=(<BuiltinPluginLoader(logger=<...>) at remote 0x7fffe9309af0>, <DownloadingPluginLoader(logger=<...>) at remote 0x7fffe9309b90>)) at remote 0x7fffe9309f50>, _plugins=[], _pending_plugin_installs=[], _plugins_imported=set(), _deferred_plugins=<ModuleTraversalTree(_entries={},...(truncated)
    self.propagate_property("explicit_namespaces")
#44 Frame 0x7fffe92aa5c0, for file ./src/main/python/pybuilder/cli.py, line 238, in init_reactor (logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>)
    reactor = Reactor(logger, execution_manager)
#51 Frame 0xd57ab0, for file ./src/main/python/pybuilder/cli.py, line 415, in main (args=('-v', '-X', 'clean'), options=<Values(list_tasks=False, list_plan_tasks=False, start_project=False, update_project=False, project_directory='.', offline=False, environments=[], property_overrides={}, exclude_optional_tasks=[], exclude_all_optional=False, exclude_tasks=[], reset_plugins=False, debug=True, verbose=True, quiet=False, very_quiet=False, force_color=False, no_color=False) at remote 0x7fffe9309be0>, arguments=['clean'], start=<datetime.datetime at remote 0x7fffe98ce2c0>, logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>)
    reactor = init_reactor(logger)
#59 Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys...(truncated)
    sys.exit(pybuilder.cli.main(*sys.argv[1:]))
#66 Frame 0xd49dc0, for file /tmp/IntegrationTestSupporthzc3tee0/build.py, line 31, in <module> ()
    bootstrap()
#74 <built-in method exec of module object at remote 0x7fffeabc3a10>
#78 Frame 0xcaa760, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 343, in _run_code (code=<code at remote 0x7fffe978f110>, run_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module obje...(truncated)
#85 Frame 0xd518f0, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 353, in _run_module_code (code=<code at remote 0x7fffe978f110>, init_globals=None, mod_name='__main__', mod_spec=None, pkg_name='', script_name='/tmp/IntegrationTestSupporthzc3tee0/build.py', fname='/tmp/IntegrationTestSupporthzc3tee0/build.py', temp_module=<_TempModule(mod_name='__main__', module=<module at remote 0x7fffe98c1dd0>, _saved_module=[<module at remote 0x7fffeab12ad0>]) at remote 0x7fffe9e9c820>, mod_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, or...(truncated)
#92 Frame 0xad23d0, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 524, in run_path (path_name='/tmp/IntegrationTestSupporthzc3tee0/build.py', init_globals=None, run_name='__main__', pkg_name='', importer=None, is_NullImporter=False, code=<code at remote 0x7fffe978f110>, fname='/tmp/IntegrationTestSupporthzc3tee0/build.py')
#99 Frame 0xcfa980, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_itest_support.py, line 72, in smoke_test (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa...(truncated)
    return run_path(self.build_py, run_name="__main__")
#106 Frame 0xa04100, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py, line 30, in test_build_then_clean (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7f...(truncated)
    self.smoke_test("-v", "-X", "clean")
#115 Frame 0x9d3e90, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py, line 550, in _callTestMethod (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDo...(truncated)
    method()
#122 Frame 0x9fb190, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py, line 1617, in run (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cl...(truncated)
#132 Frame 0x7fffea662050, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py, line 653, in __call__ (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc...(truncated)
    return self.run(*args, **kwds)
#143 Frame 0x7fffea661810, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 378, in run (self=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>,...(truncated)
#153 Frame 0x7fffea6a7b30, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 84, in __call__ (self=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65da...(truncated)
    return self.run(*args, **kwds)
#164 Frame 0x7fffea661620, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 378, in run (self=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remo...(truncated)
#174 Frame 0x7fffea6a7960, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 84, in __call__ (self=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at ...(truncated)
    return self.run(*args, **kwds)
#185 Frame 0x9f3b90, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/runner.py, line 432, in run (self=<TextTestRunner(stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, descriptions=True, verbosity=1, failfast=False, buffer=False, tb_locals=False, warnings=None) at remote 0x7fffea68ca50>, test=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<...>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remo...(truncated)
#192 Frame 0x7fffea661050, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py, line 783, in runTests (self=<TestProgram(module=<module at remote 0x7fffeab12ad0>, exit=True, failfast=False, catchbreak=False, verbosity=1, buffer=False, tb_locals=False, warnings=None, defaultTest=None, testRunner=<type at remote 0x9ab0e0>, testLoader=<TestLoader(errors=[], _loading_packages=set()) at remote 0x7fffea8fca00>, progName='smoke_clean_tests.py', testNamePatterns=[], _main_parser=<ArgumentParser(description=None, argument_default=None, prefix_chars='-', conflict_handler='error', _registries={'action': {None: <type at remote 0x99ab00>, 'store': <type at remote 0x99ab00>, 'store_const': <type at remote 0x99aee0>, 'store_true': <type at remote 0x99b2c0>, 'store_false': <type at remote 0x99b6a0>, 'append': <type at remote 0x99ba80>, 'append_const': <type at remote 0x99be60>, 'count': <type at remote 0x99c240>, 'help': <type at remote 0x99c620>, 'version': <type at remote 0x99ca00>, 'parsers': ...(truncated)
#199 Frame 0x9f0e40, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py, line 101, in __init__ (self=<TestProgram(module=<module at remote 0x7fffeab12ad0>, exit=True, failfast=False, catchbreak=False, verbosity=1, buffer=False, tb_locals=False, warnings=None, defaultTest=None, testRunner=<type at remote 0x9ab0e0>, testLoader=<TestLoader(errors=[], _loading_packages=set()) at remote 0x7fffea8fca00>, progName='smoke_clean_tests.py', testNamePatterns=[], _main_parser=<ArgumentParser(description=None, argument_default=None, prefix_chars='-', conflict_handler='error', _registries={'action': {None: <type at remote 0x99ab00>, 'store': <type at remote 0x99ab00>, 'store_const': <type at remote 0x99aee0>, 'store_true': <type at remote 0x99b2c0>, 'store_false': <type at remote 0x99b6a0>, 'append': <type at remote 0x99ba80>, 'append_const': <type at remote 0x99be60>, 'count': <type at remote 0x99c240>, 'help': <type at remote 0x99c620>, 'version': <type at remote 0x99ca00>, 'parsers': <type ...(truncated)
    self.runTests()
#211 Frame 0x9115d0, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py, line 34, in <module> ()
    unittest.main()
msg373343 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-08 20:08
(gdb) bt
#0  0x0000000000623339 in _Py_IS_TYPE (ob=0x0, type=0x8609e0 <PyType_Type>) at ./Include/object.h:128
#1  0x0000000000623487 in _PyType_CheckExact (op=0x0) at ./Include/object.h:641
#2  0x0000000000628d85 in object_recursive_isinstance (tstate=0x8b2210, 
    inst="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/jdk', 'SSH_AUTH_SOCK': '/tmp/ssh-2nZCuLIsvvyW/agent.5125', 'SHELL_SESSION_ID': '1fe1a56ee9dd4fac85", cls=0x0) at Objects/abstract.c:2495
#3  0x0000000000628fdc in PyObject_IsInstance (
    inst="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/jdk', 'SSH_AUTH_SOCK': '/tmp/ssh-2nZCuLIsvvyW/agent.5125', 'SHELL_SESSION_ID': '1fe1a56ee9dd4fac85", cls=0x0) at Objects/abstract.c:2551
#4  0x0000000000682420 in PyAST_Check (
    obj="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/jdk', 'SSH_AUTH_SOCK': '/tmp/ssh-2nZCuLIsvvyW/agent.5125', 'SHELL_SESSION_ID': '1fe1a56ee9dd4fac85") at Python/Python-ast.c:10356
#5  0x000000000069c754 in builtin_compile_impl (module=<module at remote 0x7fffeabc3a10>, 
    source="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/jdk', 'SSH_AUTH_SOCK': '/tmp/ssh-2nZCuLIsvvyW/agent.5125', 'SHELL_SESSION_ID': '1fe1a56ee9dd4fac85", filename='<unknown>', mode=0x7fffeabc42f0 "eval", 
    flags=1024, dont_inherit=0, optimize=-1, feature_version=-1) at Python/bltinmodule.c:784
#6  0x000000000069aa72 in builtin_compile (module=<module at remote 0x7fffeabc3a10>, args=0x7ffffffd7c10, nargs=4, kwnames=('_feature_version',)) at Python/clinic/bltinmodule.c.h:274
#7  0x0000000000655297 in cfunction_vectorcall_FASTCALL_KEYWORDS (func=<built-in method compile of module object at remote 0x7fffeabc3a10>, args=0xb677b0, nargsf=9223372036854775812, kwnames=('_feature_version',)) at Objects/methodobject.c:440
#8  0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<built-in method compile of module object at remote 0x7fffeabc3a10>, args=0xb677b0, nargsf=9223372036854775812, kwnames=('_feature_version',)) at ./Include/cpython/abstract.h:118
#9  0x0000000000509a90 in PyObject_Vectorcall (callable=<built-in method compile of module object at remote 0x7fffeabc3a10>, args=0xb677b0, nargsf=9223372036854775812, kwnames=('_feature_version',)) at ./Include/cpython/abstract.h:127
#10 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffd7e78, oparg=5, kwnames=('_feature_version',)) at Python/ceval.c:5044
#11 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0x8b2210, 
    f=Frame 0xb67600, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 306, in parse (source="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/j...(truncated), throwflag=0)
    at Python/ceval.c:3507
#12 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, 
    f=Frame 0xb67600, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 306, in parse (source="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/j...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#13 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffe978fc70>, 
    globals={'__name__': 'ast', '__doc__': '\n    ast\n    ~~~\n\n    The `ast` module helps Python applications to process trees of the Python\n    abstract syntax grammar.  The abstract syntax itself might change with\n    each Python release; this module helps to find out programmatically what\n    the current grammar looks like and allows modifications of it.\n\n    An abstract syntax tree can be generated by passing `ast.PyCF_ONLY_AST` as\n    a flag to the `compile()` builtin function or by using the `parse()`\n    function from this module.  The result will be a tree of objects whose\n    classes all inherit from `ast.AST`.\n\n    A modified abstract syntax tree can be compiled into a Python code object\n    using the built-in `compile()` function.\n\n    Additionally various helper functions are provided that make working with\n    the trees simpler.  The main intention of the helper functions and this\n    module in general is to provide an easy to use interface for libraries\n    that work tightly with the pyth...(truncated), locals=0x0, 
    args=0x7fffe92ad3c8, argcount=1, kwnames=0x7fffe9762658, kwargs=0x7fffe92ad3d0, kwcount=1, kwstep=1, defs=0x7fffe97662e8, defcount=2, kwdefs={'type_comments': False, 'feature_version': None}, closure=0x0, name='parse', qualname='parse') at Python/ceval.c:4299
#14 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffe9634190>, stack=0x7fffe92ad3c8, nargsf=9223372036854775809, kwnames=('mode',)) at Objects/call.c:395
#15 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffe9634190>, args=0x7fffe92ad3c8, nargsf=9223372036854775809, kwnames=('mode',)) at ./Include/cpython/abstract.h:118
#16 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffe9634190>, args=0x7fffe92ad3c8, nargsf=9223372036854775809, kwnames=('mode',)) at ./Include/cpython/abstract.h:127
#17 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffd9698, oparg=2, kwnames=('mode',)) at Python/ceval.c:5044
#18 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0x8b2210, 
    f=Frame 0x7fffe92ad230, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 62, in literal_eval (node_or_string="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivan...(truncated), throwflag=0)
    at Python/ceval.c:3507
#19 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, 
    f=Frame 0x7fffe92ad230, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 62, in literal_eval (node_or_string="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivan...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#20 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffe9633930>, 
    globals={'__name__': 'ast', '__doc__': '\n    ast\n    ~~~\n\n    The `ast` module helps Python applications to process trees of the Python\n    abstract syntax grammar.  The abstract syntax itself might change with\n    each Python release; this module helps to find out programmatically what\n    the current grammar looks like and allows modifications of it.\n\n    An abstract syntax tree can be generated by passing `ast.PyCF_ONLY_AST` as\n    a flag to the `compile()` builtin function or by using the `parse()`\n    function from this module.  The result will be a tree of objects whose\n    classes all inherit from `ast.AST`.\n\n    A modified abstract syntax tree can be compiled into a Python code object\n    using the built-in `compile()` function.\n\n    Additionally various helper functions are provided that make working with\n    the trees simpler.  The main intention of the helper functions and this\n    module in general is to provide an easy to use interface for libraries\n    that work tightly with the pyth...(truncated), locals=0x0, 
    args=0x7fffe93249b8, argcount=1, kwnames=0x0, kwargs=0x7fffe93249c0, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name='literal_eval', qualname='literal_eval') at Python/ceval.c:4299
#21 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffe9634eb0>, stack=0x7fffe93249b8, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:395
#22 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffe9634eb0>, args=0x7fffe93249b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#23 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffe9634eb0>, args=0x7fffe93249b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#24 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffdaed8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#25 0x00000000005193a1 in _PyEval_EvalFrameDefault (tstate=0x8b2210, 
    f=Frame 0x7fffe9324810, for file ./src/main/python/pybuilder/python_env.py, line 83, in populate (self=<PythonEnv(_env_dir='/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4', _reactor=<Reactor(logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>, plugin_loader=<DispatchingPluginLoader(logger=<...>, _loaders=(<BuiltinPluginLoader(logger=<...>) at remote 0x7fffe9309af0>, <DownloadingPluginLoader(logger=<...>) at remote 0x7fffe9309b90>)) at remote 0x7fffe9309f5...(truncated), throwflag=0)
    at Python/ceval.c:3459
#26 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0x8b2210, 
    f=Frame 0x7fffe9324810, for file ./src/main/python/pybuilder/python_env.py, line 83, in populate (self=<PythonEnv(_env_dir='/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4', _reactor=<Reactor(logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>, plugin_loader=<DispatchingPluginLoader(logger=<...>, _loaders=(<BuiltinPluginLoader(logger=<...>) at remote 0x7fffe9309af0>, <DownloadingPluginLoader(logger=<...>) at remote 0x7fffe9309b90>)) at remote 0x7fffe9309f5...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#27 0x0000000000431372 in function_code_fastcall (tstate=0x8b2210, co=0x7fffe95d15f0, args=0x7fffe98d49b8, nargs=1, 
    globals={'__name__': 'pybuilder.python_env', '__doc__': None, '__package__': 'pybuilder', '__loader__': <SourceFileLoader(name='pybuilder.python_env', path='./src/main/python/pybuilder/python_env.py') at remote 0x7fffe95ce7d0>, '__spec__': <ModuleSpec(name='pybuilder.python_env', loader=<...>, origin='./src/main/python/pybuilder/python_env.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='./src/main/python/pybuilder/__pycache__/python_env.cpython-39.pyc', _initializing=False) at remote 0x7fffe9307d70>, '__file__': './src/main/python/pybuilder/python_env.py', '__cached__': './src/main/python/pybuilder/__pycache__/python_env.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_sta...(truncated))
    at Objects/call.c:329
#28 0x00000000004315c0 in _PyFunction_Vectorcall (func=<function at remote 0x7fffe9313a50>, stack=0x7fffe98d49b0, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#29 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffe9313a50>, args=0x7fffe98d49b0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#30 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffe9313a50>, args=0x7fffe98d49b0, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#31 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffdc588, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#32 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0x8b2210, 
    f=Frame 0x7fffe98d4810, for file ./src/main/python/pybuilder/reactor.py, line 409, in __init__ (self=<Reactor(logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>, plugin_loader=<DispatchingPluginLoader(logger=<...>, _loaders=(<BuiltinPluginLoader(logger=<...>) at remote 0x7fffe9309af0>, <DownloadingPluginLoader(logger=<...>) at remote 0x7fffe9309b90>)) at remote 0x7fffe9309f50>, _plugins=[], _pending_plugin_installs=[], _plugins_imported=set(), _deferred_plugins=<ModuleTraversalTree(_entries={},...(truncated), throwflag=0)
    at Python/ceval.c:3476
#33 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, 
    f=Frame 0x7fffe98d4810, for file ./src/main/python/pybuilder/reactor.py, line 409, in __init__ (self=<Reactor(logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>, plugin_loader=<DispatchingPluginLoader(logger=<...>, _loaders=(<BuiltinPluginLoader(logger=<...>) at remote 0x7fffe9309af0>, <DownloadingPluginLoader(logger=<...>) at remote 0x7fffe9309b90>)) at remote 0x7fffe9309f50>, _plugins=[], _pending_plugin_installs=[], _plugins_imported=set(), _deferred_plugins=<ModuleTraversalTree(_entries={},...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#34 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffe95b5ee0>, 
    globals={'__name__': 'pybuilder.reactor', '__doc__': '\n    The PyBuilder reactor module.\n    Operates a build process by instrumenting an ExecutionManager from the\n    execution module.\n', '__package__': 'pybuilder', '__loader__': <SourceFileLoader(name='pybuilder.reactor', path='./src/main/python/pybuilder/reactor.py') at remote 0x7fffe95a9190>, '__spec__': <ModuleSpec(name='pybuilder.reactor', loader=<...>, origin='./src/main/python/pybuilder/reactor.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='./src/main/python/pybuilder/__pycache__/reactor.cpython-39.pyc', _initializing=False) at remote 0x7fffe95b3f50>, '__file__': './src/main/python/pybuilder/reactor.py', '__cached__': './src/main/python/pybuilder/__pycache__/reactor.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3...(truncated), locals=0x0, 
    args=0x7ffffffddc90, argcount=3, kwnames=0x0, kwargs=0x7ffffffddca8, kwcount=0, kwstep=1, defs=0x7fffe95c55b8, defcount=1, kwdefs=0x0, closure=0x0, name='__init__', qualname='Reactor.__init__') at Python/ceval.c:4299
#35 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffe929f7d0>, stack=0x7ffffffddc90, nargsf=3, kwnames=0x0) at Objects/call.c:395
#36 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0x8b2210, callable=<function at remote 0x7fffe929f7d0>, args=0x7ffffffddc90, nargsf=3, kwargs=0x0) at Objects/call.c:118
#37 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0x8b2210, callable=<function at remote 0x7fffe929f7d0>, 
    obj=<Reactor(logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>, plugin_loader=<DispatchingPluginLoader(logger=<...>, _loaders=(<BuiltinPluginLoader(logger=<...>) at remote 0x7fffe9309af0>, <DownloadingPluginLoader(logger=<...>) at remote 0x7fffe9309b90>)) at remote 0x7fffe9309f50>, _plugins=[], _pending_plugin_installs=[], _plugins_imported=set(), _deferred_plugins=<ModuleTraversalTree(_entries={}, _entry_stack=<collections.deque at remote 0x7fffe92ef3d0>, _mods=0) at remote 0x7fffe9309280>, _de...(truncated), 
    args=(<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, <ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>), kwargs=0x0) at Objects/call.c:488
#38 0x00000000004a2aee in slot_tp_init (
    self=<Reactor(logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>, plugin_loader=<DispatchingPluginLoader(logger=<...>, _loaders=(<BuiltinPluginLoader(logger=<...>) at remote 0x7fffe9309af0>, <DownloadingPluginLoader(logger=<...>) at remote 0x7fffe9309b90>)) at remote 0x7fffe9309f50>, _plugins=[], _pending_plugin_installs=[], _plugins_imported=set(), _deferred_plugins=<ModuleTraversalTree(_entries={}, _entry_stack=<collections.deque at remote 0x7fffe92ef3d0>, _mods=0) at remote 0x7fffe9309280>, _de...(truncated), 
    args=(<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, <ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>), kwds=0x0) at Objects/typeobject.c:6927
#39 0x0000000000492464 in type_call (type=0xea6a80, 
    args=(<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, <ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>), kwds=0x0) at Objects/typeobject.c:1026
#40 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0x8b2210, callable=<type at remote 0xea6a80>, args=0x7fffe92aa748, nargs=2, keywords=0x0) at Objects/call.c:191
#41 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<type at remote 0xea6a80>, args=0x7fffe92aa748, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:116
#42 0x0000000000509a90 in PyObject_Vectorcall (callable=<type at remote 0xea6a80>, args=0x7fffe92aa748, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#43 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffddf98, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#44 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b2210, 
    f=Frame 0x7fffe92aa5c0, for file ./src/main/python/pybuilder/cli.py, line 238, in init_reactor (logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>), throwflag=0) at Python/ceval.c:3490
#45 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0x8b2210, 
    f=Frame 0x7fffe92aa5c0, for file ./src/main/python/pybuilder/cli.py, line 238, in init_reactor (logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>, execution_manager=<ExecutionManager(logger=<...>, _tasks={}, _task_dependencies={}, _dependencies_pending_tasks={}, _actions={}, _execute_before={}, _execute_after={}, _initializers=[], _finalizers=[], _dependencies_resolved=False, _actions_executed=[], _tasks_executed=[], _current_task=None, _current_execution_plan=None, _exclude_optional_tasks=[], _exclude_tasks=[], _exclude_all_optional=False) at remote 0x7fffe9309c80>), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#46 0x0000000000431372 in function_code_fastcall (tstate=0x8b2210, co=0x7fffe962cd40, args=0xd57c80, nargs=1, 
    globals={'__name__': 'pybuilder.cli', '__doc__': '\n    The PyBuilder cli module.\n    Contains the PyBuilder command-line entrypoint.\n', '__package__': 'pybuilder', '__loader__': <SourceFileLoader(name='pybuilder.cli', path='./src/main/python/pybuilder/cli.py') at remote 0x7fffe98073c0>, '__spec__': <ModuleSpec(name='pybuilder.cli', loader=<...>, origin='./src/main/python/pybuilder/cli.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='./src/main/python/pybuilder/__pycache__/cli.cpython-39.pyc', _initializing=False) at remote 0x7fffe9807e10>, '__file__': './src/main/python/pybuilder/cli.py', '__cached__': './src/main/python/pybuilder/__pycache__/cli.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, o...(truncated))
    at Objects/call.c:329
#47 0x00000000004315c0 in _PyFunction_Vectorcall (func=<function at remote 0x7fffe92a82d0>, stack=0xd57c78, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#48 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffe92a82d0>, args=0xd57c78, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#49 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffe92a82d0>, args=0xd57c78, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#50 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffdf648, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#51 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b2210, 
    f=Frame 0xd57ab0, for file ./src/main/python/pybuilder/cli.py, line 415, in main (args=('-v', '-X', 'clean'), options=<Values(list_tasks=False, list_plan_tasks=False, start_project=False, update_project=False, project_directory='.', offline=False, environments=[], property_overrides={}, exclude_optional_tasks=[], exclude_all_optional=False, exclude_tasks=[], reset_plugins=False, debug=True, verbose=True, quiet=False, very_quiet=False, force_color=False, no_color=False) at remote 0x7fffe9309be0>, arguments=['clean'], start=<datetime.datetime at remote 0x7fffe98ce2c0>, logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>), throwflag=0) at Python/ceval.c:3490
#52 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, 
    f=Frame 0xd57ab0, for file ./src/main/python/pybuilder/cli.py, line 415, in main (args=('-v', '-X', 'clean'), options=<Values(list_tasks=False, list_plan_tasks=False, start_project=False, update_project=False, project_directory='.', offline=False, environments=[], property_overrides={}, exclude_optional_tasks=[], exclude_all_optional=False, exclude_tasks=[], reset_plugins=False, debug=True, verbose=True, quiet=False, very_quiet=False, force_color=False, no_color=False) at remote 0x7fffe9309be0>, arguments=['clean'], start=<datetime.datetime at remote 0x7fffe98ce2c0>, logger=<ColoredStdOutLogger(filters=[], _name=None, level=10, formatter=None, lock=<_thread.RLock at remote 0x7fffe9309e00>) at remote 0x7fffe9309500>), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#53 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffe95f7930>, 
    globals={'__name__': 'pybuilder.cli', '__doc__': '\n    The PyBuilder cli module.\n    Contains the PyBuilder command-line entrypoint.\n', '__package__': 'pybuilder', '__loader__': <SourceFileLoader(name='pybuilder.cli', path='./src/main/python/pybuilder/cli.py') at remote 0x7fffe98073c0>, '__spec__': <ModuleSpec(name='pybuilder.cli', loader=<...>, origin='./src/main/python/pybuilder/cli.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='./src/main/python/pybuilder/__pycache__/cli.cpython-39.pyc', _initializing=False) at remote 0x7fffe9807e10>, '__file__': './src/main/python/pybuilder/cli.py', '__cached__': './src/main/python/pybuilder/__pycache__/cli.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, o...(truncated), locals=0x0, 
    args=0x7fffe97cf0c8, argcount=3, kwnames=0x0, kwargs=0x7fffe97cf0e0, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name='main', qualname='main') at Python/ceval.c:4299
#54 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffe92a8c30>, stack=0x7fffe97cf0c8, nargsf=3, kwnames=0x0) at Objects/call.c:395
#55 0x0000000000430faa in PyVectorcall_Call (callable=<function at remote 0x7fffe92a8c30>, tuple=('-v', '-X', 'clean'), kwargs=0x0) at Objects/call.c:230
#56 0x0000000000431155 in _PyObject_Call (tstate=0x8b2210, callable=<function at remote 0x7fffe92a8c30>, args=('-v', '-X', 'clean'), kwargs=0x0) at Objects/call.c:265
#57 0x000000000043123c in PyObject_Call (callable=<function at remote 0x7fffe92a8c30>, args=('-v', '-X', 'clean'), kwargs=0x0) at Objects/call.c:292
#58 0x000000000051ef87 in do_call_core (tstate=0x8b2210, func=<function at remote 0x7fffe92a8c30>, callargs=('-v', '-X', 'clean'), kwdict=0x0) at Python/ceval.c:5092
#59 0x0000000000519c2c in _PyEval_EvalFrameDefault (tstate=0x8b2210, 
    f=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys...(truncated), throwflag=0)
    at Python/ceval.c:3552
#60 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0x8b2210, 
    f=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys=<module at remote 0x7fffeabba2f0>, inspect=<module at remote 0x7fffea2780b0>, BuildFailedException=<type at remote 0xd92460>, current_frame=Frame 0xd01210, for file ./src/main/python/pybuilder/__init__.py, line 34, in bootstrap (sys...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#61 0x0000000000431372 in function_code_fastcall (tstate=0x8b2210, co=0x7fffe978f1e0, args=0xd49f30, nargs=0, 
    globals={'__name__': 'pybuilder', '__doc__': None, '__package__': 'pybuilder', '__loader__': <SourceFileLoader(name='pybuilder', path='./src/main/python/pybuilder/__init__.py') at remote 0x7fffea275910>, '__spec__': <ModuleSpec(name='pybuilder', loader=<...>, origin='./src/main/python/pybuilder/__init__.py', loader_state=None, submodule_search_locations=['./src/main/python/pybuilder'], _set_fileattr=True, _cached='./src/main/python/pybuilder/__pycache__/__init__.cpython-39.pyc', _initializing=False) at remote 0x7fffea275640>, '__path__': [...], '__file__': './src/main/python/pybuilder/__init__.py', '__cached__': './src/main/python/pybuilder/__pycache__/__init__.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_...(truncated))
    at Objects/call.c:329
#62 0x00000000004315c0 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea516230>, stack=0xd49f30, nargsf=9223372036854775808, kwnames=0x0) at Objects/call.c:366
#63 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea516230>, args=0xd49f30, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:118
#64 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea516230>, args=0xd49f30, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:127
#65 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffe2558, oparg=0, kwnames=0x0) at Python/ceval.c:5044
#66 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0xd49dc0, for file /tmp/IntegrationTestSupporthzc3tee0/build.py, line 31, in <module> (), throwflag=0) at Python/ceval.c:3490
#67 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0xd49dc0, for file /tmp/IntegrationTestSupporthzc3tee0/build.py, line 31, in <module> (), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#68 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffe978f110>, 
    globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated), 
    locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated), args=0x0, 
    argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4299
#69 0x000000000051d051 in _PyEval_EvalCodeWithName (_co=<code at remote 0x7fffe978f110>, 
    globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated), 
    locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated), args=0x0, 
    argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4331
#70 0x000000000051d0d9 in PyEval_EvalCodeEx (_co=<code at remote 0x7fffe978f110>, 
--Type <RET> for more, q to quit, c to continue without paging-- c
    globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated), locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated), args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#71 0x000000000050bbc0 in PyEval_EvalCode (co=<code at remote 0x7fffe978f110>, globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated), locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated)) at Python/ceval.c:809
#72 0x000000000069ce37 in builtin_exec_impl (module=<module at remote 0x7fffeabc3a10>, source=<code at remote 0x7fffe978f110>, globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated), locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a...(truncated)) at Python/bltinmodule.c:1035
#73 0x000000000069ac76 in builtin_exec (module=<module at remote 0x7fffeabc3a10>, args=0xcaa920, nargs=2) at Python/clinic/bltinmodule.c.h:396
#74 0x00000000006551f4 in cfunction_vectorcall_FASTCALL (func=<built-in method exec of module object at remote 0x7fffeabc3a10>, args=0xcaa920, nargsf=9223372036854775810, kwnames=0x0) at Objects/methodobject.c:424
#75 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<built-in method exec of module object at remote 0x7fffeabc3a10>, args=0xcaa920, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#76 0x0000000000509a90 in PyObject_Vectorcall (callable=<built-in method exec of module object at remote 0x7fffeabc3a10>, args=0xcaa920, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#77 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffe3f08, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#78 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0xcaa760, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 343, in _run_code (code=<code at remote 0x7fffe978f110>, run_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module obje...(truncated), throwflag=0) at Python/ceval.c:3490
#79 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0xcaa760, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 343, in _run_code (code=<code at remote 0x7fffe978f110>, run_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module obje...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#80 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea827110>, globals={'__name__': 'runpy', '__doc__': 'runpy.py - locating and running Python code using the module namespace\n\nProvides support for locating and running Python scripts using the Python\nmodule namespace instead of the native filesystem.\n\nThis allows Python code to play nicely with non-filesystem based PEP 302\nimporters when locating support scripts as well as when importing modules.\n', '__package__': '', '__loader__': <SourceFileLoader(name='runpy', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py') at remote 0x7fffea82daa0>, '__spec__': <ModuleSpec(name='runpy', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/__pycache__/runpy.cpython-39.pyc', _initializing=False) at remote 0x7fffea82daf0>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', '__cached__': '/home/arciv...(truncated), locals=0x0, args=0xd51ab8, argcount=7, kwnames=0x0, kwargs=0xd51af0, kwcount=0, kwstep=1, defs=0x7fffea83b7d8, defcount=5, kwdefs=0x0, closure=0x0, name='_run_code', qualname='_run_code') at Python/ceval.c:4299
#81 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8394b0>, stack=0xd51ab8, nargsf=9223372036854775815, kwnames=0x0) at Objects/call.c:395
#82 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea8394b0>, args=0xd51ab8, nargsf=9223372036854775815, kwnames=0x0) at ./Include/cpython/abstract.h:118
#83 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea8394b0>, args=0xd51ab8, nargsf=9223372036854775815, kwnames=0x0) at ./Include/cpython/abstract.h:127
#84 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffe5728, oparg=7, kwnames=0x0) at Python/ceval.c:5044
#85 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0xd518f0, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 353, in _run_module_code (code=<code at remote 0x7fffe978f110>, init_globals=None, mod_name='__main__', mod_spec=None, pkg_name='', script_name='/tmp/IntegrationTestSupporthzc3tee0/build.py', fname='/tmp/IntegrationTestSupporthzc3tee0/build.py', temp_module=<_TempModule(mod_name='__main__', module=<module at remote 0x7fffe98c1dd0>, _saved_module=[<module at remote 0x7fffeab12ad0>]) at remote 0x7fffe9e9c820>, mod_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, or...(truncated), throwflag=0) at Python/ceval.c:3490
#86 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0xd518f0, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 353, in _run_module_code (code=<code at remote 0x7fffe978f110>, init_globals=None, mod_name='__main__', mod_spec=None, pkg_name='', script_name='/tmp/IntegrationTestSupporthzc3tee0/build.py', fname='/tmp/IntegrationTestSupporthzc3tee0/build.py', temp_module=<_TempModule(mod_name='__main__', module=<module at remote 0x7fffe98c1dd0>, _saved_module=[<module at remote 0x7fffeab12ad0>]) at remote 0x7fffe9e9c820>, mod_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': '/tmp/IntegrationTestSupporthzc3tee0/build.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c3e50>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c3e50>, or...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#87 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea827520>, globals={'__name__': 'runpy', '__doc__': 'runpy.py - locating and running Python code using the module namespace\n\nProvides support for locating and running Python scripts using the Python\nmodule namespace instead of the native filesystem.\n\nThis allows Python code to play nicely with non-filesystem based PEP 302\nimporters when locating support scripts as well as when importing modules.\n', '__package__': '', '__loader__': <SourceFileLoader(name='runpy', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py') at remote 0x7fffea82daa0>, '__spec__': <ModuleSpec(name='runpy', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/__pycache__/runpy.cpython-39.pyc', _initializing=False) at remote 0x7fffea82daf0>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', '__cached__': '/home/arciv...(truncated), locals=0x0, args=0xad25a0, argcount=3, kwnames=0x7fffea8de658, kwargs=0xad25b8, kwcount=2, kwstep=1, defs=0x7fffea83b848, defcount=5, kwdefs=0x0, closure=0x0, name='_run_module_code', qualname='_run_module_code') at Python/ceval.c:4299
#88 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea7afb90>, stack=0xad25a0, nargsf=9223372036854775811, kwnames=('pkg_name', 'script_name')) at Objects/call.c:395
#89 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea7afb90>, args=0xad25a0, nargsf=9223372036854775811, kwnames=('pkg_name', 'script_name')) at ./Include/cpython/abstract.h:118
#90 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea7afb90>, args=0xad25a0, nargsf=9223372036854775811, kwnames=('pkg_name', 'script_name')) at ./Include/cpython/abstract.h:127
#91 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffe6f38, oparg=5, kwnames=('pkg_name', 'script_name')) at Python/ceval.c:5044
#92 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0xad23d0, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 524, in run_path (path_name='/tmp/IntegrationTestSupporthzc3tee0/build.py', init_globals=None, run_name='__main__', pkg_name='', importer=None, is_NullImporter=False, code=<code at remote 0x7fffe978f110>, fname='/tmp/IntegrationTestSupporthzc3tee0/build.py'), throwflag=0) at Python/ceval.c:3507
#93 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0xad23d0, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 524, in run_path (path_name='/tmp/IntegrationTestSupporthzc3tee0/build.py', init_globals=None, run_name='__main__', pkg_name='', importer=None, is_NullImporter=False, code=<code at remote 0x7fffe978f110>, fname='/tmp/IntegrationTestSupporthzc3tee0/build.py'), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#94 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea82eba0>, globals={'__name__': 'runpy', '__doc__': 'runpy.py - locating and running Python code using the module namespace\n\nProvides support for locating and running Python scripts using the Python\nmodule namespace instead of the native filesystem.\n\nThis allows Python code to play nicely with non-filesystem based PEP 302\nimporters when locating support scripts as well as when importing modules.\n', '__package__': '', '__loader__': <SourceFileLoader(name='runpy', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py') at remote 0x7fffea82daa0>, '__spec__': <ModuleSpec(name='runpy', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/__pycache__/runpy.cpython-39.pyc', _initializing=False) at remote 0x7fffea82daf0>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', '__cached__': '/home/arciv...(truncated), locals=0x0, args=0xcfab28, argcount=1, kwnames=0x7fffeaab79c8, kwargs=0xcfab30, kwcount=1, kwstep=1, defs=0x7fffea8de5b8, defcount=2, kwdefs=0x0, closure=0x0, name='run_path', qualname='run_path') at Python/ceval.c:4299
#95 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea7aff50>, stack=0xcfab28, nargsf=9223372036854775809, kwnames=('run_name',)) at Objects/call.c:395
#96 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea7aff50>, args=0xcfab28, nargsf=9223372036854775809, kwnames=('run_name',)) at ./Include/cpython/abstract.h:118
#97 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea7aff50>, args=0xcfab28, nargsf=9223372036854775809, kwnames=('run_name',)) at ./Include/cpython/abstract.h:127
#98 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffe8758, oparg=2, kwnames=('run_name',)) at Python/ceval.c:5044
#99 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0xcfa980, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_itest_support.py, line 72, in smoke_test (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa...(truncated), throwflag=0) at Python/ceval.c:3507
#100 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0xcfa980, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_itest_support.py, line 72, in smoke_test (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#101 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea913110>, globals={'__name__': 'smoke_itest_support', '__doc__': None, '__package__': '', '__loader__': <SourceFileLoader(name='smoke_itest_support', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_itest_support.py') at remote 0x7fffea90ef50>, '__spec__': <ModuleSpec(name='smoke_itest_support', loader=<...>, origin='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_itest_support.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/__pycache__/smoke_itest_support.cpython-39.pyc', _initializing=False) at remote 0x7fffea91c280>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_itest_support.py', '__cached__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/__pycache__/smoke_itest_support.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in function...(truncated), locals=0x0, args=0xa04278, argcount=4, kwnames=0x0, kwargs=0xa04298, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name='smoke_test', qualname='SmokeIntegrationTestSupport.smoke_test') at Python/ceval.c:4299
#102 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea6ad730>, stack=0xa04278, nargsf=9223372036854775812, kwnames=0x0) at Objects/call.c:395
#103 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea6ad730>, args=0xa04278, nargsf=9223372036854775812, kwnames=0x0) at ./Include/cpython/abstract.h:118
#104 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea6ad730>, args=0xa04278, nargsf=9223372036854775812, kwnames=0x0) at ./Include/cpython/abstract.h:127
#105 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffe9f98, oparg=4, kwnames=0x0) at Python/ceval.c:5044
#106 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0xa04100, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py, line 30, in test_build_then_clean (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7f...(truncated), throwflag=0) at Python/ceval.c:3476
#107 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0xa04100, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py, line 30, in test_build_then_clean (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7f...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#108 0x0000000000431372 in function_code_fastcall (tstate=0x8b2210, co=0x7fffeaaa2d40, args=0x9d4010, nargs=1, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}) at Objects/call.c:329
#109 0x00000000004315c0 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea6ad910>, stack=0x9d4008, nargsf=1, kwnames=0x0) at Objects/call.c:366
#110 0x000000000063bd20 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea6ad910>, args=0x9d4008, nargsf=1, kwnames=0x0) at ./Include/cpython/abstract.h:118
#111 0x000000000063c0e6 in method_vectorcall (method=<method at remote 0x7fffea65f4d0>, args=0x9d4010, nargsf=9223372036854775808, kwnames=0x0) at Objects/classobject.c:53
#112 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<method at remote 0x7fffea65f4d0>, args=0x9d4010, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:118
#113 0x0000000000509a90 in PyObject_Vectorcall (callable=<method at remote 0x7fffea65f4d0>, args=0x9d4010, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:127
#114 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffeb748, oparg=0, kwnames=0x0) at Python/ceval.c:5044
#115 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x9d3e90, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py, line 550, in _callTestMethod (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDo...(truncated), throwflag=0) at Python/ceval.c:3490
#116 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x9d3e90, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py, line 550, in _callTestMethod (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDo...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#117 0x0000000000431372 in function_code_fastcall (tstate=0x8b2210, co=0x7fffea98fa00, args=0x9fb380, nargs=2, globals={'__name__': 'unittest.case', '__doc__': 'Test case implementation', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.case', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py') at remote 0x7fffea986190>, '__spec__': <ModuleSpec(name='unittest.case', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/case.cpython-39.pyc', _initializing=False) at remote 0x7fffea9861e0>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/case.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in...(truncated)) at Objects/call.c:329
#118 0x00000000004315c0 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8e6870>, stack=0x9fb370, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#119 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea8e6870>, args=0x9fb370, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#120 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea8e6870>, args=0x9fb370, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#121 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7ffffffece08, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#122 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x9fb190, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py, line 1617, in run (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cl...(truncated), throwflag=0) at Python/ceval.c:3476
#123 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x9fb190, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py, line 1617, in run (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cl...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#124 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea98fd40>, globals={'__name__': 'unittest.case', '__doc__': 'Test case implementation', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.case', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py') at remote 0x7fffea986190>, '__spec__': <ModuleSpec(name='unittest.case', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/case.cpython-39.pyc', _initializing=False) at remote 0x7fffea9861e0>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/case.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in...(truncated), locals=0x0, args=0x7ffffffee4f0, argcount=2, kwnames=0x0, kwargs=0x7ffffffee500, kwcount=0, kwstep=1, defs=0x7fffea99c428, defcount=1, kwdefs=0x0, closure=0x0, name='run', qualname='TestCase.run') at Python/ceval.c:4299
#125 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8e6a50>, stack=0x7ffffffee4f0, nargsf=2, kwnames=0x0) at Objects/call.c:395
#126 0x000000000063bd20 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea8e6a50>, args=0x7ffffffee4f0, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#127 0x000000000063c24f in method_vectorcall (method=<method at remote 0x7fffea65f2f0>, args=0x7fffea6b6568, nargsf=1, kwnames=0x0) at Objects/classobject.c:83
#128 0x0000000000430faa in PyVectorcall_Call (callable=<method at remote 0x7fffea65f2f0>, tuple=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs={}) at Objects/call.c:230
#129 0x0000000000431155 in _PyObject_Call (tstate=0x8b2210, callable=<method at remote 0x7fffea65f2f0>, args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs={}) at Objects/call.c:265
#130 0x000000000043123c in PyObject_Call (callable=<method at remote 0x7fffea65f2f0>, args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs={}) at Objects/call.c:292
#131 0x000000000051ef87 in do_call_core (tstate=0x8b2210, func=<method at remote 0x7fffea65f2f0>, callargs=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwdict={}) at Python/ceval.c:5092
#132 0x0000000000519c2c in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x7fffea662050, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py, line 653, in __call__ (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc...(truncated), throwflag=0) at Python/ceval.c:3552
#133 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x7fffea662050, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py, line 653, in __call__ (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#134 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea993040>, globals={'__name__': 'unittest.case', '__doc__': 'Test case implementation', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.case', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py') at remote 0x7fffea986190>, '__spec__': <ModuleSpec(name='unittest.case', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/case.cpython-39.pyc', _initializing=False) at remote 0x7fffea9861e0>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/case.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/case.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in...(truncated), locals=0x0, args=0x7ffffffefe80, argcount=2, kwnames=0x0, kwargs=0x7ffffffefe90, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name='__call__', qualname='TestCase.__call__') at Python/ceval.c:4299
#135 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8e6c30>, stack=0x7ffffffefe80, nargsf=2, kwnames=0x0) at Objects/call.c:395
#136 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea8e6c30>, args=0x7ffffffefe80, nargsf=2, kwargs=0x0) at Objects/call.c:118
#137 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0x8b2210, callable=<function at remote 0x7fffea8e6c30>, obj=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remote 0x85a060>: 'asser...(truncated), args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs=0x0) at Objects/call.c:488
#138 0x00000000004a243a in slot_tp_call (self=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remote 0x85a060>: 'asser...(truncated), args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwds=0x0) at Objects/typeobject.c:6687
#139 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0x8b2210, callable=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remote 0x85a060>: 'asser...(truncated), args=0x7fffea6619b8, nargs=1, keywords=0x0) at Objects/call.c:191
#140 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remote 0x85a060>: 'asser...(truncated), args=0x7fffea6619b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#141 0x0000000000509a90 in PyObject_Vectorcall (callable=<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remote 0x85a060>: 'asser...(truncated), args=0x7fffea6619b8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#142 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7fffffff0138, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#143 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x7fffea661810, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 378, in run (self=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>,...(truncated), throwflag=0) at Python/ceval.c:3490
#144 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x7fffea661810, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 378, in run (self=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>,...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#145 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea94f1e0>, globals={'__name__': 'unittest.suite', '__doc__': 'TestSuite', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.suite', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py') at remote 0x7fffea986be0>, '__spec__': <ModuleSpec(name='unittest.suite', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/suite.cpython-39.pyc', _initializing=False) at remote 0x7fffea922320>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/suite.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices...(truncated), locals=0x0, args=0x7fffffff1830, argcount=2, kwnames=0x0, kwargs=0x7fffffff1840, kwcount=0, kwstep=1, defs=0x7fffea8ed0b8, defcount=1, kwdefs=0x0, closure=0x0, name='run', qualname='TestSuite.run') at Python/ceval.c:4299
#146 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8ef410>, stack=0x7fffffff1830, nargsf=2, kwnames=0x0) at Objects/call.c:395
#147 0x000000000063bd20 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea8ef410>, args=0x7fffffff1830, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#148 0x000000000063c24f in method_vectorcall (method=<method at remote 0x7fffea65f230>, args=0x7fffea6af298, nargsf=1, kwnames=0x0) at Objects/classobject.c:83
#149 0x0000000000430faa in PyVectorcall_Call (callable=<method at remote 0x7fffea65f230>, tuple=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs={}) at Objects/call.c:230
#150 0x0000000000431155 in _PyObject_Call (tstate=0x8b2210, callable=<method at remote 0x7fffea65f230>, args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs={}) at Objects/call.c:265
#151 0x000000000043123c in PyObject_Call (callable=<method at remote 0x7fffea65f230>, args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs={}) at Objects/call.c:292
#152 0x000000000051ef87 in do_call_core (tstate=0x8b2210, func=<method at remote 0x7fffea65f230>, callargs=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwdict={}) at Python/ceval.c:5092
#153 0x0000000000519c2c in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x7fffea6a7b30, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 84, in __call__ (self=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65da...(truncated), throwflag=0) at Python/ceval.c:3552
#154 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x7fffea6a7b30, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 84, in __call__ (self=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65da...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#155 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea948930>, globals={'__name__': 'unittest.suite', '__doc__': 'TestSuite', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.suite', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py') at remote 0x7fffea986be0>, '__spec__': <ModuleSpec(name='unittest.suite', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/suite.cpython-39.pyc', _initializing=False) at remote 0x7fffea922320>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/suite.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices...(truncated), locals=0x0, args=0x7fffffff31c0, argcount=2, kwnames=0x0, kwargs=0x7fffffff31d0, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name='__call__', qualname='BaseTestSuite.__call__') at Python/ceval.c:4299
#156 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8ef2d0>, stack=0x7fffffff31c0, nargsf=2, kwnames=0x0) at Objects/call.c:395
#157 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea8ef2d0>, args=0x7fffffff31c0, nargsf=2, kwargs=0x0) at Objects/call.c:118
#158 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0x8b2210, callable=<function at remote 0x7fffea8ef2d0>, obj=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remot...(truncated), args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs=0x0) at Objects/call.c:488
#159 0x00000000004a243a in slot_tp_call (self=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remot...(truncated), args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwds=0x0) at Objects/typeobject.c:6687
#160 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0x8b2210, callable=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remot...(truncated), args=0x7fffea6617c8, nargs=1, keywords=0x0) at Objects/call.c:191
#161 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remot...(truncated), args=0x7fffea6617c8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#162 0x0000000000509a90 in PyObject_Vectorcall (callable=<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqual', <type at remot...(truncated), args=0x7fffea6617c8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#163 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7fffffff3478, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#164 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x7fffea661620, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 378, in run (self=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remo...(truncated), throwflag=0) at Python/ceval.c:3490
#165 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x7fffea661620, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 378, in run (self=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remo...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#166 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea94f1e0>, globals={'__name__': 'unittest.suite', '__doc__': 'TestSuite', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.suite', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py') at remote 0x7fffea986be0>, '__spec__': <ModuleSpec(name='unittest.suite', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/suite.cpython-39.pyc', _initializing=False) at remote 0x7fffea922320>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/suite.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices...(truncated), locals=0x0, args=0x7fffffff4b70, argcount=2, kwnames=0x0, kwargs=0x7fffffff4b80, kwcount=0, kwstep=1, defs=0x7fffea8ed0b8, defcount=1, kwdefs=0x0, closure=0x0, name='run', qualname='TestSuite.run') at Python/ceval.c:4299
#167 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8ef410>, stack=0x7fffffff4b70, nargsf=2, kwnames=0x0) at Objects/call.c:395
#168 0x000000000063bd20 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea8ef410>, args=0x7fffffff4b70, nargsf=2, kwnames=0x0) at ./Include/cpython/abstract.h:118
#169 0x000000000063c24f in method_vectorcall (method=<method at remote 0x7fffea65f170>, args=0x7fffea6a2d38, nargsf=1, kwnames=0x0) at Objects/classobject.c:83
#170 0x0000000000430faa in PyVectorcall_Call (callable=<method at remote 0x7fffea65f170>, tuple=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs={}) at Objects/call.c:230
#171 0x0000000000431155 in _PyObject_Call (tstate=0x8b2210, callable=<method at remote 0x7fffea65f170>, args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs={}) at Objects/call.c:265
#172 0x000000000043123c in PyObject_Call (callable=<method at remote 0x7fffea65f170>, args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs={}) at Objects/call.c:292
#173 0x000000000051ef87 in do_call_core (tstate=0x8b2210, func=<method at remote 0x7fffea65f170>, callargs=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwdict={}) at Python/ceval.c:5092
#174 0x0000000000519c2c in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x7fffea6a7960, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 84, in __call__ (self=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at ...(truncated), throwflag=0) at Python/ceval.c:3552
#175 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x7fffea6a7960, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py, line 84, in __call__ (self=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at ...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#176 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea948930>, globals={'__name__': 'unittest.suite', '__doc__': 'TestSuite', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.suite', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py') at remote 0x7fffea986be0>, '__spec__': <ModuleSpec(name='unittest.suite', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/suite.cpython-39.pyc', _initializing=False) at remote 0x7fffea922320>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/suite.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/suite.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices...(truncated), locals=0x0, args=0x7fffffff6500, argcount=2, kwnames=0x0, kwargs=0x7fffffff6510, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name='__call__', qualname='BaseTestSuite.__call__') at Python/ceval.c:4299
#177 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8ef2d0>, stack=0x7fffffff6500, nargsf=2, kwnames=0x0) at Objects/call.c:395
#178 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea8ef2d0>, args=0x7fffffff6500, nargsf=2, kwargs=0x0) at Objects/call.c:118
#179 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0x8b2210, callable=<function at remote 0x7fffea8ef2d0>, obj=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqu...(truncated), args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwargs=0x0) at Objects/call.c:488
#180 0x00000000004a243a in slot_tp_call (self=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqu...(truncated), args=(<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>,), kwds=0x0) at Objects/typeobject.c:6687
#181 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0x8b2210, callable=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqu...(truncated), args=0x9f3d88, nargs=1, keywords=0x0) at Objects/call.c:191
#182 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqu...(truncated), args=0x9f3d88, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:116
#183 0x0000000000509a90 in PyObject_Vectorcall (callable=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remote 0x9f0a60>) at remote 0x7fffea65d5a0>, result_supports_subtests=True, success=True, skipped=[], expectedFailure=None, errors=[(<...>, None)]) at remote 0x7fffea65daa0>, _testMethodDoc=None, _cleanups=[], _subtest=None, _type_equality_funcs={<type at remote 0x85b260>: 'assertDictEqu...(truncated), args=0x9f3d88, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#184 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7fffffff67b8, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#185 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x9f3b90, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/runner.py, line 432, in run (self=<TextTestRunner(stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, descriptions=True, verbosity=1, failfast=False, buffer=False, tb_locals=False, warnings=None) at remote 0x7fffea68ca50>, test=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<...>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remo...(truncated), throwflag=0) at Python/ceval.c:3490
#186 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x9f3b90, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/runner.py, line 432, in run (self=<TextTestRunner(stream=<_WritelnDecorator(stream=<_io.TextIOWrapper at remote 0x7fffeab116e0>) at remote 0x7fffea65d910>, descriptions=True, verbosity=1, failfast=False, buffer=False, tb_locals=False, warnings=None) at remote 0x7fffea68ca50>, test=<TestSuite(_tests=[<TestSuite(_tests=[<CleanSmokeTest(_testMethodName='test_build_then_clean', _outcome=<_Outcome(expecting_failure=False, result=<TextTestResult(failfast=False, failures=[], errors=[], testsRun=1, skipped=[], expectedFailures=[], unexpectedSuccesses=[], shouldStop=False, buffer=False, tb_locals=False, _stdout_buffer=None, _stderr_buffer=None, _original_stdout=<_io.TextIOWrapper at remote 0x7fffeab115f0>, _original_stderr=<_io.TextIOWrapper at remote 0x7fffeab116e0>, _mirrorOutput=False, stream=<...>, showAll=False, dots=True, descriptions=True, _testRunEntered=True, _moduleSetUpFailed=False, _previousTestClass=<type at remo...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#187 0x0000000000431372 in function_code_fastcall (tstate=0x8b2210, co=0x7fffea91be10, args=0x7fffea6611e0, nargs=2, globals={'__name__': 'unittest.runner', '__doc__': 'Running tests', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.runner', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/runner.py') at remote 0x7fffea915be0>, '__spec__': <ModuleSpec(name='unittest.runner', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/runner.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/runner.cpython-39.pyc', _initializing=False) at remote 0x7fffea915d20>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/runner.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/runner.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `.....(truncated)) at Objects/call.c:329
#188 0x00000000004315c0 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea838910>, stack=0x7fffea6611d0, nargsf=9223372036854775810, kwnames=0x0) at Objects/call.c:366
#189 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea838910>, args=0x7fffea6611d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#190 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea838910>, args=0x7fffea6611d0, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#191 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7fffffff7e78, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#192 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x7fffea661050, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py, line 783, in runTests (self=<TestProgram(module=<module at remote 0x7fffeab12ad0>, exit=True, failfast=False, catchbreak=False, verbosity=1, buffer=False, tb_locals=False, warnings=None, defaultTest=None, testRunner=<type at remote 0x9ab0e0>, testLoader=<TestLoader(errors=[], _loading_packages=set()) at remote 0x7fffea8fca00>, progName='smoke_clean_tests.py', testNamePatterns=[], _main_parser=<ArgumentParser(description=None, argument_default=None, prefix_chars='-', conflict_handler='error', _registries={'action': {None: <type at remote 0x99ab00>, 'store': <type at remote 0x99ab00>, 'store_const': <type at remote 0x99aee0>, 'store_true': <type at remote 0x99b2c0>, 'store_false': <type at remote 0x99b6a0>, 'append': <type at remote 0x99ba80>, 'append_const': <type at remote 0x99be60>, 'count': <type at remote 0x99c240>, 'help': <type at remote 0x99c620>, 'version': <type at remote 0x99ca00>, 'parsers': ...(truncated), throwflag=0) at Python/ceval.c:3476
#193 0x00000000004304c0 in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x7fffea661050, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py, line 783, in runTests (self=<TestProgram(module=<module at remote 0x7fffeab12ad0>, exit=True, failfast=False, catchbreak=False, verbosity=1, buffer=False, tb_locals=False, warnings=None, defaultTest=None, testRunner=<type at remote 0x9ab0e0>, testLoader=<TestLoader(errors=[], _loading_packages=set()) at remote 0x7fffea8fca00>, progName='smoke_clean_tests.py', testNamePatterns=[], _main_parser=<ArgumentParser(description=None, argument_default=None, prefix_chars='-', conflict_handler='error', _registries={'action': {None: <type at remote 0x99ab00>, 'store': <type at remote 0x99ab00>, 'store_const': <type at remote 0x99aee0>, 'store_true': <type at remote 0x99b2c0>, 'store_false': <type at remote 0x99b6a0>, 'append': <type at remote 0x99ba80>, 'append_const': <type at remote 0x99be60>, 'count': <type at remote 0x99c240>, 'help': <type at remote 0x99c620>, 'version': <type at remote 0x99ca00>, 'parsers': ...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#194 0x0000000000431372 in function_code_fastcall (tstate=0x8b2210, co=0x7fffea9031e0, args=0x9f1028, nargs=1, globals={'__name__': 'unittest.main', '__doc__': 'Unittest main program', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.main', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py') at remote 0x7fffea8fce10>, '__spec__': <ModuleSpec(name='unittest.main', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/main.cpython-39.pyc', _initializing=False) at remote 0x7fffea8fce60>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/main.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in sl...(truncated)) at Objects/call.c:329
#195 0x00000000004315c0 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea839230>, stack=0x9f1020, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:366
#196 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea839230>, args=0x9f1020, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#197 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea839230>, args=0x9f1020, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#198 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7fffffff9528, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#199 0x000000000051940d in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x9f0e40, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py, line 101, in __init__ (self=<TestProgram(module=<module at remote 0x7fffeab12ad0>, exit=True, failfast=False, catchbreak=False, verbosity=1, buffer=False, tb_locals=False, warnings=None, defaultTest=None, testRunner=<type at remote 0x9ab0e0>, testLoader=<TestLoader(errors=[], _loading_packages=set()) at remote 0x7fffea8fca00>, progName='smoke_clean_tests.py', testNamePatterns=[], _main_parser=<ArgumentParser(description=None, argument_default=None, prefix_chars='-', conflict_handler='error', _registries={'action': {None: <type at remote 0x99ab00>, 'store': <type at remote 0x99ab00>, 'store_const': <type at remote 0x99aee0>, 'store_true': <type at remote 0x99b2c0>, 'store_false': <type at remote 0x99b6a0>, 'append': <type at remote 0x99ba80>, 'append_const': <type at remote 0x99be60>, 'count': <type at remote 0x99c240>, 'help': <type at remote 0x99c620>, 'version': <type at remote 0x99ca00>, 'parsers': <type ...(truncated), throwflag=0) at Python/ceval.c:3476
#200 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x9f0e40, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py, line 101, in __init__ (self=<TestProgram(module=<module at remote 0x7fffeab12ad0>, exit=True, failfast=False, catchbreak=False, verbosity=1, buffer=False, tb_locals=False, warnings=None, defaultTest=None, testRunner=<type at remote 0x9ab0e0>, testLoader=<TestLoader(errors=[], _loading_packages=set()) at remote 0x7fffea8fca00>, progName='smoke_clean_tests.py', testNamePatterns=[], _main_parser=<ArgumentParser(description=None, argument_default=None, prefix_chars='-', conflict_handler='error', _registries={'action': {None: <type at remote 0x99ab00>, 'store': <type at remote 0x99ab00>, 'store_const': <type at remote 0x99aee0>, 'store_true': <type at remote 0x99b2c0>, 'store_false': <type at remote 0x99b6a0>, 'append': <type at remote 0x99ba80>, 'append_const': <type at remote 0x99be60>, 'count': <type at remote 0x99c240>, 'help': <type at remote 0x99c620>, 'version': <type at remote 0x99ca00>, 'parsers': <type ...(truncated), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#201 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffea8f9930>, globals={'__name__': 'unittest.main', '__doc__': 'Unittest main program', '__package__': 'unittest', '__loader__': <SourceFileLoader(name='unittest.main', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py') at remote 0x7fffea8fce10>, '__spec__': <ModuleSpec(name='unittest.main', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/main.cpython-39.pyc', _initializing=False) at remote 0x7fffea8fce60>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/main.py', '__cached__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/unittest/__pycache__/main.cpython-39.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in sl...(truncated), locals=0x0, args=0x7fffffffac30, argcount=1, kwnames=0x0, kwargs=0x7fffffffac38, kwcount=0, kwstep=1, defs=0x7fffea838b08, defcount=11, kwdefs={'tb_locals': False}, closure=0x0, name='__init__', qualname='TestProgram.__init__') at Python/ceval.c:4299
#202 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea838b90>, stack=0x7fffffffac30, nargsf=1, kwnames=0x0) at Objects/call.c:395
#203 0x0000000000430a8c in _PyObject_FastCallDictTstate (tstate=0x8b2210, callable=<function at remote 0x7fffea838b90>, args=0x7fffffffac30, nargsf=1, kwargs=0x0) at Objects/call.c:118
#204 0x0000000000431b83 in _PyObject_Call_Prepend (tstate=0x8b2210, callable=<function at remote 0x7fffea838b90>, obj=<TestProgram(module=<module at remote 0x7fffeab12ad0>, exit=True, failfast=False, catchbreak=False, verbosity=1, buffer=False, tb_locals=False, warnings=None, defaultTest=None, testRunner=<type at remote 0x9ab0e0>, testLoader=<TestLoader(errors=[], _loading_packages=set()) at remote 0x7fffea8fca00>, progName='smoke_clean_tests.py', testNamePatterns=[], _main_parser=<ArgumentParser(description=None, argument_default=None, prefix_chars='-', conflict_handler='error', _registries={'action': {None: <type at remote 0x99ab00>, 'store': <type at remote 0x99ab00>, 'store_const': <type at remote 0x99aee0>, 'store_true': <type at remote 0x99b2c0>, 'store_false': <type at remote 0x99b6a0>, 'append': <type at remote 0x99ba80>, 'append_const': <type at remote 0x99be60>, 'count': <type at remote 0x99c240>, 'help': <type at remote 0x99c620>, 'version': <type at remote 0x99ca00>, 'parsers': <type at remote 0x99d6c0>, 'extend': <type at remote 0x99daa0>}, 'type': {None: <function at remote 0x7fffea6580f0>}}, _actions=[<_HelpAc...(truncated), args=(), kwargs=0x0) at Objects/call.c:488
#205 0x00000000004a2aee in slot_tp_init (self=<TestProgram(module=<module at remote 0x7fffeab12ad0>, exit=True, failfast=False, catchbreak=False, verbosity=1, buffer=False, tb_locals=False, warnings=None, defaultTest=None, testRunner=<type at remote 0x9ab0e0>, testLoader=<TestLoader(errors=[], _loading_packages=set()) at remote 0x7fffea8fca00>, progName='smoke_clean_tests.py', testNamePatterns=[], _main_parser=<ArgumentParser(description=None, argument_default=None, prefix_chars='-', conflict_handler='error', _registries={'action': {None: <type at remote 0x99ab00>, 'store': <type at remote 0x99ab00>, 'store_const': <type at remote 0x99aee0>, 'store_true': <type at remote 0x99b2c0>, 'store_false': <type at remote 0x99b6a0>, 'append': <type at remote 0x99ba80>, 'append_const': <type at remote 0x99be60>, 'count': <type at remote 0x99c240>, 'help': <type at remote 0x99c620>, 'version': <type at remote 0x99ca00>, 'parsers': <type at remote 0x99d6c0>, 'extend': <type at remote 0x99daa0>}, 'type': {None: <function at remote 0x7fffea6580f0>}}, _actions=[<_HelpAc...(truncated), args=(), kwds=0x0) at Objects/typeobject.c:6927
#206 0x0000000000492464 in type_call (type=0x9abde0, args=(), kwds=0x0) at Objects/typeobject.c:1026
#207 0x0000000000430db7 in _PyObject_MakeTpCall (tstate=0x8b2210, callable=<type at remote 0x9abde0>, args=0x911748, nargs=0, keywords=0x0) at Objects/call.c:191
#208 0x0000000000509a15 in _PyObject_VectorcallTstate (tstate=0x8b2210, callable=<type at remote 0x9abde0>, args=0x911748, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:116
#209 0x0000000000509a90 in PyObject_Vectorcall (callable=<type at remote 0x9abde0>, args=0x911748, nargsf=9223372036854775808, kwnames=0x0) at ./Include/cpython/abstract.h:127
#210 0x000000000051ea52 in call_function (tstate=0x8b2210, pp_stack=0x7fffffffaf48, oparg=0, kwnames=0x0) at Python/ceval.c:5044
#211 0x00000000005193a1 in _PyEval_EvalFrameDefault (tstate=0x8b2210, f=Frame 0x9115d0, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py, line 34, in <module> (), throwflag=0) at Python/ceval.c:3459
#212 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b2210, f=Frame 0x9115d0, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py, line 34, in <module> (), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#213 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b2210, _co=<code at remote 0x7fffeaaa5860>, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4299
#214 0x000000000051d051 in _PyEval_EvalCodeWithName (_co=<code at remote 0x7fffeaaa5860>, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4331
#215 0x000000000051d0d9 in PyEval_EvalCodeEx (_co=<code at remote 0x7fffeaaa5860>, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#216 0x000000000050bbc0 in PyEval_EvalCode (co=<code at remote 0x7fffeaaa5860>, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}) at Python/ceval.c:809
#217 0x000000000056eaf9 in run_eval_code_obj (tstate=0x8b2210, co=0x7fffeaaa5860, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}) at Python/pythonrun.c:1178
#218 0x000000000056ebe2 in run_mod (mod=0x930df8, filename='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, flags=0x7fffffffc948, arena=0x7fffeaaa7a60) at Python/pythonrun.c:1199
#219 0x000000000056e971 in PyRun_FileExFlags (fp=0x8af110, filename_str=0x7fffeaaa81a0 "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", start=257, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py', '__cached__': None, 'unittest': <module at remote 0x7fffeaa92890>, 'SmokeIntegrationTestSupport': <type at remote 0x9f01f0>, 'CleanSmokeTest': <type at remote 0x9f0a60>}, closeit=1, flags=0x7fffffffc948) at Python/pythonrun.c:1116
#220 0x000000000056d447 in PyRun_SimpleFileExFlags (fp=0x8af110, filename=0x7fffeaaa81a0 "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", closeit=1, flags=0x7fffffffc948) at Python/pythonrun.c:438
#221 0x000000000056c958 in PyRun_AnyFileExFlags (fp=0x8af110, filename=0x7fffeaaa81a0 "/home/arcivanov/Documents/src/arcivanov/pybuilder/src/integrationtest/python/smoke_clean_tests.py", closeit=1, flags=0x7fffffffc948) at Python/pythonrun.c:87
#222 0x000000000041e6e8 in pymain_run_file (config=0x8b0990, cf=0x7fffffffc948) at Modules/main.c:369
#223 0x000000000041ecd8 in pymain_run_python (exitcode=0x7fffffffc98c) at Modules/main.c:594
#224 0x000000000041edc9 in Py_RunMain () at Modules/main.c:673
#225 0x000000000041ee43 in pymain_main (args=0x7fffffffc9f0) at Modules/main.c:703
#226 0x000000000041eebd in Py_BytesMain (argc=2, argv=0x7fffffffcb28) at Modules/main.c:727
#227 0x000000000041d786 in main (argc=2, argv=0x7fffffffcb28) at ./Programs/python.c:15
msg373345 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-08 20:44
> I'm reopening this as the original SEGV didn't go away in 3.9 beta 4. It looks like debug build caught an assertion and prevented the SEGV from triggering.

Right, the fix was merged after v3.9.0b4 was merged.

The fix will be part of the next 3.9 release ("3.9.0 beta 5: Monday, 2020-07-20"). Usually, issues are closed when fixes are merged, not when new versions including the fix are released.
msg373347 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-08 20:48
@vstinner, this is in the current 3.9 as of a0a6f1167834c87f12e2eca11dd77143103e7691 (11hrs ago). We didn't get the actual bug, we just got stopped by an assertion when python got built with debug.
msg373349 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-07-08 20:58
I checked manually that msg372859 example is fixed.

> @vstinner, this is in the current 3.9 as of a0a6f1167834c87f12e2eca11dd77143103e7691 (11hrs ago). We didn't get the actual bug, we just got stopped by an assertion when python got built with debug.

It sounds like a different bug. Can you provide a reproducer?
msg373351 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-08 21:02
I'm working on a short reproducer, but otherwise reproducer is exactly the same as described in https://bugs.python.org/issue41194#msg372854

The way I bumped into this is trying to confirm the fix in Beta 4 (which apparently didn't make it, as you mentioned).
msg373356 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-08 22:11
"Short" reproducer:


repro.py:

```
import sys
from os import getcwd, chdir
from runpy import run_path


def smoke_test(script, *args):
    old_argv = list(sys.argv)
    del sys.argv[:]
    sys.argv.append(script)
    sys.argv.extend(args)

    old_modules = dict(sys.modules)
    old_meta_path = list(sys.meta_path)
    old_cwd = getcwd()

    try:
        return run_path(script, run_name="__main__")
    except SystemExit as e:
        if e.code:
            print("Test did not exit successfully")
    finally:
        del sys.argv[:]
        sys.argv.extend(old_argv)

        sys.modules.clear()
        sys.modules.update(old_modules)

        del sys.meta_path[:]
        sys.meta_path.extend(old_meta_path)
        chdir(old_cwd)


smoke_test("script.py")

smoke_test("script.py")
```

script.py:

```
import sys
import subprocess    
import ast

_PYTHON_INFO_SCRIPT = """import platform, sys, os, sysconfig
_executable = os.path.normcase(os.path.abspath(getattr(sys, "_base_executable", sys.executable)))
_platform = sys.platform
if _platform == "linux2":
    _platform = "linux"
print({
    "_platform": _platform,
    "_os_name": os.name,
    "_executable": (_executable, ),
    "_exec_dir": os.path.normcase(os.path.abspath(os.path.dirname(_executable))),
    "_name": platform.python_implementation(),
    "_type": platform.python_implementation().lower(),
    "_version": tuple(sys.version_info),
    "_is_pypy": "__pypy__" in sys.builtin_module_names,
    "_is_64bit": (getattr(sys, "maxsize", None) or getattr(sys, "maxint")) > 2 ** 32,
    "_versioned_dir_name": "%s-%s" % (platform.python_implementation().lower(), ".".join(str(f) for f in sys.version_info)),
    "_environ": dict(os.environ),
    "_darwin_python_framework": sysconfig.get_config_var("PYTHONFRAMEWORK")
})
"""

result = subprocess.check_output([sys.executable, "-c", _PYTHON_INFO_SCRIPT], universal_newlines=True)
python_info = ast.literal_eval(result)
print(python_info)

```
msg373357 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-08 22:12
$ PYTHONWARNINGS=ignore gdb --args /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python ./repro.py 
GNU gdb (GDB) Fedora 9.1-5.fc32
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python...
(gdb) run
Starting program: /home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python ./repro.py
Missing separate debuginfos, use: dnf debuginfo-install glibc-2.31-2.fc32.x86_64
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[Detaching after fork from child process 185113]
{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/jdk', 'SSH_AUTH_SOCK': '/tmp/ssh-2nZCuLIsvvyW/agent.5125', 'SHELL_SESSION_ID': '1fe1a56ee9dd4fac8589a5eebfb3e6b0', 'DEV_HOME': '/home/arcivanov/devhome/current', 'MY_RUBY_HOME': '/home/arcivanov/.rvm/rubies/ruby-2.4.3', 'ANT_HOME': '/home/arcivanov/devhome/current/ant', 'XDM_MANAGED': 'method=classic', 'DESKTOP_SESSION': 'default', 'RBENV_SHELL': 'bash', 'SSH_AGENT_PID': '5854', 'GTK_RC_FILES': '/etc/gtk/gtkrc:/home/arcivanov/.gtkrc:/home/arcivanov/.config/gtkrc', 'GDK_CORE_DEVICE_EVENTS': '1', 'XCURSOR_SIZE': '32', 'RUBY_VERSION': 'ruby-2.4.3', 'XDG_SEAT': 'seat0', 'PWD': '/home/arcivanov/Documents/src/arcivanov/pybuilder', 'PYENV_VIRTUALENV_INIT': '1', 'LOGNAME': 'arcivanov', 'XDG_SESSION_TYPE': 'x11', 'MODULESHOME': '/usr/share/Modules', 'rvm_version': '1.29.10 (latest)', 'MANPATH': '/home/arcivanov/devhome/current/jdk/man:/home/arcivanov/devhome/current/postgres-xl/share/man:/home/arcivanov/devhome/current/haproxy/share/man:/home/arcivanov/devhome/current/jdk/man:/home/arcivanov/devhome/current/postgres-xl/share/man:/home/arcivanov/devhome/current/haproxy/share/man::', '_': '/usr/bin/gdb', 'XAUTHORITY': '/tmp/xauth-1000-_0', 'SDL_VIDEO_MINIMIZE_ON_FOCUS_LOSS': '0', 'WINDOWPATH': '1', 'LINES': '221', 'GTK2_RC_FILES': '/etc/gtk-2.0/gtkrc:/home/arcivanov/.gtkrc-2.0:/home/arcivanov/.gtkrc-2.0-kde4:/home/arcivanov/.config/gtkrc-2.0', 'HOME': '/home/arcivanov', 'SSH_ASKPASS': '/usr/bin/ksshaskpass', 'LANG': 'en_US.UTF-8', 'LS_COLORS': 'rs=0:di=38;5;33:ln=38;5;51:mh=00:pi=40;38;5;11:so=38;5;13:do=38;5;5:bd=48;5;232;38;5;11:cd=48;5;232;38;5;3:or=48;5;232;38;5;9:mi=01;37;41:su=48;5;196;38;5;15:sg=48;5;11;38;5;16:ca=48;5;196;38;5;226:tw=48;5;10;38;5;16:ow=48;5;10;38;5;21:st=48;5;21;38;5;15:ex=38;5;40:*.tar=38;5;9:*.tgz=38;5;9:*.arc=38;5;9:*.arj=38;5;9:*.taz=38;5;9:*.lha=38;5;9:*.lz4=38;5;9:*.lzh=38;5;9:*.lzma=38;5;9:*.tlz=38;5;9:*.txz=38;5;9:*.tzo=38;5;9:*.t7z=38;5;9:*.zip=38;5;9:*.z=38;5;9:*.dz=38;5;9:*.gz=38;5;9:*.lrz=38;5;9:*.lz=38;5;9:*.lzo=38;5;9:*.xz=38;5;9:*.zst=38;5;9:*.tzst=38;5;9:*.bz2=38;5;9:*.bz=38;5;9:*.tbz=38;5;9:*.tbz2=38;5;9:*.tz=38;5;9:*.deb=38;5;9:*.rpm=38;5;9:*.jar=38;5;9:*.war=38;5;9:*.ear=38;5;9:*.sar=38;5;9:*.rar=38;5;9:*.alz=38;5;9:*.ace=38;5;9:*.zoo=38;5;9:*.cpio=38;5;9:*.7z=38;5;9:*.rz=38;5;9:*.cab=38;5;9:*.wim=38;5;9:*.swm=38;5;9:*.dwm=38;5;9:*.esd=38;5;9:*.jpg=38;5;13:*.jpeg=38;5;13:*.mjpg=38;5;13:*.mjpeg=38;5;13:*.gif=38;5;13:*.bmp=38;5;13:*.pbm=38;5;13:*.pgm=38;5;13:*.ppm=38;5;13:*.tga=38;5;13:*.xbm=38;5;13:*.xpm=38;5;13:*.tif=38;5;13:*.tiff=38;5;13:*.png=38;5;13:*.svg=38;5;13:*.svgz=38;5;13:*.mng=38;5;13:*.pcx=38;5;13:*.mov=38;5;13:*.mpg=38;5;13:*.mpeg=38;5;13:*.m2v=38;5;13:*.mkv=38;5;13:*.webm=38;5;13:*.webp=38;5;13:*.ogm=38;5;13:*.mp4=38;5;13:*.m4v=38;5;13:*.mp4v=38;5;13:*.vob=38;5;13:*.qt=38;5;13:*.nuv=38;5;13:*.wmv=38;5;13:*.asf=38;5;13:*.rm=38;5;13:*.rmvb=38;5;13:*.flc=38;5;13:*.avi=38;5;13:*.fli=38;5;13:*.flv=38;5;13:*.gl=38;5;13:*.dl=38;5;13:*.xcf=38;5;13:*.xwd=38;5;13:*.yuv=38;5;13:*.cgm=38;5;13:*.emf=38;5;13:*.ogv=38;5;13:*.ogx=38;5;13:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:', 'XDG_CURRENT_DESKTOP': 'KDE', 'KONSOLE_DBUS_SERVICE': ':1.34', 'COLUMNS': '267', 'VIRTUAL_ENV': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/envs/pyb-3.9-dev-d', 'KONSOLE_DBUS_SESSION': '/Sessions/7', 'PROFILEHOME': '', 'M2_HOME': '/home/arcivanov/devhome/current/maven', 'KONSOLE_VERSION': '200401', 'STEAM_FRAME_FORCE_CLOSE': '1', 'KDE_SESSION_UID': '1000', 'rvm_bin_path': '/home/arcivanov/.rvm/bin', 'GEM_PATH': '/home/arcivanov/.rvm/gems/ruby-2.4.3:/home/arcivanov/.rvm/gems/ruby-2.4.3@global', 'GEM_HOME': '/home/arcivanov/.rvm/gems/ruby-2.4.3', 'MODULEPATH_modshare': '/usr/share/modulefiles:1:/usr/share/Modules/modulefiles:1:/etc/modulefiles:1', 'XDG_SESSION_CLASS': 'user', 'TERM': 'xterm-256color', 'LESSOPEN': '||/usr/bin/lesspipe.sh %s', 'USER': 'arcivanov', 'COLORFGBG': '15;0', 'MODULES_RUN_QUARANTINE': 'LD_LIBRARY_PATH', 'KDE_SESSION_VERSION': '5', 'PAM_KWALLET5_LOGIN': '/run/user/1000/kwallet5.socket', 'MAVEN_HOME': '/home/arcivanov/devhome/current/maven', 'LOADEDMODULES': '', 'DISPLAY': ':0', 'SHLVL': '1', 'XDG_VTNR': '1', 'XDG_SESSION_ID': '1', 'XDG_RUNTIME_DIR': '/run/user/1000', 'DM_CONTROL': '/var/run/xdmctl', 'PYENV_ROOT': '/home/arcivanov/.pyenv', 'KDEDIRS': '/usr', 'MAVEN_OPTS': '', 'QT_AUTO_SCREEN_SCALE_FACTOR': '0', 'XCURSOR_THEME': 'Adwaita', 'XDG_DATA_DIRS': '/home/arcivanov/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share:/usr/share', 'KDE_FULL_SESSION': 'true', 'PATH': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/envs/pyb-3.9-dev-d/bin:/home/arcivanov/.pyenv/plugins/pyenv-virtualenv/shims:/home/arcivanov/.pyenv/shims:/home/arcivanov/.pyenv/bin:/home/arcivanov/.rbenv/shims:/home/arcivanov/.rbenv/bin:/home/arcivanov/.rvm/gems/ruby-2.4.3/bin:/home/arcivanov/.rvm/gems/ruby-2.4.3@global/bin:/home/arcivanov/.rvm/rubies/ruby-2.4.3/bin:/home/arcivanov/devhome/current/jdk/bin:/home/arcivanov/devhome/current/ant/bin:/home/arcivanov/devhome/current/maven/bin:/home/arcivanov/.pyenv/plugins/pyenv-virtualenv/shims:/home/arcivanov/.pyenv/shims:/home/arcivanov/.pyenv/bin:/home/arcivanov/.rbenv/shims:/home/arcivanov/.rbenv/bin:/home/arcivanov/devhome/current/jdk/bin:/home/arcivanov/devhome/current/ant/bin:/home/arcivanov/devhome/current/maven/bin:/usr/share/Modules/bin:/usr/lib64/ccache:/home/arcivanov/.rvm/gems/ruby-2.4.3/bin:/home/arcivanov/.rvm/gems/ruby-2.4.3@global/bin:/home/arcivanov/.rvm/rubies/ruby-2.4.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/home/arcivanov/.rvm/bin:/usr/local/sbin:/usr/sbin', 'MODULEPATH': '/etc/scl/modulefiles:/etc/scl/modulefiles:/usr/share/Modules/modulefiles:/etc/modulefiles:/usr/share/modulefiles', 'DBUS_SESSION_BUS_ADDRESS': 'unix:path=/run/user/1000/bus', 'PYTHONWARNINGS': 'ignore', 'MAIL': '/var/spool/mail/arcivanov', 'IRBRC': '/home/arcivanov/.rvm/rubies/ruby-2.4.3/.irbrc', 'rvm_path': '/home/arcivanov/.rvm', 'OLDPWD': '/home/arcivanov/Documents/src', 'MODULES_CMD': '/usr/share/Modules/libexec/modulecmd.tcl', 'BASH_FUNC_switchml%%': '() {  typeset swfound=1;\n if [ "${MODULES_USE_COMPAT_VERSION:-0}" = \'1\' ]; then\n typeset swname=\'main\';\n if [ -e /usr/share/Modules/libexec/modulecmd.tcl ]; then\n typeset swfound=0;\n unset MODULES_USE_COMPAT_VERSION;\n fi;\n else\n typeset swname=\'compatibility\';\n if [ -e /usr/share/Modules/libexec/modulecmd-compat ]; then\n typeset swfound=0;\n MODULES_USE_COMPAT_VERSION=1;\n export MODULES_USE_COMPAT_VERSION;\n fi;\n fi;\n if [ $swfound -eq 0 ]; then\n echo "Switching to Modules $swname version";\n source /usr/share/Modules/init/bash;\n else\n echo "Cannot switch to Modules $swname version, command not found";\n return 1;\n fi\n}', 'BASH_FUNC_module%%': '() {  _module_raw "$@" 2>&1\n}', 'BASH_FUNC_scl%%': '() {  if [ "$1" = "load" -o "$1" = "unload" ]; then\n eval "module $@";\n else\n /usr/bin/scl "$@";\n fi\n}', 'BASH_FUNC__module_raw%%': '() {  unset _mlshdbg;\n if [ "${MODULES_SILENT_SHELL_DEBUG:-0}" = \'1\' ]; then\n case "$-" in \n *v*x*)\n set +vx;\n _mlshdbg=\'vx\'\n ;;\n *v*)\n set +v;\n _mlshdbg=\'v\'\n ;;\n *x*)\n set +x;\n _mlshdbg=\'x\'\n ;;\n *)\n _mlshdbg=\'\'\n ;;\n esac;\n fi;\n unset _mlre _mlIFS;\n if [ -n "${IFS+x}" ]; then\n _mlIFS=$IFS;\n fi;\n IFS=\' \';\n for _mlv in ${MODULES_RUN_QUARANTINE:-};\n do\n if [ "${_mlv}" = "${_mlv##*[!A-Za-z0-9_]}" -a "${_mlv}" = "${_mlv#[0-9]}" ]; then\n if [ -n "`eval \'echo ${\'$_mlv\'+x}\'`" ]; then\n _mlre="${_mlre:-}${_mlv}_modquar=\'`eval \'echo ${\'$_mlv\'}\'`\' ";\n fi;\n _mlrv="MODULES_RUNENV_${_mlv}";\n _mlre="${_mlre:-}${_mlv}=\'`eval \'echo ${\'$_mlrv\':-}\'`\' ";\n fi;\n done;\n if [ -n "${_mlre:-}" ]; then\n eval `eval ${_mlre}/usr/bin/tclsh /usr/share/Modules/libexec/modulecmd.tcl bash \'"$@"\'`;\n else\n eval `/usr/bin/tclsh /usr/share/Modules/libexec/modulecmd.tcl bash "$@"`;\n fi;\n _mlstatus=$?;\n if [ -n "${_mlIFS+x}" ]; then\n IFS=$_mlIFS;\n else\n unset IFS;\n fi;\n unset _mlre _mlv _mlrv _mlIFS;\n if [ -n "${_mlshdbg:-}" ]; then\n set -$_mlshdbg;\n fi;\n unset _mlshdbg;\n return $_mlstatus\n}'}, '_darwin_python_framework': ''}
[Detaching after fork from child process 185114]

Program received signal SIGSEGV, Segmentation fault.
0x0000000000623339 in _Py_IS_TYPE (ob=0x0, type=0x8609e0 <PyType_Type>) at ./Include/object.h:128
128         return ob->ob_type == type;
Missing separate debuginfos, use: dnf debuginfo-install libxcrypt-4.4.16-3.fc32.x86_64
(gdb) 
(gdb) bt
#0  0x0000000000623339 in _Py_IS_TYPE (ob=0x0, type=0x8609e0 <PyType_Type>) at ./Include/object.h:128
#1  0x0000000000623487 in _PyType_CheckExact (op=0x0) at ./Include/object.h:641
#2  0x0000000000628d85 in object_recursive_isinstance (tstate=0x8b19a0, 
    inst="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/jdk', 'SSH_AUTH_SOCK': '/tmp/ssh-2nZCuLIsvvyW/agent.5125', 'SHELL_SESSION_ID': '1fe1a56ee9dd4fac85", cls=0x0) at Objects/abstract.c:2495
#3  0x0000000000628fdc in PyObject_IsInstance (
    inst="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/jdk', 'SSH_AUTH_SOCK': '/tmp/ssh-2nZCuLIsvvyW/agent.5125', 'SHELL_SESSION_ID': '1fe1a56ee9dd4fac85", cls=0x0) at Objects/abstract.c:2551
#4  0x0000000000682420 in PyAST_Check (
    obj="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/jdk', 'SSH_AUTH_SOCK': '/tmp/ssh-2nZCuLIsvvyW/agent.5125', 'SHELL_SESSION_ID': '1fe1a56ee9dd4fac85") at Python/Python-ast.c:10356
#5  0x000000000069c754 in builtin_compile_impl (module=<module at remote 0x7fffeabc3a10>, 
    source="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/jdk', 'SSH_AUTH_SOCK': '/tmp/ssh-2nZCuLIsvvyW/agent.5125', 'SHELL_SESSION_ID': '1fe1a56ee9dd4fac85", filename='<unknown>', mode=0x7fffeabc42f0 "eval", 
    flags=1024, dont_inherit=0, optimize=-1, feature_version=-1) at Python/bltinmodule.c:784
#6  0x000000000069aa72 in builtin_compile (module=<module at remote 0x7fffeabc3a10>, args=0x7fffffff02b0, nargs=4, kwnames=('_feature_version',)) at Python/clinic/bltinmodule.c.h:274
#7  0x0000000000655297 in cfunction_vectorcall_FASTCALL_KEYWORDS (func=<built-in method compile of module object at remote 0x7fffeabc3a10>, args=0x9c8a00, nargsf=9223372036854775812, kwnames=('_feature_version',)) at Objects/methodobject.c:440
#8  0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b19a0, callable=<built-in method compile of module object at remote 0x7fffeabc3a10>, args=0x9c8a00, nargsf=9223372036854775812, kwnames=('_feature_version',)) at ./Include/cpython/abstract.h:118
#9  0x0000000000509a90 in PyObject_Vectorcall (callable=<built-in method compile of module object at remote 0x7fffeabc3a10>, args=0x9c8a00, nargsf=9223372036854775812, kwnames=('_feature_version',)) at ./Include/cpython/abstract.h:127
#10 0x000000000051ea52 in call_function (tstate=0x8b19a0, pp_stack=0x7fffffff0518, oparg=5, kwnames=('_feature_version',)) at Python/ceval.c:5044
#11 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0x8b19a0, 
    f=Frame 0x9c8850, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 306, in parse (source="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/j...(truncated), throwflag=0)
    at Python/ceval.c:3507
#12 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b19a0, 
    f=Frame 0x9c8850, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 306, in parse (source="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/j...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#13 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b19a0, _co=<code at remote 0x7fffea863ee0>, 
    globals={'__name__': 'ast', '__doc__': '\n    ast\n    ~~~\n\n    The `ast` module helps Python applications to process trees of the Python\n    abstract syntax grammar.  The abstract syntax itself might change with\n    each Python release; this module helps to find out programmatically what\n    the current grammar looks like and allows modifications of it.\n\n    An abstract syntax tree can be generated by passing `ast.PyCF_ONLY_AST` as\n    a flag to the `compile()` builtin function or by using the `parse()`\n    function from this module.  The result will be a tree of objects whose\n    classes all inherit from `ast.AST`.\n\n    A modified abstract syntax tree can be compiled into a Python code object\n    using the built-in `compile()` function.\n\n    Additionally various helper functions are provided that make working with\n    the trees simpler.  The main intention of the helper functions and this\n    module in general is to provide an easy to use interface for libraries\n    that work tightly with the pyth...(truncated), locals=0x0, 
    args=0x7fffea8161e8, argcount=1, kwnames=0x7fffea7fc3d8, kwargs=0x7fffea8161f0, kwcount=1, kwstep=1, defs=0x7fffea8ab978, defcount=2, kwdefs={'type_comments': False, 'feature_version': None}, closure=0x0, name='parse', qualname='parse') at Python/ceval.c:4299
#14 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea7cc410>, stack=0x7fffea8161e8, nargsf=9223372036854775809, kwnames=('mode',)) at Objects/call.c:395
#15 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b19a0, callable=<function at remote 0x7fffea7cc410>, args=0x7fffea8161e8, nargsf=9223372036854775809, kwnames=('mode',)) at ./Include/cpython/abstract.h:118
#16 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea7cc410>, args=0x7fffea8161e8, nargsf=9223372036854775809, kwnames=('mode',)) at ./Include/cpython/abstract.h:127
#17 0x000000000051ea52 in call_function (tstate=0x8b19a0, pp_stack=0x7fffffff1d38, oparg=2, kwnames=('mode',)) at Python/ceval.c:5044
#18 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0x8b19a0, 
    f=Frame 0x7fffea816050, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 62, in literal_eval (node_or_string="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivan...(truncated), throwflag=0)
    at Python/ceval.c:3507
#19 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b19a0, 
    f=Frame 0x7fffea816050, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 62, in literal_eval (node_or_string="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivan...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#20 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b19a0, _co=<code at remote 0x7fffea876930>, 
    globals={'__name__': 'ast', '__doc__': '\n    ast\n    ~~~\n\n    The `ast` module helps Python applications to process trees of the Python\n    abstract syntax grammar.  The abstract syntax itself might change with\n    each Python release; this module helps to find out programmatically what\n    the current grammar looks like and allows modifications of it.\n\n    An abstract syntax tree can be generated by passing `ast.PyCF_ONLY_AST` as\n    a flag to the `compile()` builtin function or by using the `parse()`\n    function from this module.  The result will be a tree of objects whose\n    classes all inherit from `ast.AST`.\n\n    A modified abstract syntax tree can be compiled into a Python code object\n    using the built-in `compile()` function.\n\n    Additionally various helper functions are provided that make working with\n    the trees simpler.  The main intention of the helper functions and this\n    module in general is to provide an easy to use interface for libraries\n    that work tightly with the pyth...(truncated), locals=0x0, 
    args=0x7fffea9321c8, argcount=1, kwnames=0x0, kwargs=0x7fffea9321d0, kwcount=0, kwstep=1, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name='literal_eval', qualname='literal_eval') at Python/ceval.c:4299
#21 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea7f7e10>, stack=0x7fffea9321c8, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:395
#22 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b19a0, callable=<function at remote 0x7fffea7f7e10>, args=0x7fffea9321c8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#23 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea7f7e10>, args=0x7fffea9321c8, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#24 0x000000000051ea52 in call_function (tstate=0x8b19a0, pp_stack=0x7fffffff3578, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#25 0x00000000005193a1 in _PyEval_EvalFrameDefault (tstate=0x8b19a0, f=Frame 0x7fffea932050, for file script.py, line 27, in <module> (), throwflag=0) at Python/ceval.c:3459
#26 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b19a0, f=Frame 0x7fffea932050, for file script.py, line 27, in <module> (), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#27 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b19a0, _co=<code at remote 0x7fffeaab9450>, 
    globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated), 
    locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated), args=0x0, 
    argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4299
#28 0x000000000051d051 in _PyEval_EvalCodeWithName (_co=<code at remote 0x7fffeaab9450>, 
    globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated), 
    locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated), args=0x0, 
    argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4331
#29 0x000000000051d0d9 in PyEval_EvalCodeEx (_co=<code at remote 0x7fffeaab9450>, 
    globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated), 
    locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated), args=0x0, 
    argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#30 0x000000000050bbc0 in PyEval_EvalCode (co=<code at remote 0x7fffeaab9450>, 
    globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated), 
    locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated))
    at Python/ceval.c:809
#31 0x000000000069ce37 in builtin_exec_impl (module=<module at remote 0x7fffeabc3a10>, source=<code at remote 0x7fffeaab9450>, 
    globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated), 
    locals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all': <built-in method all of module object at remote 0x7fffeabc3a10>, 'any': <built-in method any of module object at remote 0x7fffeabc3a10>, 'ascii': <built-in method asci...(truncated))
    at Python/bltinmodule.c:1035
#32 0x000000000069ac76 in builtin_exec (module=<module at remote 0x7fffeabc3a10>, args=0x9b3e60, nargs=2) at Python/clinic/bltinmodule.c.h:396
#33 0x00000000006551f4 in cfunction_vectorcall_FASTCALL (func=<built-in method exec of module object at remote 0x7fffeabc3a10>, args=0x9b3e60, nargsf=9223372036854775810, kwnames=0x0) at Objects/methodobject.c:424
#34 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b19a0, callable=<built-in method exec of module object at remote 0x7fffeabc3a10>, args=0x9b3e60, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:118
#35 0x0000000000509a90 in PyObject_Vectorcall (callable=<built-in method exec of module object at remote 0x7fffeabc3a10>, args=0x9b3e60, nargsf=9223372036854775810, kwnames=0x0) at ./Include/cpython/abstract.h:127
#36 0x000000000051ea52 in call_function (tstate=0x8b19a0, pp_stack=0x7fffffff4f18, oparg=2, kwnames=0x0) at Python/ceval.c:5044
#37 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b19a0, 
    f=Frame 0x9b3ca0, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 343, in _run_code (code=<code at remote 0x7fffeaab9450>, run_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all'...(truncated), throwflag=0)
    at Python/ceval.c:3490
#38 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b19a0, 
    f=Frame 0x9b3ca0, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 343, in _run_code (code=<code at remote 0x7fffeaab9450>, run_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all'...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#39 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b19a0, _co=<code at remote 0x7fffeaab9790>, 
    globals={'__name__': 'runpy', '__doc__': 'runpy.py - locating and running Python code using the module namespace\n\nProvides support for locating and running Python scripts using the Python\nmodule namespace instead of the native filesystem.\n\nThis allows Python code to play nicely with non-filesystem based PEP 302\nimporters when locating support scripts as well as when importing modules.\n', '__package__': '', '__loader__': <SourceFileLoader(name='runpy', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py') at remote 0x7fffeaa980a0>, '__spec__': <ModuleSpec(name='runpy', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/__pycache__/runpy.cpython-39.pyc', _initializing=False) at remote 0x7fffeaa980f0>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', '__cached__': '/home/arciv...(truncated), locals=0x0, 
    args=0x9b3c18, argcount=7, kwnames=0x0, kwargs=0x9b3c50, kwcount=0, kwstep=1, defs=0x7fffeaaaaed8, defcount=5, kwdefs=0x0, closure=0x0, name='_run_code', qualname='_run_code') at Python/ceval.c:4299
#40 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffeab9bd70>, stack=0x9b3c18, nargsf=9223372036854775815, kwnames=0x0) at Objects/call.c:395
#41 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b19a0, callable=<function at remote 0x7fffeab9bd70>, args=0x9b3c18, nargsf=9223372036854775815, kwnames=0x0) at ./Include/cpython/abstract.h:118
#42 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffeab9bd70>, args=0x9b3c18, nargsf=9223372036854775815, kwnames=0x0) at ./Include/cpython/abstract.h:127
#43 0x000000000051ea52 in call_function (tstate=0x8b19a0, pp_stack=0x7fffffff6738, oparg=7, kwnames=0x0) at Python/ceval.c:5044
#44 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b19a0, 
    f=Frame 0x9b3a50, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 353, in _run_module_code (code=<code at remote 0x7fffeaab9450>, init_globals=None, mod_name='__main__', mod_spec=None, pkg_name='', script_name='script.py', fname='script.py', temp_module=<_TempModule(mod_name='__main__', module=<module at remote 0x7fffea7f4f50>, _saved_module=[<module at remote 0x7fffeab12b90>]) at remote 0x7fffea917aa0>, mod_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) a...(truncated), throwflag=0)
    at Python/ceval.c:3490
#45 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b19a0, 
    f=Frame 0x9b3a50, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 353, in _run_module_code (code=<code at remote 0x7fffeaab9450>, init_globals=None, mod_name='__main__', mod_spec=None, pkg_name='', script_name='script.py', fname='script.py', temp_module=<_TempModule(mod_name='__main__', module=<module at remote 0x7fffea7f4f50>, _saved_module=[<module at remote 0x7fffeab12b90>]) at remote 0x7fffea917aa0>, mod_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) a...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#46 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b19a0, _co=<code at remote 0x7fffeaab9860>, 
    globals={'__name__': 'runpy', '__doc__': 'runpy.py - locating and running Python code using the module namespace\n\nProvides support for locating and running Python scripts using the Python\nmodule namespace instead of the native filesystem.\n\nThis allows Python code to play nicely with non-filesystem based PEP 302\nimporters when locating support scripts as well as when importing modules.\n', '__package__': '', '__loader__': <SourceFileLoader(name='runpy', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py') at remote 0x7fffeaa980a0>, '__spec__': <ModuleSpec(name='runpy', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/__pycache__/runpy.cpython-39.pyc', _initializing=False) at remote 0x7fffeaa980f0>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', '__cached__': '/home/arciv...(truncated), locals=0x0, 
    args=0x994310, argcount=3, kwnames=0x7fffeaa98568, kwargs=0x994328, kwcount=2, kwstep=1, defs=0x7fffeaab6928, defcount=5, kwdefs=0x0, closure=0x0, name='_run_module_code', qualname='_run_module_code') at Python/ceval.c:4299
#47 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8e7af0>, stack=0x994310, nargsf=9223372036854775811, kwnames=('pkg_name', 'script_name')) at Objects/call.c:395
#48 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b19a0, callable=<function at remote 0x7fffea8e7af0>, args=0x994310, nargsf=9223372036854775811, kwnames=('pkg_name', 'script_name')) at ./Include/cpython/abstract.h:118
#49 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea8e7af0>, args=0x994310, nargsf=9223372036854775811, kwnames=('pkg_name', 'script_name')) at ./Include/cpython/abstract.h:127
#50 0x000000000051ea52 in call_function (tstate=0x8b19a0, pp_stack=0x7fffffff7f48, oparg=5, kwnames=('pkg_name', 'script_name')) at Python/ceval.c:5044
#51 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0x8b19a0, 
    f=Frame 0x994140, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 524, in run_path (path_name='script.py', init_globals=None, run_name='__main__', pkg_name='', importer=None, is_NullImporter=False, code=<code at remote 0x7fffeaab9450>, fname='script.py'), throwflag=0) at Python/ceval.c:3507
#52 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b19a0, 
    f=Frame 0x994140, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 524, in run_path (path_name='script.py', init_globals=None, run_name='__main__', pkg_name='', importer=None, is_NullImporter=False, code=<code at remote 0x7fffeaab9450>, fname='script.py'), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#53 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b19a0, _co=<code at remote 0x7fffeaa9c040>, 
    globals={'__name__': 'runpy', '__doc__': 'runpy.py - locating and running Python code using the module namespace\n\nProvides support for locating and running Python scripts using the Python\nmodule namespace instead of the native filesystem.\n\nThis allows Python code to play nicely with non-filesystem based PEP 302\nimporters when locating support scripts as well as when importing modules.\n', '__package__': '', '__loader__': <SourceFileLoader(name='runpy', path='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py') at remote 0x7fffeaa980a0>, '__spec__': <ModuleSpec(name='runpy', loader=<...>, origin='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/__pycache__/runpy.cpython-39.pyc', _initializing=False) at remote 0x7fffeaa980f0>, '__file__': '/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py', '__cached__': '/home/arciv...(truncated), locals=0x0, 
    args=0x969508, argcount=1, kwnames=0x7fffeabcd478, kwargs=0x969510, kwcount=1, kwstep=1, defs=0x7fffeaa98608, defcount=2, kwdefs=0x0, closure=0x0, name='run_path', qualname='run_path') at Python/ceval.c:4299
#54 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffea8e7eb0>, stack=0x969508, nargsf=9223372036854775809, kwnames=('run_name',)) at Objects/call.c:395
#55 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b19a0, callable=<function at remote 0x7fffea8e7eb0>, args=0x969508, nargsf=9223372036854775809, kwnames=('run_name',)) at ./Include/cpython/abstract.h:118
#56 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffea8e7eb0>, args=0x969508, nargsf=9223372036854775809, kwnames=('run_name',)) at ./Include/cpython/abstract.h:127
#57 0x000000000051ea52 in call_function (tstate=0x8b19a0, pp_stack=0x7fffffff9768, oparg=2, kwnames=('run_name',)) at Python/ceval.c:5044
#58 0x00000000005197ff in _PyEval_EvalFrameDefault (tstate=0x8b19a0, 
    f=Frame 0x969360, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py, line 17, in smoke_test (script='script.py', args=(), old_argv=['./repro.py'], old_modules={'sys': <module at remote 0x7fffeabba2f0>, 'builtins': <module at remote 0x7fffeabc3a10>, '_frozen_importlib': <module at remote 0x7fffeab60a70>, '_imp': <module at remote 0x7fffeab60a10>, '_thread': <module at remote 0x7fffeab6e3b0>, '_warnings': <module at remote 0x7fffeab6ef50>, '_weakref': <module at remote 0x7fffeab6f350>, '_frozen_importlib_external': <module at remote 0x7fffeab6fcb0>, 'posix': <module at remote 0x7fffeab6fb30>, '_io': <module at remote 0x7fffeab33290>, 'marshal': <module at remote 0x7fffeab3bdd0>, 'time': <module at remote 0x7fffeab47290>, 'zipimport': <module at remote 0x7fffeab3d350>, '_codecs': <module at remote 0x7fffeaaeaa10>, 'codecs': <module at remote 0x7fffeab57710>, 'encodings.aliases': <module at remote 0x7fffeaaea5f0>, 'encodings': <module at remote 0x7fffeab4d830>, 'encodings.utf_8': <module at remo...(truncated), throwflag=0)
    at Python/ceval.c:3507
#59 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b19a0, 
    f=Frame 0x969360, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py, line 17, in smoke_test (script='script.py', args=(), old_argv=['./repro.py'], old_modules={'sys': <module at remote 0x7fffeabba2f0>, 'builtins': <module at remote 0x7fffeabc3a10>, '_frozen_importlib': <module at remote 0x7fffeab60a70>, '_imp': <module at remote 0x7fffeab60a10>, '_thread': <module at remote 0x7fffeab6e3b0>, '_warnings': <module at remote 0x7fffeab6ef50>, '_weakref': <module at remote 0x7fffeab6f350>, '_frozen_importlib_external': <module at remote 0x7fffeab6fcb0>, 'posix': <module at remote 0x7fffeab6fb30>, '_io': <module at remote 0x7fffeab33290>, 'marshal': <module at remote 0x7fffeab3bdd0>, 'time': <module at remote 0x7fffeab47290>, 'zipimport': <module at remote 0x7fffeab3d350>, '_codecs': <module at remote 0x7fffeaaeaa10>, 'codecs': <module at remote 0x7fffeab57710>, 'encodings.aliases': <module at remote 0x7fffeaaea5f0>, 'encodings': <module at remote 0x7fffeab4d830>, 'encodings.utf_8': <module at remo...(truncated), throwflag=0)
    at ./Include/internal/pycore_ceval.h:40
#60 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b19a0, _co=<code at remote 0x7fffeaaa2a00>, 
    globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, locals=0x0, args=0x910810, argcount=1, kwnames=0x0, kwargs=0x910818, kwcount=0, kwstep=1, 
    defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name='smoke_test', qualname='smoke_test') at Python/ceval.c:4299
#61 0x0000000000431853 in _PyFunction_Vectorcall (func=<function at remote 0x7fffeaaa8190>, stack=0x910810, nargsf=9223372036854775809, kwnames=0x0) at Objects/call.c:395
#62 0x0000000000509a31 in _PyObject_VectorcallTstate (tstate=0x8b19a0, callable=<function at remote 0x7fffeaaa8190>, args=0x910810, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:118
#63 0x0000000000509a90 in PyObject_Vectorcall (callable=<function at remote 0x7fffeaaa8190>, args=0x910810, nargsf=9223372036854775809, kwnames=0x0) at ./Include/cpython/abstract.h:127
#64 0x000000000051ea52 in call_function (tstate=0x8b19a0, pp_stack=0x7fffffffaf98, oparg=1, kwnames=0x0) at Python/ceval.c:5044
#65 0x0000000000519598 in _PyEval_EvalFrameDefault (tstate=0x8b19a0, f=Frame 0x9106a0, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py, line 35, in <module> (), throwflag=0) at Python/ceval.c:3490
#66 0x0000000000509cde in _PyEval_EvalFrame (tstate=0x8b19a0, f=Frame 0x9106a0, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py, line 35, in <module> (), throwflag=0) at ./Include/internal/pycore_ceval.h:40
#67 0x000000000051cf4e in _PyEval_EvalCode (tstate=0x8b19a0, _co=<code at remote 0x7fffeaaa2d40>, 
    globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, 
    locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, 
    kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4299
--Type <RET> for more, q to quit, c to continue without paging--c
#68 0x000000000051d051 in _PyEval_EvalCodeWithName (_co=<code at remote 0x7fffeaaa2d40>, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, args=0x0, argcount=0, kwnames=0x0, kwargs=0x0, kwcount=0, kwstep=2, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0, name=0x0, qualname=0x0) at Python/ceval.c:4331
#69 0x000000000051d0d9 in PyEval_EvalCodeEx (_co=<code at remote 0x7fffeaaa2d40>, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, kwdefs=0x0, closure=0x0) at Python/ceval.c:4347
#70 0x000000000050bbc0 in PyEval_EvalCode (co=<code at remote 0x7fffeaaa2d40>, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}) at Python/ceval.c:809
#71 0x000000000056eaf9 in run_eval_code_obj (tstate=0x8b19a0, co=0x7fffeaaa2d40, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}) at Python/pythonrun.c:1178
#72 0x000000000056ebe2 in run_mod (mod=0x93a0d8, filename='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, flags=0x7fffffffc9a8, arena=0x7fffeaaa7b20) at Python/pythonrun.c:1199
#73 0x000000000056e971 in PyRun_FileExFlags (fp=0x8aebf0, filename_str=0x7fffeaa837e0 "/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py", start=257, globals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, locals={'__name__': '__main__', '__doc__': None, '__package__': None, '__loader__': <SourceFileLoader(name='__main__', path='/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py') at remote 0x7fffeab0abe0>, '__spec__': None, '__annotations__': {}, '__builtins__': <module at remote 0x7fffeabc3a10>, '__file__': '/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py', '__cached__': None, 'sys': <module at remote 0x7fffeabba2f0>, 'getcwd': <built-in method getcwd of module object at remote 0x7fffeab6fb30>, 'chdir': <built-in method chdir of module object at remote 0x7fffeab6fb30>, 'run_path': <function at remote 0x7fffea8e7eb0>, 'smoke_test': <function at remote 0x7fffeaaa8190>}, closeit=1, flags=0x7fffffffc9a8) at Python/pythonrun.c:1116
#74 0x000000000056d447 in PyRun_SimpleFileExFlags (fp=0x8aebf0, filename=0x7fffeaa837e0 "/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py", closeit=1, flags=0x7fffffffc9a8) at Python/pythonrun.c:438
#75 0x000000000056c958 in PyRun_AnyFileExFlags (fp=0x8aebf0, filename=0x7fffeaa837e0 "/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py", closeit=1, flags=0x7fffffffc9a8) at Python/pythonrun.c:87
#76 0x000000000041e6e8 in pymain_run_file (config=0x8b0470, cf=0x7fffffffc9a8) at Modules/main.c:369
#77 0x000000000041ecd8 in pymain_run_python (exitcode=0x7fffffffc9ec) at Modules/main.c:594
#78 0x000000000041edc9 in Py_RunMain () at Modules/main.c:673
#79 0x000000000041ee43 in pymain_main (args=0x7fffffffca50) at Modules/main.c:703
#80 0x000000000041eebd in Py_BytesMain (argc=2, argv=0x7fffffffcb88) at Modules/main.c:727
#81 0x000000000041d786 in main (argc=2, argv=0x7fffffffcb88) at ./Programs/python.c:15
(gdb) py
py-bt               py-down             py-locals           py-up               pyframev            pylocals            pystack             python              
py-bt-full          py-list             py-print            pyframe             pyg                 pyo                 pystackv            python-interactive  
(gdb) py-bt-full
#7 <built-in method compile of module object at remote 0x7fffeabc3a10>
#11 Frame 0x9c8850, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 306, in parse (source="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivanov/devhome/current/j...(truncated)
    lines.append(next_line)
#18 Frame 0x7fffea816050, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py, line 62, in literal_eval (node_or_string="{'_platform': 'linux', '_os_name': 'posix', '_executable': ('/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin/python',), '_exec_dir': '/home/arcivanov/Documents/src/arcivanov/pybuilder/target/venv/test/cpython-3.9.0.beta.4/bin', '_name': 'CPython', '_type': 'cpython', '_version': (3, 9, 0, 'beta', 4), '_is_pypy': False, '_is_64bit': True, '_versioned_dir_name': 'cpython-3.9.0.beta.4', '_environ': {'SHELL': '/bin/bash', 'SESSION_MANAGER': 'local/unix:@/tmp/.ICE-unix/6175,unix/unix:/tmp/.ICE-unix/6175', 'WINDOWID': '56623111', 'COLORTERM': 'truecolor', 'PYENV_SHELL': 'bash', 'XDG_CONFIG_DIRS': '/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg', 'HISTCONTROL': 'ignoredups', 'XDG_MENU_PREFIX': 'kf5-', 'rvm_prefix': '/home/arcivanov', 'HISTSIZE': '-1', 'HOSTNAME': 'ai-karellen-lap', 'LANGUAGE': '', 'JAVA_HOME': '/home/arcivan...(truncated)
    node_or_string = parse(node_or_string, mode='eval')
#25 Frame 0x7fffea932050, for file script.py, line 27, in <module> ()
    python_info = ast.literal_eval(result)
#33 <built-in method exec of module object at remote 0x7fffeabc3a10>
#37 Frame 0x9b3ca0, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 343, in _run_code (code=<code at remote 0x7fffeaab9450>, run_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) at remote 0x7fffeab6a0f0>, '__build_class__': <built-in method __build_class__ of module object at remote 0x7fffeabc3a10>, '__import__': <built-in method __import__ of module object at remote 0x7fffeabc3a10>, 'abs': <built-in method abs of module object at remote 0x7fffeabc3a10>, 'all'...(truncated)
#44 Frame 0x9b3a50, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 353, in _run_module_code (code=<code at remote 0x7fffeaab9450>, init_globals=None, mod_name='__main__', mod_spec=None, pkg_name='', script_name='script.py', fname='script.py', temp_module=<_TempModule(mod_name='__main__', module=<module at remote 0x7fffea7f4f50>, _saved_module=[<module at remote 0x7fffeab12b90>]) at remote 0x7fffea917aa0>, mod_globals={'__name__': '__main__', '__doc__': None, '__package__': '', '__loader__': None, '__spec__': None, '__file__': 'script.py', '__cached__': None, '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", '__package__': '', '__loader__': <type at remote 0x8c35e0>, '__spec__': <ModuleSpec(name='builtins', loader=<type at remote 0x8c35e0>, origin='built-in', loader_state=None, submodule_search_locations=None, _set_fileattr=False, _cached=None) a...(truncated)
#51 Frame 0x994140, for file /home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py, line 524, in run_path (path_name='script.py', init_globals=None, run_name='__main__', pkg_name='', importer=None, is_NullImporter=False, code=<code at remote 0x7fffeaab9450>, fname='script.py')
#58 Frame 0x969360, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py, line 17, in smoke_test (script='script.py', args=(), old_argv=['./repro.py'], old_modules={'sys': <module at remote 0x7fffeabba2f0>, 'builtins': <module at remote 0x7fffeabc3a10>, '_frozen_importlib': <module at remote 0x7fffeab60a70>, '_imp': <module at remote 0x7fffeab60a10>, '_thread': <module at remote 0x7fffeab6e3b0>, '_warnings': <module at remote 0x7fffeab6ef50>, '_weakref': <module at remote 0x7fffeab6f350>, '_frozen_importlib_external': <module at remote 0x7fffeab6fcb0>, 'posix': <module at remote 0x7fffeab6fb30>, '_io': <module at remote 0x7fffeab33290>, 'marshal': <module at remote 0x7fffeab3bdd0>, 'time': <module at remote 0x7fffeab47290>, 'zipimport': <module at remote 0x7fffeab3d350>, '_codecs': <module at remote 0x7fffeaaeaa10>, 'codecs': <module at remote 0x7fffeab57710>, 'encodings.aliases': <module at remote 0x7fffeaaea5f0>, 'encodings': <module at remote 0x7fffeab4d830>, 'encodings.utf_8': <module at remo...(truncated)
    return run_path(script, run_name="__main__")
#65 Frame 0x9106a0, for file /home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py, line 35, in <module> ()
    smoke_test("script.py")
(gdb) py-bt
Traceback (most recent call first):
  <built-in method compile of module object at remote 0x7fffeabc3a10>
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py", line 306, in parse
    lines.append(next_line)
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/ast.py", line 62, in literal_eval
    node_or_string = parse(node_or_string, mode='eval')
  File "script.py", line 27, in <module>
    python_info = ast.literal_eval(result)
  <built-in method exec of module object at remote 0x7fffeabc3a10>
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py", line 343, in _run_code
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py", line 353, in _run_module_code
  File "/home/arcivanov/.pyenv/versions/3.9-dev-debug/lib/python3.9/runpy.py", line 524, in run_path
  File "/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py", line 17, in smoke_test
    return run_path(script, run_name="__main__")
  File "/home/arcivanov/Documents/src/arcivanov/pybuilder/./repro.py", line 35, in <module>
    smoke_test("script.py")
(gdb)
msg373417 - (view) Author: Arcadiy Ivanov (arcivanov) Date: 2020-07-09 18:23
Ok, then. I'll open a new bug.
msg375114 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-08-10 13:56
New changeset d2bea2636d5f0c2b196966315790af8e79c7bf82 by Victor Stinner in branch '3.9':
[3.9] bpo-41194: Convert _ast extension to PEP 489 (GH-21807)
https://github.com/python/cpython/commit/d2bea2636d5f0c2b196966315790af8e79c7bf82
msg375117 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-08-10 13:56
> Ok, then. I'll open a new bug.

bpo-41261: "3.9-dev SEGV in object_recursive_isinstance in ast.literal_eval".
History
Date User Action Args
2020-08-10 13:56:35vstinnersetmessages: + msg375117
2020-08-10 13:56:02vstinnersetmessages: + msg375114
2020-08-10 13:08:26vstinnersetpull_requests: + pull_request20939
2020-07-09 18:23:38arcivanovsetstatus: open -> closed
resolution: fixed
messages: + msg373417
2020-07-08 22:12:41arcivanovsetmessages: + msg373357
2020-07-08 22:11:19arcivanovsetmessages: + msg373356
2020-07-08 21:02:51arcivanovsetmessages: + msg373351
2020-07-08 20:58:22vstinnersetmessages: + msg373349
2020-07-08 20:48:03arcivanovsetmessages: + msg373347
2020-07-08 20:44:25vstinnersetmessages: + msg373345
2020-07-08 20:08:11arcivanovsetmessages: + msg373343
2020-07-08 20:04:36arcivanovsetmessages: + msg373342
2020-07-08 17:23:24arcivanovsetmessages: + msg373326
2020-07-08 16:57:06arcivanovsetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg373318
2020-07-03 18:04:07vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg372950

stage: patch review -> resolved
2020-07-03 18:01:53vstinnersetmessages: + msg372949
2020-07-03 14:57:27vstinnersetmessages: + msg372937
2020-07-03 12:19:13vstinnersetpull_requests: + pull_request20442
2020-07-03 12:17:41vstinnersetpull_requests: + pull_request20441
2020-07-03 12:17:38arcivanovsetnosy: - Digital India
2020-07-03 12:16:03vstinnersetmessages: + msg372923
2020-07-03 11:46:38vstinnersettitle: SIGSEGV in Python 3.9.0b3 in Python-ast.c:1412 -> Python 3.9.0b3 crash on compile() in PyAST_Check() when the _ast module is loaded more than once
2020-07-03 11:17:28vstinnersetversions: + Python 3.10
2020-07-03 11:16:49vstinnersetpull_requests: + pull_request20439
2020-07-03 10:52:33BTaskayasetmessages: - msg372915
2020-07-03 10:30:11remi.lapeyresettitle: Digital India -> SIGSEGV in Python 3.9.0b3 in Python-ast.c:1412
2020-07-03 10:25:40Digital Indiasetnosy: + Digital India

messages: + msg372915
title: SIGSEGV in Python 3.9.0b3 in Python-ast.c:1412 -> Digital India
2020-07-03 09:35:47vstinnersetmessages: + msg372914
2020-07-02 17:08:43vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request20433
2020-07-02 15:34:48vstinnersetmessages: + msg372863
2020-07-02 15:29:21BTaskayasetnosy: + dino.viehland
messages: + msg372862
2020-07-02 15:15:50arcivanovsettype: crash
components: + Interpreter Core
2020-07-02 14:35:16BTaskayasetnosy: + pablogsal
2020-07-02 14:27:48arcivanovsetmessages: + msg372861
2020-07-02 14:24:45arcivanovsetmessages: + msg372860
2020-07-02 14:19:04BTaskayasetmessages: + msg372859
2020-07-02 13:52:56arcivanovsetmessages: + msg372857
2020-07-02 13:49:23arcivanovsetmessages: + msg372856
2020-07-02 13:45:47arcivanovsetmessages: + msg372855
2020-07-02 13:43:47arcivanovsetmessages: + msg372854
2020-07-02 13:20:41arcivanovsetmessages: + msg372853
2020-07-02 13:19:06vstinnersetmessages: + msg372852
2020-07-02 13:14:06arcivanovsetmessages: + msg372851
2020-07-02 10:46:35BTaskayasetmessages: + msg372842
2020-07-02 09:50:00arcivanovsetmessages: + msg372838
2020-07-02 09:48:01arcivanovsetmessages: + msg372837
2020-07-02 09:46:32vstinnersetnosy: + vstinner
messages: + msg372836
2020-07-02 09:42:40BTaskayasetmessages: + msg372835
2020-07-02 09:38:55BTaskayasetnosy: + BTaskaya
2020-07-02 09:32:58arcivanovsetmessages: + msg372834
2020-07-02 09:28:39arcivanovcreate